#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(ahci_platform_ops, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_enable_phys, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_disable_phys, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_find_clk, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_enable_clks, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_disable_clks, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_deassert_rsts, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_assert_rsts, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_enable_regulators, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_disable_regulators, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_enable_resources, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_disable_resources, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_get_resources, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_init_host, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_shutdown, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_suspend_host, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_resume_host, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_suspend, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_resume, "_gpl", "");

SYMBOL_CRC(ahci_platform_ops, 0x4bc6260b, "_gpl");
SYMBOL_CRC(ahci_platform_enable_phys, 0x49bc8f2f, "_gpl");
SYMBOL_CRC(ahci_platform_disable_phys, 0xb6143635, "_gpl");
SYMBOL_CRC(ahci_platform_find_clk, 0x7e8f2992, "_gpl");
SYMBOL_CRC(ahci_platform_enable_clks, 0xeaa15f41, "_gpl");
SYMBOL_CRC(ahci_platform_disable_clks, 0x1509e65b, "_gpl");
SYMBOL_CRC(ahci_platform_deassert_rsts, 0xe30c7106, "_gpl");
SYMBOL_CRC(ahci_platform_assert_rsts, 0xa0c0665c, "_gpl");
SYMBOL_CRC(ahci_platform_enable_regulators, 0x379f71b5, "_gpl");
SYMBOL_CRC(ahci_platform_disable_regulators, 0xbe423f2a, "_gpl");
SYMBOL_CRC(ahci_platform_enable_resources, 0x5da6b662, "_gpl");
SYMBOL_CRC(ahci_platform_disable_resources, 0x53c3c9fb, "_gpl");
SYMBOL_CRC(ahci_platform_get_resources, 0x2badceb6, "_gpl");
SYMBOL_CRC(ahci_platform_init_host, 0x22295712, "_gpl");
SYMBOL_CRC(ahci_platform_shutdown, 0xcbfae10f, "_gpl");
SYMBOL_CRC(ahci_platform_suspend_host, 0x00975c90, "_gpl");
SYMBOL_CRC(ahci_platform_resume_host, 0x587fff29, "_gpl");
SYMBOL_CRC(ahci_platform_suspend, 0x56fcd4c4, "_gpl");
SYMBOL_CRC(ahci_platform_resume, 0xd61040ec, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6930035e, "phy_set_mode_ext" },
	{ 0x3796b35d, "phy_power_on" },
	{ 0xf6bfb8e, "phy_init" },
	{ 0xbc359e79, "phy_power_off" },
	{ 0xf4b5c255, "phy_exit" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x33786b7c, "regulator_disable" },
	{ 0xbb4a971e, "regulator_put" },
	{ 0x37a0cba, "kfree" },
	{ 0xc6778dbf, "__pm_runtime_idle" },
	{ 0x3e16d3a6, "__pm_runtime_disable" },
	{ 0xd6d89dba, "devm_of_phy_get" },
	{ 0x9c9cf598, "_dev_err" },
	{ 0x7966440b, "of_find_property" },
	{ 0xfc1d5a3e, "ata_host_resume" },
	{ 0x938bf506, "ahci_reset_controller" },
	{ 0x3a81115a, "ahci_init_controller" },
	{ 0x1628cd07, "regulator_enable" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0xb731b77c, "platform_get_irq" },
	{ 0xc722b1d2, "ahci_save_initial_config" },
	{ 0x8a534f35, "ahci_set_em_messages" },
	{ 0x97cbf17a, "ata_host_alloc_pinfo" },
	{ 0x8fdf2e6, "platform_get_resource" },
	{ 0x8f7ec9cc, "ata_port_desc" },
	{ 0xdef08a81, "ata_dummy_port_ops" },
	{ 0xea50dad3, "ahci_ignore_sss" },
	{ 0xf98bd3fa, "_dev_info" },
	{ 0x1a1c7cea, "ahci_reset_em" },
	{ 0xcf557b9a, "ahci_print_info" },
	{ 0xbe0389ec, "ahci_host_activate" },
	{ 0x40c2271d, "dma_set_mask" },
	{ 0xe6bd5ab1, "dma_set_coherent_mask" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0x5d2bc42a, "reset_control_rearm" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0x24f39c39, "reset_control_reset" },
	{ 0x479f7d4b, "clk_bulk_disable" },
	{ 0x63c08029, "clk_bulk_unprepare" },
	{ 0xead5c8e5, "clk_bulk_prepare" },
	{ 0xc7a7e770, "clk_bulk_enable" },
	{ 0x478bdfd3, "devres_open_group" },
	{ 0x11f5d7f7, "__devres_alloc_node" },
	{ 0xb5fd58f0, "devres_add" },
	{ 0x9663a38a, "platform_get_resource_byname" },
	{ 0x4b57287c, "devm_platform_ioremap_resource_byname" },
	{ 0xd20171a2, "devm_clk_bulk_get_all" },
	{ 0x55f4deac, "devm_regulator_get" },
	{ 0xa5facc6f, "devm_reset_control_array_get" },
	{ 0x2267098b, "of_get_next_child" },
	{ 0xea23c7d6, "devm_kmalloc" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0x6e3f5d2c, "of_platform_device_create" },
	{ 0x24f94a84, "of_find_device_by_node" },
	{ 0xae40ac0, "regulator_get" },
	{ 0xab3ccbb2, "of_device_is_available" },
	{ 0x352f907f, "of_property_read_variable_u32_array" },
	{ 0xecb55757, "_dev_warn" },
	{ 0xccac66e3, "devres_release_group" },
	{ 0xf8cc07b, "devm_platform_ioremap_resource" },
	{ 0x660254c5, "devm_clk_get_optional" },
	{ 0x7e8d5a6b, "of_node_put" },
	{ 0x7a51c369, "pm_runtime_enable" },
	{ 0x6193cf15, "__pm_runtime_resume" },
	{ 0xa8dff2ed, "devres_remove_group" },
	{ 0x3bbff04c, "ata_host_suspend" },
	{ 0x284c2db9, "__pm_runtime_set_status" },
	{ 0xbdb40bcd, "ahci_ops" },
	{ 0x762edfce, "module_layout" },
};

MODULE_INFO(depends, "libata,libahci");


MODULE_INFO(srcversion, "26B1EB4864D8A86A696C208");
