#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(b2c2_flexcop_debug, "_gpl", "");
KSYMTAB_FUNC(flexcop_pass_dmx_data, "", "");
KSYMTAB_FUNC(flexcop_pass_dmx_packets, "", "");
KSYMTAB_FUNC(flexcop_device_kmalloc, "", "");
KSYMTAB_FUNC(flexcop_device_kfree, "", "");
KSYMTAB_FUNC(flexcop_device_initialize, "", "");
KSYMTAB_FUNC(flexcop_device_exit, "", "");
KSYMTAB_FUNC(flexcop_i2c_request, "", "");
KSYMTAB_FUNC(flexcop_sram_set_dest, "", "");
KSYMTAB_FUNC(flexcop_wan_set_speed, "", "");
KSYMTAB_FUNC(flexcop_sram_ctrl, "", "");
KSYMTAB_FUNC(flexcop_eeprom_check_mac_addr, "", "");
KSYMTAB_FUNC(flexcop_dump_reg, "", "");
KSYMTAB_FUNC(flexcop_pid_feed_control, "", "");

SYMBOL_CRC(b2c2_flexcop_debug, 0x66c0289a, "_gpl");
SYMBOL_CRC(flexcop_pass_dmx_data, 0x9be21cc0, "");
SYMBOL_CRC(flexcop_pass_dmx_packets, 0x5b05599e, "");
SYMBOL_CRC(flexcop_device_kmalloc, 0x76992a6b, "");
SYMBOL_CRC(flexcop_device_kfree, 0xd797b5f9, "");
SYMBOL_CRC(flexcop_device_initialize, 0x5cc88e5d, "");
SYMBOL_CRC(flexcop_device_exit, 0xdd2cb739, "");
SYMBOL_CRC(flexcop_i2c_request, 0x15be1495, "");
SYMBOL_CRC(flexcop_sram_set_dest, 0x2f66f650, "");
SYMBOL_CRC(flexcop_wan_set_speed, 0x53b2cb72, "");
SYMBOL_CRC(flexcop_sram_ctrl, 0xa2216d3b, "");
SYMBOL_CRC(flexcop_eeprom_check_mac_addr, 0x50ed6b06, "");
SYMBOL_CRC(flexcop_dump_reg, 0x31a26e23, "");
SYMBOL_CRC(flexcop_pid_feed_control, 0x279e6553, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xcf51227d, "dvb_dmxdev_init" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x6e9dd606, "__symbol_put" },
	{ 0xfb125902, "request_firmware" },
	{ 0xaf543830, "param_array_ops" },
	{ 0x37a0cba, "kfree" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x313c672e, "dvb_register_adapter" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf4ea8be6, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3d99bf74, "dvb_dmx_swfilter_packets" },
	{ 0xcbc1ceb2, "i2c_del_adapter" },
	{ 0x868784cb, "__symbol_get" },
	{ 0x700baa58, "dvb_dmx_release" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x26b6fe1e, "dvb_net_init" },
	{ 0xa25d391f, "dvb_dmx_swfilter" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xf7b5a859, "mutex_lock_interruptible" },
	{ 0xe4d8ab9b, "dvb_dmxdev_release" },
	{ 0x55c2fbcd, "param_ops_short" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6363853a, "dvb_frontend_detach" },
	{ 0x6b4d5c13, "i2c_add_adapter" },
	{ 0x5b97ca08, "dvb_net_release" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x6eeebfd, "dvb_unregister_frontend" },
	{ 0xfeddcffe, "cx24123_get_tuner_i2c_adapter" },
	{ 0x61c6f0bf, "dvb_register_frontend" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xb59893d3, "cx24113_agc_callback" },
	{ 0x62c74286, "kmalloc_trace" },
	{ 0xecedf6f6, "dvb_unregister_adapter" },
	{ 0xad02b867, "dvb_dmx_init" },
	{ 0x78d3716b, "param_ops_int" },
	{ 0xe9322265, "s5h1420_get_tuner_i2c_adapter" },
	{ 0xf9a482f9, "msleep" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xbf24de84, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x762edfce, "module_layout" },
};

MODULE_INFO(depends, "dvb-core,cx24123,cx24113,s5h1420");


MODULE_INFO(srcversion, "CE55295613B96852C779147");
