#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(alloc_c_can_dev, "_gpl", "");
KSYMTAB_FUNC(c_can_power_down, "_gpl", "");
KSYMTAB_FUNC(c_can_power_up, "_gpl", "");
KSYMTAB_FUNC(free_c_can_dev, "_gpl", "");
KSYMTAB_FUNC(register_c_can_dev, "_gpl", "");
KSYMTAB_FUNC(unregister_c_can_dev, "_gpl", "");

SYMBOL_CRC(alloc_c_can_dev, 0x47a777fc, "_gpl");
SYMBOL_CRC(c_can_power_down, 0x1638fba3, "_gpl");
SYMBOL_CRC(c_can_power_up, 0x9b4c485e, "_gpl");
SYMBOL_CRC(free_c_can_dev, 0x4aa3329b, "_gpl");
SYMBOL_CRC(register_c_can_dev, 0x16af7044, "_gpl");
SYMBOL_CRC(unregister_c_can_dev, 0xe08b2e73, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc1514a3b, "free_irq" },
	{ 0xb588c9d3, "can_put_echo_skb" },
	{ 0x1d0f084a, "can_get_echo_skb" },
	{ 0x1eeba360, "netif_napi_add_weight" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xcf0762d8, "__netif_napi_del" },
	{ 0x30616b44, "open_candev" },
	{ 0xe7e797fc, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x38134fc, "pinctrl_pm_select_default_state" },
	{ 0xbd3e120b, "napi_complete_done" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf3cbe708, "__napi_schedule" },
	{ 0xdf19751b, "alloc_can_skb" },
	{ 0x3aa9ee22, "unregister_candev" },
	{ 0x39f09a4a, "can_change_mtu" },
	{ 0x5af83dbc, "pinctrl_put" },
	{ 0xc6a2bd76, "can_dropped_invalid_skb" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x3c1aeb3c, "pinctrl_pm_select_sleep_state" },
	{ 0xeb9eedc6, "free_candev" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xefa20c5, "alloc_candev_mqs" },
	{ 0x744a7cd6, "kfree_skb_reason" },
	{ 0xc019d356, "netdev_printk" },
	{ 0xd122a144, "napi_enable" },
	{ 0x15293eef, "netif_receive_skb" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x4bd2073b, "netif_tx_wake_queue" },
	{ 0x4f77635f, "close_candev" },
	{ 0xe9042a55, "pinctrl_get" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9b0fd36d, "can_bus_off" },
	{ 0x20539717, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x505700a, "pinctrl_lookup_state" },
	{ 0x6193cf15, "__pm_runtime_resume" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xebc3bbb6, "pinctrl_select_state" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xd2c245e0, "alloc_can_err_skb" },
	{ 0xa1a2785f, "napi_schedule_prep" },
	{ 0xdb0d626d, "napi_disable" },
	{ 0x3b77be6, "register_candev" },
	{ 0xc6778dbf, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xd2e69eba, "ethtool_op_get_ts_info" },
	{ 0xe360141, "netdev_info" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x762edfce, "module_layout" },
};

MODULE_INFO(depends, "can-dev");


MODULE_INFO(srcversion, "524AB3E20B6D5A7FA299AE7");
