#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(m_can_check_mram_cfg, "_gpl", "");
KSYMTAB_FUNC(m_can_init_ram, "_gpl", "");
KSYMTAB_FUNC(m_can_class_get_clocks, "_gpl", "");
KSYMTAB_FUNC(m_can_class_allocate_dev, "_gpl", "");
KSYMTAB_FUNC(m_can_class_free_dev, "_gpl", "");
KSYMTAB_FUNC(m_can_class_register, "_gpl", "");
KSYMTAB_FUNC(m_can_class_unregister, "_gpl", "");
KSYMTAB_FUNC(m_can_class_suspend, "_gpl", "");
KSYMTAB_FUNC(m_can_class_resume, "_gpl", "");

SYMBOL_CRC(m_can_check_mram_cfg, 0x5808a893, "_gpl");
SYMBOL_CRC(m_can_init_ram, 0x7b6e2fa0, "_gpl");
SYMBOL_CRC(m_can_class_get_clocks, 0x4a14347a, "_gpl");
SYMBOL_CRC(m_can_class_allocate_dev, 0xd57b9444, "_gpl");
SYMBOL_CRC(m_can_class_free_dev, 0x3b74585a, "_gpl");
SYMBOL_CRC(m_can_class_register, 0xe1d72b2c, "_gpl");
SYMBOL_CRC(m_can_class_unregister, 0x99b0552c, "_gpl");
SYMBOL_CRC(m_can_class_suspend, 0xe89dcf10, "_gpl");
SYMBOL_CRC(m_can_class_resume, 0x31d0fb5c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9c9cf598, "_dev_err" },
	{ 0xefc40416, "__dev_fwnode" },
	{ 0xd8ef71fb, "fwnode_property_read_u32_array" },
	{ 0xefa20c5, "alloc_candev_mqs" },
	{ 0x6fe1f77a, "__dynamic_dev_dbg" },
	{ 0xeb9eedc6, "free_candev" },
	{ 0x7c767f5, "can_rx_offload_get_echo_skb_queue_timestamp" },
	{ 0x1d0f084a, "can_get_echo_skb" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x6ca4c6c0, "can_free_echo_skb" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xc5b80868, "netdev_warn" },
	{ 0x46a4b118, "hrtimer_cancel" },
	{ 0x3aa9ee22, "unregister_candev" },
	{ 0xf9e1a5a, "can_rx_offload_del" },
	{ 0x27823b7b, "devm_clk_get" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x3c5d543a, "hrtimer_start_range_ns" },
	{ 0x4bd2073b, "netif_tx_wake_queue" },
	{ 0x6193cf15, "__pm_runtime_resume" },
	{ 0x6047ede6, "can_fd_len2dlc" },
	{ 0xe7e797fc, "netdev_err" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xb588c9d3, "can_put_echo_skb" },
	{ 0x744a7cd6, "kfree_skb_reason" },
	{ 0xc6a2bd76, "can_dropped_invalid_skb" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xc019d356, "netdev_printk" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x4f77635f, "close_candev" },
	{ 0xbc359e79, "phy_power_off" },
	{ 0xdb0d626d, "napi_disable" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xc6778dbf, "__pm_runtime_idle" },
	{ 0x3c1aeb3c, "pinctrl_pm_select_sleep_state" },
	{ 0xa096d68a, "netif_device_detach" },
	{ 0x3b77be6, "register_candev" },
	{ 0x9f22da0f, "of_can_transceiver" },
	{ 0xf98bd3fa, "_dev_info" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x6158635b, "can_rx_offload_add_manual" },
	{ 0x1eeba360, "netif_napi_add_weight" },
	{ 0x38134fc, "pinctrl_pm_select_default_state" },
	{ 0x2f3a21e7, "netif_device_attach" },
	{ 0x3796b35d, "phy_power_on" },
	{ 0x30616b44, "open_candev" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x9e10cb60, "can_rx_offload_enable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd122a144, "napi_enable" },
	{ 0x9b0fd36d, "can_bus_off" },
	{ 0xd2c245e0, "alloc_can_err_skb" },
	{ 0x15293eef, "netif_receive_skb" },
	{ 0xf44573ac, "can_rx_offload_queue_timestamp" },
	{ 0x20539717, "__dynamic_netdev_dbg" },
	{ 0x499e7b56, "alloc_canfd_skb" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xdf19751b, "alloc_can_skb" },
	{ 0xf12d9387, "can_fd_dlc2len" },
	{ 0xa1a2785f, "napi_schedule_prep" },
	{ 0xf3cbe708, "__napi_schedule" },
	{ 0x41a5d3ef, "can_rx_offload_threaded_irq_finish" },
	{ 0xa8861fb1, "__x86_indirect_thunk_eax" },
	{ 0x828e22f4, "hrtimer_forward" },
	{ 0xbd3e120b, "napi_complete_done" },
	{ 0xd2e69eba, "ethtool_op_get_ts_info" },
	{ 0x39f09a4a, "can_change_mtu" },
	{ 0x762edfce, "module_layout" },
};

MODULE_INFO(depends, "can-dev");


MODULE_INFO(srcversion, "F083E3FF64D9C9F2FD29780");
