#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(fun_submit_admin_sync_cmd, "_gpl", "");
KSYMTAB_FUNC(fun_get_res_count, "_gpl", "");
KSYMTAB_FUNC(fun_res_destroy, "_gpl", "");
KSYMTAB_FUNC(fun_bind, "_gpl", "");
KSYMTAB_FUNC(fun_reserve_irqs, "", "");
KSYMTAB_FUNC(fun_release_irqs, "", "");
KSYMTAB_FUNC(fun_serv_stop, "_gpl", "");
KSYMTAB_FUNC(fun_serv_restart, "_gpl", "");
KSYMTAB_FUNC(fun_serv_sched, "_gpl", "");
KSYMTAB_FUNC(fun_dev_disable, "", "");
KSYMTAB_FUNC(fun_dev_enable, "", "");
KSYMTAB_FUNC(fun_alloc_ring_mem, "_gpl", "");
KSYMTAB_FUNC(fun_free_ring_mem, "_gpl", "");
KSYMTAB_FUNC(fun_sq_create, "_gpl", "");
KSYMTAB_FUNC(fun_cq_create, "_gpl", "");

SYMBOL_CRC(fun_submit_admin_sync_cmd, 0x7be56bab, "_gpl");
SYMBOL_CRC(fun_get_res_count, 0xba318d48, "_gpl");
SYMBOL_CRC(fun_res_destroy, 0x3b5f82c9, "_gpl");
SYMBOL_CRC(fun_bind, 0x34bb58f0, "_gpl");
SYMBOL_CRC(fun_reserve_irqs, 0xe92c9b6e, "");
SYMBOL_CRC(fun_release_irqs, 0xb58e4158, "");
SYMBOL_CRC(fun_serv_stop, 0xb6d69099, "_gpl");
SYMBOL_CRC(fun_serv_restart, 0x3813b66e, "_gpl");
SYMBOL_CRC(fun_serv_sched, 0x7485859f, "_gpl");
SYMBOL_CRC(fun_dev_disable, 0x402c338c, "");
SYMBOL_CRC(fun_dev_enable, 0x88175f79, "");
SYMBOL_CRC(fun_alloc_ring_mem, 0xc0119b00, "_gpl");
SYMBOL_CRC(fun_free_ring_mem, 0x4ecfa9e9, "_gpl");
SYMBOL_CRC(fun_sq_create, 0x243f592e, "_gpl");
SYMBOL_CRC(fun_cq_create, 0xd3f5d621, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x924da947, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xf090364, "pci_msix_vec_count" },
	{ 0x7bde261e, "pci_request_selected_regions" },
	{ 0xb117183, "pci_release_selected_regions" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x3f59778c, "pci_enable_device_mem" },
	{ 0x23d68370, "pci_alloc_irq_vectors" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xdc765020, "dma_unmap_page_attrs" },
	{ 0xc4172d9a, "dma_sync_single_for_device" },
	{ 0xedc03953, "iounmap" },
	{ 0xd66a7a35, "sbitmap_queue_wake_all" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xba07946c, "pcpu_hot" },
	{ 0xe2aa651a, "pci_irq_vector" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x6fe1f77a, "__dynamic_dev_dbg" },
	{ 0xf7ecf37a, "pci_ioremap_bar" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x85142df4, "sbitmap_queue_init_node" },
	{ 0xde8fce47, "dma_map_page_attrs" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x395b8b90, "sbitmap_prepare_to_wait" },
	{ 0x4292364c, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x618911fc, "numa_node" },
	{ 0xf98bd3fa, "_dev_info" },
	{ 0x550f716a, "pci_select_bars" },
	{ 0x8dfefc0d, "kvmalloc_node" },
	{ 0x9c9cf598, "_dev_err" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x31e34643, "dma_alloc_attrs" },
	{ 0x373766a, "sbitmap_queue_clear" },
	{ 0x978c8944, "dma_sync_single_for_cpu" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xcd81c618, "__alloc_pages" },
	{ 0x1a43eaf0, "pci_set_master" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe6bd5ab1, "dma_set_coherent_mask" },
	{ 0xdb87a70e, "dma_free_attrs" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x4d24a1e4, "sbitmap_finish_wait" },
	{ 0x65a1d71c, "pcie_print_link_status" },
	{ 0xbe133003, "__folio_put" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0xca30e426, "pci_disable_device" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x40c2271d, "dma_set_mask" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x62c74286, "kmalloc_trace" },
	{ 0x1f9dced8, "page_address" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x935346fe, "__sbitmap_queue_get" },
	{ 0x4de3b46e, "pci_free_irq_vectors" },
	{ 0xf9a482f9, "msleep" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xbf24de84, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x762edfce, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "3D41B629FA0B923EF3ABA9B");
