#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ipvlan_count_rx, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_new, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_delete, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_setup, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_register, "_gpl", "");

SYMBOL_CRC(ipvlan_count_rx, 0x26b421e1, "_gpl");
SYMBOL_CRC(ipvlan_link_new, 0xfc10fa85, "_gpl");
SYMBOL_CRC(ipvlan_link_delete, 0xea743886, "_gpl");
SYMBOL_CRC(ipvlan_link_setup, 0xa09f5d6f, "_gpl");
SYMBOL_CRC(ipvlan_link_register, 0xa27c7cdc, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x70cf71bc, "__do_once_done" },
	{ 0xdb103edf, "ip6_route_input_lookup" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0xe17f3a6c, "dev_pre_changeaddr_notify" },
	{ 0xe0f34778, "dev_mc_sync" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0xd1217507, "netdev_is_rx_handler_busy" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x1e4edaeb, "netdev_update_features" },
	{ 0x2a39f0b7, "consume_skb" },
	{ 0x17fd7b72, "ip6_local_out" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0xda3bc5c4, "dev_uc_sync" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xd065701d, "rtnl_link_register" },
	{ 0x51ab0c97, "netif_inherit_tso_max" },
	{ 0x14a74a98, "eth_header_cache" },
	{ 0x37a0cba, "kfree" },
	{ 0xba07946c, "pcpu_hot" },
	{ 0xa821bcba, "ip_route_output_flow" },
	{ 0x5bf861f4, "unregister_netdevice_queue" },
	{ 0xc5844fb8, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x27179312, "dev_uc_unsync" },
	{ 0x28e521a7, "ether_setup" },
	{ 0xe7e797fc, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x284b6a00, "netdev_upper_dev_link" },
	{ 0xc8246473, "register_pernet_subsys" },
	{ 0xe81fe252, "dev_addr_mod" },
	{ 0x4e911f07, "netdev_core_stats_alloc" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf4ea8be6, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x2942fa29, "eth_header_parse" },
	{ 0x8bed546b, "netdev_rx_handler_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xe2e2995b, "eth_header_cache_update" },
	{ 0xcf522ac3, "nf_register_net_hooks" },
	{ 0x854bc93a, "ip6_route_output_flags" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0xd9581af3, "ip_route_input_noref" },
	{ 0xcef4d5b4, "__alloc_percpu_gfp" },
	{ 0xbf2aa2cd, "__dev_get_by_index" },
	{ 0xb097d3a3, "rtnl_link_unregister" },
	{ 0x443915de, "skb_pull" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x258d725d, "netif_stacked_transfer_operstate" },
	{ 0x744a7cd6, "kfree_skb_reason" },
	{ 0x7524e0ec, "netdev_upper_dev_unlink" },
	{ 0xa589d9d0, "nla_put" },
	{ 0xffb7c514, "ida_free" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xd2751b28, "ns_capable" },
	{ 0x944c6c81, "nf_unregister_net_hooks" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x90038ae, "ethtool_op_get_link" },
	{ 0x9f9530f4, "__ethtool_get_link_ksettings" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0xf9bb7bd3, "unregister_pernet_subsys" },
	{ 0xed81bdcb, "__cpu_possible_mask" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x1e72f41b, "__pskb_pull_tail" },
	{ 0xfdac7e82, "netif_rx" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x23e5390f, "skb_scrub_packet" },
	{ 0x47c65bfc, "unregister_inet6addr_validator_notifier" },
	{ 0xa3ea6a55, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x44c0f6f, "vlan_vid_add" },
	{ 0x7668e24b, "call_netdevice_notifiers" },
	{ 0xdb5634b5, "vlan_vid_del" },
	{ 0x46afdb14, "dev_set_allmulti" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x590dd2f1, "skb_clone" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x2e94cf8a, "dst_release" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x8558ffe7, "netdev_rx_handler_register" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xab63baa5, "unregister_inetaddr_validator_notifier" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x11cf073c, "ip_local_out" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0x62c74286, "kmalloc_trace" },
	{ 0xc32c71af, "register_inetaddr_validator_notifier" },
	{ 0x6cd1aa62, "dev_mc_unsync" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x1a673be5, "dev_change_flags" },
	{ 0x9a978cdf, "dev_forward_skb" },
	{ 0xbf24de84, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0xa77bfd29, "register_inet6addr_validator_notifier" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x671ab50d, "register_netdevice" },
	{ 0x762edfce, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "ACABF95A977E7279CD53C49");
