#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(qlt_unreg_sess, "", "");
KSYMTAB_FUNC(qlt_stop_phase1, "", "");
KSYMTAB_FUNC(qlt_stop_phase2, "", "");
KSYMTAB_FUNC(qlt_free_mcmd, "", "");
KSYMTAB_FUNC(qlt_xmit_tm_rsp, "", "");
KSYMTAB_FUNC(qlt_xmit_response, "", "");
KSYMTAB_FUNC(qlt_rdy_to_xfer, "", "");
KSYMTAB_FUNC(qlt_abort_cmd, "", "");
KSYMTAB_FUNC(qlt_free_cmd, "", "");
KSYMTAB_FUNC(qlt_lport_register, "", "");
KSYMTAB_FUNC(qlt_lport_deregister, "", "");
KSYMTAB_FUNC(qlt_enable_vha, "", "");

SYMBOL_CRC(qlt_unreg_sess, 0x12128ef4, "");
SYMBOL_CRC(qlt_stop_phase1, 0xcadea132, "");
SYMBOL_CRC(qlt_stop_phase2, 0x2496351f, "");
SYMBOL_CRC(qlt_free_mcmd, 0xe54c0990, "");
SYMBOL_CRC(qlt_xmit_tm_rsp, 0xf05d27ba, "");
SYMBOL_CRC(qlt_xmit_response, 0x31eb04b2, "");
SYMBOL_CRC(qlt_rdy_to_xfer, 0x191fc87d, "");
SYMBOL_CRC(qlt_abort_cmd, 0x8b002c19, "");
SYMBOL_CRC(qlt_free_cmd, 0x7381657b, "");
SYMBOL_CRC(qlt_lport_register, 0xd81b1116, "");
SYMBOL_CRC(qlt_lport_deregister, 0xb637a60f, "");
SYMBOL_CRC(qlt_enable_vha, 0xe24baa2c, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbff7ce69, "param_ops_ullong" },
	{ 0xe914e41e, "strcpy" },
	{ 0x924da947, "pci_save_state" },
	{ 0xef92ef33, "btree_last" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x56c65140, "pcie_capability_read_word" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0xe110371b, "fc_attach_transport" },
	{ 0xa481e92, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xa3a04602, "btree_geo64" },
	{ 0xac1ed59b, "debugfs_attr_write" },
	{ 0xc4d55828, "param_ops_uint" },
	{ 0xebd0eec2, "dma_pool_create" },
	{ 0x7bde261e, "pci_request_selected_regions" },
	{ 0xb117183, "pci_release_selected_regions" },
	{ 0x8a9cf5a7, "nvme_fc_set_remoteport_devloss" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xccbb08b, "pci_enable_device" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x77bc13a0, "strim" },
	{ 0x3f59778c, "pci_enable_device_mem" },
	{ 0x15d282f5, "bsg_job_done" },
	{ 0x50df94f5, "btree_insert" },
	{ 0x23d68370, "pci_alloc_irq_vectors" },
	{ 0xecaa9119, "fc_remote_port_add" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x439641b1, "trace_raw_output_prep" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x3d1c6345, "scsi_remove_host" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xf310212a, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x4ec55eca, "scsi_build_sense" },
	{ 0xdc765020, "dma_unmap_page_attrs" },
	{ 0x827f924e, "vmalloc_array" },
	{ 0xfb125902, "request_firmware" },
	{ 0xe9f30a6d, "trace_event_printf" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xa68d1221, "fc_remove_host" },
	{ 0xe6440223, "__pci_register_driver" },
	{ 0x579f06e8, "set_user_nice" },
	{ 0xc4172d9a, "dma_sync_single_for_device" },
	{ 0xb9704631, "memcpy_fromio" },
	{ 0xe8c25e4e, "sysfs_create_bin_file" },
	{ 0xedc03953, "iounmap" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xd1d86f65, "pci_request_regions" },
	{ 0xcb6ef40a, "trace_event_raw_init" },
	{ 0x2e60bace, "memcpy" },
	{ 0xab49905a, "scsi_dma_unmap" },
	{ 0x37a0cba, "kfree" },
	{ 0xba07946c, "pcpu_hot" },
	{ 0xa5d3066f, "seq_lseek" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0x28b5f51e, "pci_clear_mwi" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x3b103e34, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x42c9ab1f, "fc_eh_timed_out" },
	{ 0xe2964344, "__wake_up" },
	{ 0xf3b95d79, "btree_remove" },
	{ 0xe2aa651a, "pci_irq_vector" },
	{ 0xdaf65445, "vsnprintf" },
	{ 0x2a081658, "pci_try_set_mwi" },
	{ 0xfc5586ec, "kmem_cache_create" },
	{ 0xf11f8655, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xbb0e18a6, "nvme_fc_rcv_ls_req" },
	{ 0xa897e3e7, "mempool_free" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xb07f5a7, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x2d4d583, "wake_up_process" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0xfdf82e27, "dev_driver_string" },
	{ 0x942bad80, "trace_event_buffer_commit" },
	{ 0x327054b9, "trace_array_put" },
	{ 0x9dcb8723, "pci_read_config_dword" },
	{ 0xde8fce47, "dma_map_page_attrs" },
	{ 0x67f31ed5, "irq_set_affinity_notifier" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xd4e6b65c, "blk_mq_pci_map_queues" },
	{ 0x28ef823e, "fc_block_scsi_eh" },
	{ 0x7cd1b50e, "memcpy_toio" },
	{ 0xf331236f, "btree_geo32" },
	{ 0xbc435770, "dump_stack" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x1953c958, "mempool_create" },
	{ 0x2aa0e4fc, "strncasecmp" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x4292364c, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xba83d0bc, "fc_remote_port_delete" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0x738803e6, "strnlen" },
	{ 0x3dbffcfa, "scsi_host_get" },
	{ 0xc3762aec, "mempool_alloc" },
	{ 0x9fa4564a, "timer_shutdown" },
	{ 0x39aa57fb, "fc_host_post_event" },
	{ 0xc5216731, "kmem_cache_alloc" },
	{ 0x40a9b349, "vzalloc" },
	{ 0xf98bd3fa, "_dev_info" },
	{ 0xc6cbbc89, "capable" },
	{ 0x550f716a, "pci_select_bars" },
	{ 0x4059792f, "print_hex_dump" },
	{ 0xe848448e, "fc_release_transport" },
	{ 0xfc01f3bf, "pci_set_mwi" },
	{ 0xede9a09a, "btree_lookup" },
	{ 0xfde47b9d, "pci_find_capability" },
	{ 0xb4028daf, "debugfs_attr_read" },
	{ 0xf7afb369, "btree_init" },
	{ 0x74ecbc3a, "kobject_uevent_env" },
	{ 0xd5da9c3f, "pci_clear_master" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0x583d9b6d, "perf_trace_run_bpf_submit" },
	{ 0x9c9cf598, "_dev_err" },
	{ 0x5f27ab6c, "blk_queue_update_dma_alignment" },
	{ 0xcb983ce9, "fc_vport_create" },
	{ 0xa2a22e68, "scsi_host_put" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x22b62266, "simple_attr_release" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x1156195e, "noop_llseek" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x59f4ed51, "fc_remote_port_rolechg" },
	{ 0xab06fd53, "mem_section" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xddb2ef79, "kmem_cache_free" },
	{ 0x31e34643, "dma_alloc_attrs" },
	{ 0x5596cdb2, "scsi_scan_host" },
	{ 0xfca9dc99, "nvme_fc_unregister_remoteport" },
	{ 0x250113b4, "memory_read_from_buffer" },
	{ 0xe228b7c5, "debugfs_remove" },
	{ 0xc1b65801, "pci_read_config_word" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x2766cd51, "seq_putc" },
	{ 0x383bbf13, "trace_event_reg" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0x31045bcb, "fc_vport_terminate" },
	{ 0xde80cd09, "ioremap" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xbd1febdf, "fc_block_rport" },
	{ 0xaa19e4aa, "_kstrtol" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x5152e605, "memcmp" },
	{ 0x96603250, "kmalloc_large" },
	{ 0xb4ba0639, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xfc05779f, "trace_array_get_by_name" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xbfca4256, "sg_copy_buffer" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x8c701a8f, "pci_restore_state" },
	{ 0x2bc95bd4, "memset" },
	{ 0xe16139b0, "pci_alloc_irq_vectors_affinity" },
	{ 0x4edc6353, "scsi_is_host_device" },
	{ 0x1a43eaf0, "pci_set_master" },
	{ 0xd2a74b61, "param_ops_charp" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x7913b0af, "dma_get_required_mask" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xd4f2b5b8, "blk_mq_unique_tag" },
	{ 0xeb078aee, "_raw_write_unlock_irqrestore" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x6a87bf7d, "kthread_create_on_node" },
	{ 0xe6bd5ab1, "dma_set_coherent_mask" },
	{ 0x2a625738, "seq_read" },
	{ 0xa68613dd, "get_jiffies_64" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xceb55838, "trace_array_set_clr_event" },
	{ 0xeea0399, "strscpy" },
	{ 0x6c1ce5ce, "strcspn" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x375f8bbd, "fc_get_event_number" },
	{ 0x9a48dc00, "debugfs_create_file" },
	{ 0xdb87a70e, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0x6526419d, "fc_host_fpin_rcv" },
	{ 0xda2d92eb, "trace_event_buffer_reserve" },
	{ 0xea3c8e4e, "scsilun_to_int" },
	{ 0x759bfe36, "btree_destroy" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xb8fec5bf, "scmd_printk" },
	{ 0x97106714, "memdup_user_nul" },
	{ 0x4f2593f0, "btree_update" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xf36cfe50, "pci_write_config_byte" },
	{ 0xf45309cd, "sg_pcopy_from_buffer" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xc502f337, "__register_chrdev" },
	{ 0x9034a696, "mempool_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x2ce2f1a1, "fc_eh_should_retry_cmd" },
	{ 0x50334faa, "pcie_capability_read_dword" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc2a4bc38, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb2fa093e, "blk_mq_map_queues" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0x3884f8b8, "nvme_fc_unregister_localport" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x981c3fa2, "scsi_is_fc_rport" },
	{ 0xca30e426, "pci_disable_device" },
	{ 0x1cefcaf1, "seq_puts" },
	{ 0x6c320320, "scsi_done" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x890fa0fa, "btree_get_prev" },
	{ 0x3762a917, "single_release" },
	{ 0x9852b39c, "scsi_unblock_requests" },
	{ 0xe6c6db2c, "pcie_set_readrq" },
	{ 0x564cee2e, "sg_copy_from_buffer" },
	{ 0x40c2271d, "dma_set_mask" },
	{ 0xdf9734a7, "sg_nents" },
	{ 0x7e340258, "pci_disable_rom" },
	{ 0x6f3af43e, "dma_unmap_sg_attrs" },
	{ 0x62c74286, "kmalloc_trace" },
	{ 0xa8a779a9, "pci_irq_get_affinity" },
	{ 0xfe4c6eb3, "scsi_block_requests" },
	{ 0x1f9dced8, "page_address" },
	{ 0xf2fad68a, "scsi_add_host_with_dma" },
	{ 0x5021bd81, "_raw_write_lock_irqsave" },
	{ 0x492185f5, "pci_read_config_byte" },
	{ 0xd0d8621b, "strlen" },
	{ 0x78d3716b, "param_ops_int" },
	{ 0xd12e564, "nvme_fc_register_remoteport" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xd7ed1c4d, "single_open" },
	{ 0xae08212, "scsi_host_alloc" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x57bfe5ee, "debugfs_create_dir" },
	{ 0xb870fd36, "pci_write_config_word" },
	{ 0x2c37fb78, "sysfs_remove_bin_file" },
	{ 0x4de3b46e, "pci_free_irq_vectors" },
	{ 0x4ae4635, "trace_handle_return" },
	{ 0x6def8741, "sg_copy_to_buffer" },
	{ 0xbd187051, "nvme_fc_register_localport" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0xd99f9582, "scsi_change_queue_depth" },
	{ 0xf9a482f9, "msleep" },
	{ 0x31ff148, "pcix_set_mmrbc" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xbf24de84, "kmalloc_caches" },
	{ 0x67dcd8fd, "sg_pcopy_to_buffer" },
	{ 0xca368c3f, "kmem_cache_destroy" },
	{ 0x90cb03d3, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x92b57248, "flush_work" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0x762edfce, "module_layout" },
};

MODULE_INFO(depends, "scsi_transport_fc,nvme-fc,scsi_mod,scsi_common");

MODULE_ALIAS("pci:v00001077d00002100sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002200sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002300sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002312sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002322sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00006312sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00006322sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002422sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002432sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00008432sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00005422sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00005432sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002532sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002031sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00008001sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00008021sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00008031sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d0000F001sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00008044sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002071sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002271sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002261sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002061sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002081sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002281sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002089sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002289sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "DEF95796CA89E17AD932956");
