#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x9c9cf598, "_dev_err" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8be744b1, "__platform_driver_register" },
	{ 0x7c32af89, "spi_controller_suspend" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x19d32511, "of_device_get_match_data" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xa6257a2f, "complete" },
	{ 0xbef5113b, "devm_kasprintf" },
	{ 0xb9c21ba6, "spi_mem_default_supports_op" },
	{ 0x216da694, "platform_driver_unregister" },
	{ 0x6dc6d911, "spi_unregister_controller" },
	{ 0x83e341b1, "dma_release_channel" },
	{ 0xc6778dbf, "__pm_runtime_idle" },
	{ 0x3e16d3a6, "__pm_runtime_disable" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x6cc09945, "ioread32_rep" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x4e95f310, "spi_controller_resume" },
	{ 0x815588a6, "clk_enable" },
	{ 0x772816ff, "devm_clk_bulk_get" },
	{ 0x284b6c71, "__devm_spi_alloc_controller" },
	{ 0x7966440b, "of_find_property" },
	{ 0x352f907f, "of_property_read_variable_u32_array" },
	{ 0x27823b7b, "devm_clk_get" },
	{ 0xf8cc07b, "devm_platform_ioremap_resource" },
	{ 0xfd73d270, "devm_platform_get_and_ioremap_resource" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xb731b77c, "platform_get_irq" },
	{ 0x7a51c369, "pm_runtime_enable" },
	{ 0x6193cf15, "__pm_runtime_resume" },
	{ 0xf039d876, "__devm_reset_control_get" },
	{ 0xa5da62b0, "of_device_is_compatible" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0xa82325a4, "devm_request_threaded_irq" },
	{ 0x27a964ff, "of_get_next_available_child" },
	{ 0x7e8d5a6b, "of_node_put" },
	{ 0x8968e28, "dma_request_chan_by_mask" },
	{ 0x84969144, "spi_register_controller" },
	{ 0x40c2271d, "dma_set_mask" },
	{ 0xf6e719f6, "dev_err_probe" },
	{ 0x7cd1b50e, "memcpy_toio" },
	{ 0xdf8c695a, "__ndelay" },
	{ 0x4a453f53, "iowrite32" },
	{ 0xecb55757, "_dev_warn" },
	{ 0x531b604e, "__virt_addr_valid" },
	{ 0xbfc177bc, "iowrite32_rep" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xab06fd53, "mem_section" },
	{ 0xde8fce47, "dma_map_page_attrs" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xdc765020, "dma_unmap_page_attrs" },
	{ 0xb9704631, "memcpy_fromio" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xfdf82e27, "dev_driver_string" },
	{ 0x56470118, "__warn_printk" },
	{ 0x762edfce, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("of:N*T*Ccdns,qspi-nor");
MODULE_ALIAS("of:N*T*Ccdns,qspi-norC*");
MODULE_ALIAS("of:N*T*Cti,k2g-qspi");
MODULE_ALIAS("of:N*T*Cti,k2g-qspiC*");
MODULE_ALIAS("of:N*T*Cti,am654-ospi");
MODULE_ALIAS("of:N*T*Cti,am654-ospiC*");
MODULE_ALIAS("of:N*T*Cintel,lgm-qspi");
MODULE_ALIAS("of:N*T*Cintel,lgm-qspiC*");
MODULE_ALIAS("of:N*T*Cxlnx,versal-ospi-1.0");
MODULE_ALIAS("of:N*T*Cxlnx,versal-ospi-1.0C*");
MODULE_ALIAS("of:N*T*Cintel,socfpga-qspi");
MODULE_ALIAS("of:N*T*Cintel,socfpga-qspiC*");
MODULE_ALIAS("of:N*T*Cstarfive,jh7110-qspi");
MODULE_ALIAS("of:N*T*Cstarfive,jh7110-qspiC*");
MODULE_ALIAS("of:N*T*Camd,pensando-elba-qspi");
MODULE_ALIAS("of:N*T*Camd,pensando-elba-qspiC*");

MODULE_INFO(srcversion, "50C184BD9A8B20CAB75DF45");
