#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(staging, "Y");

KSYMTAB_FUNC(ieee80211_rx, "", "");
KSYMTAB_FUNC(ieee80211_rx_mgt, "", "");
KSYMTAB_FUNC(ieee80211_is_54g, "", "");
KSYMTAB_FUNC(ieee80211_is_shortslot, "", "");
KSYMTAB_FUNC(ieee80211_softmac_scan_syncro, "", "");
KSYMTAB_FUNC(ieee80211_stop_send_beacons, "", "");
KSYMTAB_FUNC(ieee80211_start_send_beacons, "", "");
KSYMTAB_FUNC(ieee80211_stop_scan, "", "");
KSYMTAB_FUNC(ieee80211_start_scan_syncro, "", "");
KSYMTAB_FUNC(ieee80211_ps_tx_ack, "", "");
KSYMTAB_FUNC(ieee80211_softmac_xmit, "", "");
KSYMTAB_FUNC(ieee80211_reset_queue, "", "");
KSYMTAB_FUNC(ieee80211_wake_queue_rsl, "", "");
KSYMTAB_FUNC(ieee80211_stop_queue_rsl, "", "");
KSYMTAB_FUNC(ieee80211_disassociate, "", "");
KSYMTAB_FUNC(ieee80211_get_beacon, "", "");
KSYMTAB_FUNC(ieee80211_softmac_stop_protocol, "", "");
KSYMTAB_FUNC(ieee80211_softmac_start_protocol, "", "");
KSYMTAB_FUNC(SendDisassociation_rsl, "", "");
KSYMTAB_FUNC(ieee80211_wpa_supplicant_ioctl, "", "");
KSYMTAB_FUNC(notify_wx_assoc_event_rsl, "", "");
KSYMTAB_FUNC(ieee80211_txb_free, "", "");
KSYMTAB_FUNC(ieee80211_wx_get_scan, "", "");
KSYMTAB_FUNC(ieee80211_wx_set_encode, "", "");
KSYMTAB_FUNC(ieee80211_wx_get_encode, "", "");
KSYMTAB_FUNC(ieee80211_wx_set_encode_ext, "", "");
KSYMTAB_FUNC(ieee80211_wx_get_encode_ext, "", "");
KSYMTAB_FUNC(ieee80211_wx_set_mlme, "", "");
KSYMTAB_FUNC(ieee80211_wx_set_auth, "", "");
KSYMTAB_FUNC(ieee80211_wx_set_gen_ie, "", "");
KSYMTAB_DATA(ieee80211_wlan_frequencies, "", "");
KSYMTAB_FUNC(ieee80211_wx_set_freq, "", "");
KSYMTAB_FUNC(ieee80211_wx_get_freq, "", "");
KSYMTAB_FUNC(ieee80211_wx_get_wap, "", "");
KSYMTAB_FUNC(ieee80211_wx_set_wap, "", "");
KSYMTAB_FUNC(ieee80211_wx_get_essid, "", "");
KSYMTAB_FUNC(ieee80211_wx_set_rate, "", "");
KSYMTAB_FUNC(ieee80211_wx_get_rate, "", "");
KSYMTAB_FUNC(ieee80211_wx_set_rts, "", "");
KSYMTAB_FUNC(ieee80211_wx_get_rts, "", "");
KSYMTAB_FUNC(ieee80211_wx_set_mode, "", "");
KSYMTAB_FUNC(ieee80211_wx_set_scan, "", "");
KSYMTAB_FUNC(ieee80211_wx_set_essid, "", "");
KSYMTAB_FUNC(ieee80211_wx_get_mode, "", "");
KSYMTAB_FUNC(ieee80211_wx_set_rawtx, "", "");
KSYMTAB_FUNC(ieee80211_wx_get_name, "", "");
KSYMTAB_FUNC(ieee80211_wx_set_power, "", "");
KSYMTAB_FUNC(ieee80211_wx_get_power, "", "");
KSYMTAB_FUNC(HTUpdateSelfAndPeerSetting, "", "");
KSYMTAB_FUNC(rtl8192u_dot11d_init, "", "");
KSYMTAB_FUNC(dot11d_reset, "", "");
KSYMTAB_FUNC(dot11d_update_country_ie, "", "");
KSYMTAB_FUNC(dot11d_get_max_tx_pwr_in_dbm, "", "");
KSYMTAB_FUNC(dot11d_scan_complete, "", "");
KSYMTAB_FUNC(is_legal_channel, "", "");
KSYMTAB_FUNC(to_legal_channel, "", "");

SYMBOL_CRC(ieee80211_rx, 0xcd3577c2, "");
SYMBOL_CRC(ieee80211_rx_mgt, 0xff39468a, "");
SYMBOL_CRC(ieee80211_is_54g, 0x66979591, "");
SYMBOL_CRC(ieee80211_is_shortslot, 0xe825617f, "");
SYMBOL_CRC(ieee80211_softmac_scan_syncro, 0x6384ba45, "");
SYMBOL_CRC(ieee80211_stop_send_beacons, 0x27c436a4, "");
SYMBOL_CRC(ieee80211_start_send_beacons, 0x85375f93, "");
SYMBOL_CRC(ieee80211_stop_scan, 0xe7b426d7, "");
SYMBOL_CRC(ieee80211_start_scan_syncro, 0x16e2401a, "");
SYMBOL_CRC(ieee80211_ps_tx_ack, 0xa1c9c2ed, "");
SYMBOL_CRC(ieee80211_softmac_xmit, 0xd2fe4e4e, "");
SYMBOL_CRC(ieee80211_reset_queue, 0x279511ff, "");
SYMBOL_CRC(ieee80211_wake_queue_rsl, 0x5d4300d8, "");
SYMBOL_CRC(ieee80211_stop_queue_rsl, 0x347e1cab, "");
SYMBOL_CRC(ieee80211_disassociate, 0xb51901ab, "");
SYMBOL_CRC(ieee80211_get_beacon, 0x9b5e923b, "");
SYMBOL_CRC(ieee80211_softmac_stop_protocol, 0xfc85a1b8, "");
SYMBOL_CRC(ieee80211_softmac_start_protocol, 0x58bd99e6, "");
SYMBOL_CRC(SendDisassociation_rsl, 0xc4e82f05, "");
SYMBOL_CRC(ieee80211_wpa_supplicant_ioctl, 0xd9caa662, "");
SYMBOL_CRC(notify_wx_assoc_event_rsl, 0xc501ab47, "");
SYMBOL_CRC(ieee80211_txb_free, 0x9dfccb17, "");
SYMBOL_CRC(ieee80211_wx_get_scan, 0xe057339b, "");
SYMBOL_CRC(ieee80211_wx_set_encode, 0x308ffc2e, "");
SYMBOL_CRC(ieee80211_wx_get_encode, 0x4045e239, "");
SYMBOL_CRC(ieee80211_wx_set_encode_ext, 0x4bbb71a7, "");
SYMBOL_CRC(ieee80211_wx_get_encode_ext, 0xf1ddde03, "");
SYMBOL_CRC(ieee80211_wx_set_mlme, 0x18a3abd9, "");
SYMBOL_CRC(ieee80211_wx_set_auth, 0xd3b0e894, "");
SYMBOL_CRC(ieee80211_wx_set_gen_ie, 0xf89f951e, "");
SYMBOL_CRC(ieee80211_wlan_frequencies, 0x232e7944, "");
SYMBOL_CRC(ieee80211_wx_set_freq, 0xb4ca1792, "");
SYMBOL_CRC(ieee80211_wx_get_freq, 0x54b06a72, "");
SYMBOL_CRC(ieee80211_wx_get_wap, 0x400bd305, "");
SYMBOL_CRC(ieee80211_wx_set_wap, 0xef9f2d0f, "");
SYMBOL_CRC(ieee80211_wx_get_essid, 0xcacb92c6, "");
SYMBOL_CRC(ieee80211_wx_set_rate, 0x56c80003, "");
SYMBOL_CRC(ieee80211_wx_get_rate, 0xb6b27de3, "");
SYMBOL_CRC(ieee80211_wx_set_rts, 0xdb38b7da, "");
SYMBOL_CRC(ieee80211_wx_get_rts, 0x74ac49d0, "");
SYMBOL_CRC(ieee80211_wx_set_mode, 0x576faa90, "");
SYMBOL_CRC(ieee80211_wx_set_scan, 0x002d4e7b, "");
SYMBOL_CRC(ieee80211_wx_set_essid, 0x6a210ac3, "");
SYMBOL_CRC(ieee80211_wx_get_mode, 0xb715d770, "");
SYMBOL_CRC(ieee80211_wx_set_rawtx, 0xd3bf1cee, "");
SYMBOL_CRC(ieee80211_wx_get_name, 0x7ee54762, "");
SYMBOL_CRC(ieee80211_wx_set_power, 0x952436ea, "");
SYMBOL_CRC(ieee80211_wx_get_power, 0x35ceaeef, "");
SYMBOL_CRC(HTUpdateSelfAndPeerSetting, 0xcfc4b762, "");
SYMBOL_CRC(rtl8192u_dot11d_init, 0xf6d44f5b, "");
SYMBOL_CRC(dot11d_reset, 0x9bfb9557, "");
SYMBOL_CRC(dot11d_update_country_ie, 0x3c56f414, "");
SYMBOL_CRC(dot11d_get_max_tx_pwr_in_dbm, 0xdd1d2da8, "");
SYMBOL_CRC(dot11d_scan_complete, 0xbf0fa5bb, "");
SYMBOL_CRC(is_legal_channel, 0x97e36cbc, "");
SYMBOL_CRC(to_legal_channel, 0xe3d8f3f1, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4f7118ed, "alloc_etherdev_mqs" },
	{ 0x6de0c45e, "usb_alloc_urb" },
	{ 0xf448a29f, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0x2bb32ad1, "arc4_setkey" },
	{ 0xd154bca9, "usb_free_urb" },
	{ 0xe96f3c18, "skb_put" },
	{ 0x92c856a3, "iwe_stream_add_event" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x408efcb2, "proc_create" },
	{ 0x2a39f0b7, "consume_skb" },
	{ 0x8235805b, "memmove" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xe2e8065e, "memdup_user" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0xe6aa0f1b, "unregister_netdev" },
	{ 0x1a469d3, "skb_dequeue" },
	{ 0xfb125902, "request_firmware" },
	{ 0xdb1f485b, "usb_register_driver" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x85ae90a7, "dev_trans_start" },
	{ 0x99d3067b, "dev_alloc_name" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa5d3066f, "seq_lseek" },
	{ 0xb31aca29, "eth_validate_addr" },
	{ 0x72480cab, "crypto_alloc_aead" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xc5b80868, "netdev_warn" },
	{ 0xb343a150, "crypto_aead_setauthsize" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x18c382be, "crypto_aead_decrypt" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xe7e797fc, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x9fe87efb, "skb_queue_purge_reason" },
	{ 0xe81fe252, "dev_addr_mod" },
	{ 0xa513457f, "crypto_destroy_tfm" },
	{ 0x9bbd194e, "eth_type_trans" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf4ea8be6, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0x738803e6, "strnlen" },
	{ 0xd3ff47b0, "usb_submit_urb" },
	{ 0x88db665b, "kstrtoul_from_user" },
	{ 0xc2da70e4, "skb_queue_tail" },
	{ 0xad0aad55, "debugfs_lookup" },
	{ 0xc8e7bbcf, "crypto_aead_setkey" },
	{ 0xab6dbc1a, "init_net" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x7608b0f7, "crypto_shash_setkey" },
	{ 0x443915de, "skb_pull" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2313e218, "crypto_aead_encrypt" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x744a7cd6, "kfree_skb_reason" },
	{ 0xcd47fcc4, "arc4_crypt" },
	{ 0x80c4c319, "crc32_le" },
	{ 0xab06fd53, "mem_section" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xa3fbbe1d, "skb_push" },
	{ 0xe228b7c5, "debugfs_remove" },
	{ 0x6c2e3320, "strncmp" },
	{ 0xe1ff6e17, "usb_control_msg" },
	{ 0x10904504, "wireless_send_event" },
	{ 0x2766cd51, "seq_putc" },
	{ 0xc5ff468e, "register_netdev" },
	{ 0xb6ed1e53, "strncpy" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x504e87b, "free_netdev" },
	{ 0xd4c5a877, "crypto_shash_update" },
	{ 0x5152e605, "memcmp" },
	{ 0x96603250, "kmalloc_large" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x6d6c66c7, "usb_deregister" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x4bd2073b, "netif_tx_wake_queue" },
	{ 0xf6a7c01d, "proc_mkdir" },
	{ 0xa15d0131, "cancel_delayed_work" },
	{ 0x2bc95bd4, "memset" },
	{ 0xd2a74b61, "param_ops_charp" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4d24402, "iwe_stream_add_point" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xfdac7e82, "netif_rx" },
	{ 0x537dc765, "__netdev_alloc_skb" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xb45df6ff, "skb_trim" },
	{ 0x494f871d, "skb_unlink" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x20539717, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xd88c3227, "netdev_alert" },
	{ 0x2a625738, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xd0a8d9e3, "debugfs_rename" },
	{ 0xeea0399, "strscpy" },
	{ 0x9a48dc00, "debugfs_create_file" },
	{ 0x5f821b99, "crypto_shash_final" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xb1b939e, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x20a2389c, "remove_proc_entry" },
	{ 0x5aede44, "usb_kill_urb" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xef60d161, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xc2a4bc38, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xf6c6bece, "skb_copy" },
	{ 0xa7fe9cb2, "netif_carrier_on" },
	{ 0x1cefcaf1, "seq_puts" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x3762a917, "single_release" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x62c74286, "kmalloc_trace" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xc4f94d57, "dev_kfree_skb_any_reason" },
	{ 0x78d3716b, "param_ops_int" },
	{ 0xd7ed1c4d, "single_open" },
	{ 0xf0f87186, "crypto_alloc_shash" },
	{ 0x57bfe5ee, "debugfs_create_dir" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xf9a482f9, "msleep" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xbf24de84, "kmalloc_caches" },
	{ 0xe360141, "netdev_info" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x762edfce, "module_layout" },
};

MODULE_INFO(depends, "usbcore,libarc4");

MODULE_ALIAS("usb:v0BDAp8709d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v07AAp0043d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v050Dp805Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DF6p0031d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1740p9201d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2001p3301d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v5A57p0290d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v043Ep7A01d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "A71DE2DA5A1DAC194F65A69");
