#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vfio_pci_core_enable, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_disable, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_close_device, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_finish_enable, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_register_dev_region, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_ioctl, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_ioctl_feature, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_read, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_write, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_mmap, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_request, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_match, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_init_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_release_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_register_device, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_unregister_device, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_aer_err_detected, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_sriov_configure, "_gpl", "");
KSYMTAB_DATA(vfio_pci_core_err_handlers, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_set_params, "_gpl", "");

SYMBOL_CRC(vfio_pci_core_enable, 0x406a1cb4, "_gpl");
SYMBOL_CRC(vfio_pci_core_disable, 0x6e00d3c7, "_gpl");
SYMBOL_CRC(vfio_pci_core_close_device, 0xdd38f976, "_gpl");
SYMBOL_CRC(vfio_pci_core_finish_enable, 0x40af5b10, "_gpl");
SYMBOL_CRC(vfio_pci_core_register_dev_region, 0x488d89ae, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioctl, 0x40929eca, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioctl_feature, 0x03282e99, "_gpl");
SYMBOL_CRC(vfio_pci_core_read, 0x62177fdb, "_gpl");
SYMBOL_CRC(vfio_pci_core_write, 0x713a719d, "_gpl");
SYMBOL_CRC(vfio_pci_core_mmap, 0x0fbbd4a8, "_gpl");
SYMBOL_CRC(vfio_pci_core_request, 0x708f9678, "_gpl");
SYMBOL_CRC(vfio_pci_core_match, 0x7f99875f, "_gpl");
SYMBOL_CRC(vfio_pci_core_init_dev, 0x501fd4a0, "_gpl");
SYMBOL_CRC(vfio_pci_core_release_dev, 0x266ddeab, "_gpl");
SYMBOL_CRC(vfio_pci_core_register_device, 0x5161b346, "_gpl");
SYMBOL_CRC(vfio_pci_core_unregister_device, 0xfe871645, "_gpl");
SYMBOL_CRC(vfio_pci_core_aer_err_detected, 0x2e2750b9, "_gpl");
SYMBOL_CRC(vfio_pci_core_sriov_configure, 0x900558fb, "_gpl");
SYMBOL_CRC(vfio_pci_core_err_handlers, 0x3d236f0a, "_gpl");
SYMBOL_CRC(vfio_pci_core_set_params, 0x4cf699b8, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x924da947, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x421d4dcf, "krealloc" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x13110126, "request_resource" },
	{ 0xc75375a4, "__init_rwsem" },
	{ 0xa67781c6, "pci_read_vpd" },
	{ 0x59df7b71, "bus_unregister_notifier" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x7bde261e, "pci_request_selected_regions" },
	{ 0xb117183, "pci_release_selected_regions" },
	{ 0x1e7d464, "pci_user_write_config_byte" },
	{ 0xccbb08b, "pci_enable_device" },
	{ 0x4a453f53, "iowrite32" },
	{ 0xb610ace1, "pci_bus_max_busnr" },
	{ 0x76e26732, "pci_check_and_mask_intx" },
	{ 0xe5e669a7, "pci_iomap" },
	{ 0x51f16cdb, "vfio_info_cap_shift" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0x23d68370, "pci_alloc_irq_vectors" },
	{ 0x5b8cfda, "vfio_set_irqs_validate_and_prepare" },
	{ 0x17dc7414, "pci_enable_atomic_ops_to_root" },
	{ 0xe2e8065e, "memdup_user" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0xe3c92181, "pci_dev_put" },
	{ 0xacc3fcd3, "iommu_group_get" },
	{ 0x842c8e9d, "ioread16" },
	{ 0x7fa1b1f1, "vfio_virqfd_disable" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x4de8c3c5, "__mmap_lock_do_trace_acquire_returned" },
	{ 0x5db99c30, "fget" },
	{ 0xedc03953, "iounmap" },
	{ 0x7d703bc5, "pci_num_vf" },
	{ 0x2e60bace, "memcpy" },
	{ 0xbcad1246, "pci_user_read_config_dword" },
	{ 0xee77dd4a, "remap_pfn_range" },
	{ 0x37a0cba, "kfree" },
	{ 0xab699b81, "pci_user_read_config_word" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xe44d0731, "pci_probe_reset_bus" },
	{ 0x6a86bc1, "iowrite16" },
	{ 0xad273e63, "pci_probe_reset_slot" },
	{ 0xb0e71a11, "zap_vma_ptes" },
	{ 0xf5a097ea, "pci_set_power_state" },
	{ 0xcf2ea86b, "__tracepoint_mmap_lock_acquire_returned" },
	{ 0xe2aa651a, "pci_irq_vector" },
	{ 0xf2c53d53, "pci_write_msi_msg" },
	{ 0x89485687, "iommu_group_put" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd469bccc, "__tracepoint_mmap_lock_released" },
	{ 0x6fe1f77a, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xe664f62, "down_read_trylock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x9dcb8723, "pci_read_config_dword" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x848d372e, "iowrite8" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x594bf15b, "ioport_map" },
	{ 0x9863ce70, "pci_intx" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x64df6293, "pci_user_write_config_word" },
	{ 0x3b46b896, "bus_register_notifier" },
	{ 0xf98bd3fa, "_dev_info" },
	{ 0xa485f94d, "vfio_file_is_group" },
	{ 0x5c45dbdd, "pci_msix_can_alloc_dyn" },
	{ 0xcaf541ec, "vfio_file_has_dev" },
	{ 0xd5da9c3f, "pci_clear_master" },
	{ 0x36b47394, "__pci_reset_function_locked" },
	{ 0x6e7943ec, "iommu_group_id" },
	{ 0x69e683de, "uuid_gen" },
	{ 0x8dd82055, "fput" },
	{ 0x5af8e078, "down_write" },
	{ 0xaa173b39, "up_write" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x418873cc, "irq_bypass_register_producer" },
	{ 0x73ed666b, "pci_write_vpd" },
	{ 0xc6a0c49d, "vfio_virqfd_enable" },
	{ 0xbae7abf6, "vga_client_register" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xc1b65801, "pci_read_config_word" },
	{ 0x6c2e3320, "strncmp" },
	{ 0xb925f45, "aperture_remove_conflicting_pci_devices" },
	{ 0x5cc5c31a, "vfio_unregister_group_dev" },
	{ 0xa0ff2e96, "pci_map_rom" },
	{ 0xde80cd09, "ioremap" },
	{ 0xd67364f7, "eventfd_ctx_fdget" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xded5072b, "pci_store_saved_state" },
	{ 0xabb7c7c2, "get_cached_msi_msg" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x82da8c5c, "pci_iounmap" },
	{ 0x8c701a8f, "pci_restore_state" },
	{ 0xb19b445, "ioread8" },
	{ 0x2bc95bd4, "memset" },
	{ 0xecb55757, "_dev_warn" },
	{ 0xfc39e32f, "ioport_unmap" },
	{ 0x197586be, "pcie_get_mps" },
	{ 0x4bc395f8, "pci_dev_trylock" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x44b708bf, "down_write_trylock" },
	{ 0xc9bba4b6, "down_read" },
	{ 0xc7f0b619, "mutex_trylock" },
	{ 0xeda1a535, "vga_put" },
	{ 0xf655355, "vfio_info_add_capability" },
	{ 0x9509aaec, "pci_dev_driver" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x745a981, "xa_erase" },
	{ 0x94da9c37, "__mmap_lock_do_trace_start_locking" },
	{ 0x9fa7e042, "vfio_find_device_in_devset" },
	{ 0xf6e772c3, "irq_bypass_unregister_producer" },
	{ 0x20a79b5a, "_dev_notice" },
	{ 0xe8fd12b2, "pm_runtime_forbid" },
	{ 0xa770b57b, "pm_runtime_allow" },
	{ 0x6bc72cb6, "pci_reset_bus" },
	{ 0xf5133200, "mmput" },
	{ 0x6193cf15, "__pm_runtime_resume" },
	{ 0x86192a53, "vfio_register_group_dev" },
	{ 0x6d32552a, "vfio_assign_device_set" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xe033c7b6, "pci_user_read_config_byte" },
	{ 0x3decfe46, "pci_try_reset_function" },
	{ 0x8fa25c24, "xa_find" },
	{ 0x385c7481, "__tracepoint_mmap_lock_start_locking" },
	{ 0x7293cc47, "pci_get_class" },
	{ 0xf2795038, "pci_user_write_config_dword" },
	{ 0x50334faa, "pcie_capability_read_dword" },
	{ 0x93d9f7ea, "__mmap_lock_do_trace_released" },
	{ 0xcda95d78, "pci_load_and_free_saved_state" },
	{ 0xc5ed4239, "pci_disable_sriov" },
	{ 0x18735984, "vfio_device_set_open_count" },
	{ 0xca30e426, "pci_disable_device" },
	{ 0xfc86edab, "pci_match_id" },
	{ 0x6f3cad0f, "boot_cpu_data" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x800df32c, "pci_check_and_unmask_intx" },
	{ 0xe6c6db2c, "pcie_set_readrq" },
	{ 0x95a5d224, "pci_walk_bus" },
	{ 0x824c5ab5, "pci_msix_alloc_irq_at" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0x62c74286, "kmalloc_trace" },
	{ 0xf0dfadeb, "vga_get" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0x4b982068, "pci_unmap_rom" },
	{ 0x46cf10eb, "cachemode2protval" },
	{ 0x492185f5, "pci_read_config_byte" },
	{ 0xc5e74216, "release_resource" },
	{ 0xd0d8621b, "strlen" },
	{ 0xdf0f75c6, "eventfd_signal" },
	{ 0x16f80a7b, "vga_set_legacy_decoding" },
	{ 0x2bbc740a, "pci_dev_unlock" },
	{ 0xb870fd36, "pci_write_config_word" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x4de3b46e, "pci_free_irq_vectors" },
	{ 0xb23de359, "pci_enable_sriov" },
	{ 0x29f3a126, "up_read" },
	{ 0xc6778dbf, "__pm_runtime_idle" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xf06eb32f, "pci_bus_type" },
	{ 0xbf24de84, "kmalloc_caches" },
	{ 0x762edfce, "module_layout" },
};

MODULE_INFO(depends, "vfio,irqbypass");


MODULE_INFO(srcversion, "EC88AD12C3E0D1DF1ABB0F3");
