#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3b969f90, "fsverity_get_digest" },
	{ 0x1daa543b, "inode_init_owner" },
	{ 0x318b0e03, "__d_drop" },
	{ 0x421d4dcf, "krealloc" },
	{ 0xa456b8a, "vfs_fsync_range" },
	{ 0x3b6b6c00, "setattr_prepare" },
	{ 0x3caa63, "vfs_removexattr" },
	{ 0x82256df9, "clear_nlink" },
	{ 0x6e385dbc, "vfs_fileattr_get" },
	{ 0x5f975934, "vfs_listxattr" },
	{ 0x73f793b0, "generic_fill_statx_attr" },
	{ 0x8620be4e, "revert_creds" },
	{ 0xe1f50f3f, "d_instantiate" },
	{ 0x293bdba0, "vfs_dedupe_file_range_one" },
	{ 0x1eb76406, "make_vfsgid" },
	{ 0x76496d0e, "vfs_setxattr" },
	{ 0xc33e02a2, "notify_change" },
	{ 0x2d2ec09f, "d_alloc_anon" },
	{ 0xea7d5306, "vfs_getattr" },
	{ 0x50b6c018, "vfs_rename" },
	{ 0xc2984ba2, "clone_private_mount" },
	{ 0x74a5e439, "fs_param_is_string" },
	{ 0xcc24c361, "param_ops_ushort" },
	{ 0xef1eaa8d, "lookup_one_len" },
	{ 0x2eaad3b, "lookup_one_unlocked" },
	{ 0x8235805b, "memmove" },
	{ 0x9b7fa570, "inode_insert5" },
	{ 0xfb409618, "new_inode" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x753e7d85, "init_special_inode" },
	{ 0x435a4076, "unregister_filesystem" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xa5ef0fda, "iterate_dir" },
	{ 0x9143040, "d_instantiate_anon" },
	{ 0xb89a1b6c, "inode_set_flags" },
	{ 0xea75c425, "is_subdir" },
	{ 0x13c17af3, "d_make_root" },
	{ 0x35fb94b8, "sync_filesystem" },
	{ 0xd07f543, "get_anon_bdev" },
	{ 0xb518732c, "d_splice_alias" },
	{ 0x2e60bace, "memcpy" },
	{ 0x8b910be2, "errseq_sample" },
	{ 0xab2f0e79, "ihold" },
	{ 0x3f0165b2, "d_find_any_alias" },
	{ 0xe9d0a430, "generic_permission" },
	{ 0x37a0cba, "kfree" },
	{ 0xf293c7c8, "iput" },
	{ 0xba07946c, "pcpu_hot" },
	{ 0x725fe4db, "fs_param_is_enum" },
	{ 0x6fb6f8f1, "wrap_directory_iterator" },
	{ 0x3cb6cae5, "logfc" },
	{ 0xf105d8f9, "security_file_ioctl" },
	{ 0x7e61ef41, "iter_file_splice_write" },
	{ 0xf496156c, "kern_unmount_array" },
	{ 0x2e4b61eb, "do_splice_direct" },
	{ 0x1b58d6ea, "register_filesystem" },
	{ 0xfc5586ec, "kmem_cache_create" },
	{ 0xb2ed634b, "vfs_unlink" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x8069aae3, "ns_capable_noaudit" },
	{ 0x8b804132, "path_put" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x30086a67, "vfs_copy_file_range" },
	{ 0x43f7d283, "vfs_setpos" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5d422237, "make_vfsuid" },
	{ 0x861a197c, "__put_cred" },
	{ 0x6f83fba8, "hex2bin" },
	{ 0x4a780a83, "backing_file_open" },
	{ 0xfadbedee, "vfs_splice_read" },
	{ 0x748d016c, "vfs_mkdir" },
	{ 0x6e41628, "get_tree_nodev" },
	{ 0x55e867e7, "kernel_tmpfile_open" },
	{ 0x2efbdf56, "vfs_statfs" },
	{ 0x9a0cc10d, "lookup_one" },
	{ 0x5d7085e2, "lookup_one_positive_unlocked" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x97a22617, "d_drop" },
	{ 0x8b8059bd, "in_group_p" },
	{ 0x7d2b6544, "exportfs_decode_fh" },
	{ 0xa7e8bef, "unlock_new_inode" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x3eab415d, "vfs_iter_read" },
	{ 0xadce426b, "vfs_fallocate" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x4798f9ff, "vfs_iocb_iter_write" },
	{ 0x9edfdb1b, "mnt_want_write" },
	{ 0x738803e6, "strnlen" },
	{ 0xc5216731, "kmem_cache_alloc" },
	{ 0x494f01bc, "get_inode_acl" },
	{ 0x2ee070df, "capable_wrt_inode_uidgid" },
	{ 0xf39a674c, "do_clone_file_range" },
	{ 0xc6cbbc89, "capable" },
	{ 0xcdde3478, "mntput" },
	{ 0x8dfefc0d, "kvmalloc_node" },
	{ 0x4a6fc967, "inode_init_once" },
	{ 0x769f6e64, "errseq_check" },
	{ 0xa5231a47, "vfs_remove_acl" },
	{ 0x7a5a8c4f, "seq_escape_mem" },
	{ 0x2610f7bc, "ilookup5" },
	{ 0x49f26466, "kstrndup" },
	{ 0x7231f523, "prepare_creds" },
	{ 0xf8922651, "posix_acl_create" },
	{ 0x3cea4223, "vfs_get_link" },
	{ 0x69e683de, "uuid_gen" },
	{ 0x8dd82055, "fput" },
	{ 0x5af8e078, "down_write" },
	{ 0xaa173b39, "up_write" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xa5e3a9e6, "exportfs_encode_fh" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x53fc738b, "set_nlink" },
	{ 0x4855e76, "lock_rename" },
	{ 0xddb2ef79, "kmem_cache_free" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x2766cd51, "seq_putc" },
	{ 0x78feeb27, "from_kgid" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0xd5019587, "vfs_getxattr" },
	{ 0x927fc698, "file_remove_privs" },
	{ 0x5152e605, "memcmp" },
	{ 0x13e78ca, "vma_set_file" },
	{ 0xf0a343ed, "release_dentry_name_snapshot" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xf7b5a859, "mutex_lock_interruptible" },
	{ 0x2d994605, "security_inode_copy_up_xattr" },
	{ 0x781cf2b5, "from_kuid" },
	{ 0xede7a314, "kern_path" },
	{ 0xff9efa70, "vfs_parse_monolithic_sep" },
	{ 0xca1738c6, "vfs_iocb_iter_read" },
	{ 0xc3c6bbdb, "vfs_set_acl" },
	{ 0xce53b6a3, "vfs_fadvise" },
	{ 0x3aa931ab, "vfs_iter_write" },
	{ 0x6af2bace, "inode_owner_or_capable" },
	{ 0xdd0a2ba2, "strlcat" },
	{ 0x1e9cf202, "__insert_inode_hash" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc3ca323f, "unlock_rename" },
	{ 0xe45ebe86, "vfs_rmdir" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc9bba4b6, "down_read" },
	{ 0x9093ada9, "security_inode_copy_up" },
	{ 0xb9fa28c7, "mnt_drop_write" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3ea77e76, "override_creds" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xfbce2667, "security_dentry_create_files_as" },
	{ 0xc929de44, "noop_direct_IO" },
	{ 0x9834a035, "vfs_symlink" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x88d4d479, "generic_read_dir" },
	{ 0x4959f023, "vfs_fsync" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x545d52e6, "down_write_killable" },
	{ 0xdc1a78c, "bin2hex" },
	{ 0xb0a7be08, "param_ops_bool" },
	{ 0x3d158de2, "vfs_mknod" },
	{ 0x9995991b, "lookup_positive_unlocked" },
	{ 0x4aed611, "init_user_ns" },
	{ 0x306345c5, "vfs_path_lookup" },
	{ 0x9b27b8af, "dentry_open" },
	{ 0xd2860a67, "inc_nlink" },
	{ 0x4834bd6c, "vfs_fileattr_set" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc2a4bc38, "seq_printf" },
	{ 0xc560e9c7, "dput" },
	{ 0x9feebd43, "take_dentry_name_snapshot" },
	{ 0x32eaec7b, "lockref_get" },
	{ 0xa95795ba, "generic_delete_inode" },
	{ 0xc659f7ae, "touch_atime" },
	{ 0x20471e79, "__percpu_down_read" },
	{ 0x4856a47d, "vfs_clone_file_range" },
	{ 0x652260a5, "vfs_llseek" },
	{ 0x7100fe37, "kernel_file_open" },
	{ 0x1cefcaf1, "seq_puts" },
	{ 0x92ead8ca, "rcuwait_wake_up" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x2ec6bba0, "errseq_set" },
	{ 0xdabd6bb2, "__fs_parse" },
	{ 0x70a70557, "vfs_link" },
	{ 0x56381e81, "dget_parent" },
	{ 0x34014570, "kill_anon_super" },
	{ 0x62c74286, "kmalloc_trace" },
	{ 0x55037ed4, "iget5_locked" },
	{ 0xfb60faf5, "posix_acl_clone" },
	{ 0x47709e42, "free_anon_bdev" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xd0d8621b, "strlen" },
	{ 0x60624ad2, "inode_permission" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x75f5adf2, "get_cached_acl_rcu" },
	{ 0x349cba85, "strchr" },
	{ 0x9c35530a, "__mnt_is_readonly" },
	{ 0xa8b2d004, "kmem_cache_alloc_lru" },
	{ 0xa4c106ea, "d_invalidate" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x77f0bee, "vfs_get_acl" },
	{ 0xceab0311, "strchrnul" },
	{ 0x29f3a126, "up_read" },
	{ 0x59eea3fd, "drop_nlink" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xbf24de84, "kmalloc_caches" },
	{ 0xca368c3f, "kmem_cache_destroy" },
	{ 0xbeebe2cc, "vfs_create" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0x762edfce, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "8A811D2EB670F3500D7A3A7");
