#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(udp_sock_create4, "", "");
KSYMTAB_FUNC(setup_udp_tunnel_sock, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_push_rx_port, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_drop_rx_port, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_notify_add_rx_port, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_notify_del_rx_port, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_xmit_skb, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_sock_release, "_gpl", "");
KSYMTAB_FUNC(udp_tun_rx_dst, "_gpl", "");

SYMBOL_CRC(udp_sock_create4, 0x490d958f, "");
SYMBOL_CRC(setup_udp_tunnel_sock, 0xc93882e1, "_gpl");
SYMBOL_CRC(udp_tunnel_push_rx_port, 0x71fbb5c7, "_gpl");
SYMBOL_CRC(udp_tunnel_drop_rx_port, 0x3ac6caf2, "_gpl");
SYMBOL_CRC(udp_tunnel_notify_add_rx_port, 0xdac541d7, "_gpl");
SYMBOL_CRC(udp_tunnel_notify_del_rx_port, 0x35490ab4, "_gpl");
SYMBOL_CRC(udp_tunnel_xmit_skb, 0x3ae6af9d, "_gpl");
SYMBOL_CRC(udp_tunnel_sock_release, 0xaa333e0f, "_gpl");
SYMBOL_CRC(udp_tun_rx_dst, 0x8e4193c1, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x15ce28d7, "kernel_bind" },
	{ 0x143ffe1c, "udp_set_csum" },
	{ 0x37a0cba, "kfree" },
	{ 0xc5b80868, "netdev_warn" },
	{ 0xaaf8f109, "udp_tunnel_nic_ops" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xf3f73f03, "ipv6_stub" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x99517682, "udp_encap_enable" },
	{ 0x9f580fa9, "kernel_sock_shutdown" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xa47f0657, "iptunnel_xmit" },
	{ 0xa589d9d0, "nla_put" },
	{ 0x52b9fccf, "kernel_connect" },
	{ 0x2bc95bd4, "memset" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb45df6ff, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x9674f396, "sock_create_kern" },
	{ 0x7668e24b, "call_netdevice_notifiers" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x8ac4f66f, "metadata_dst_alloc" },
	{ 0x37eb6c93, "sock_release" },
	{ 0xa8861fb1, "__x86_indirect_thunk_eax" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x3816cc2f, "sock_bindtoindex" },
	{ 0x62c74286, "kmalloc_trace" },
	{ 0x349cba85, "strchr" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xbf24de84, "kmalloc_caches" },
	{ 0x762edfce, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "63956981D7A39491B07C1FE");
