#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(key_type_trusted, "_gpl", "");
KSYMTAB_FUNC(TSS_authhmac, "_gpl", "");
KSYMTAB_FUNC(TSS_checkhmac1, "_gpl", "");
KSYMTAB_FUNC(trusted_tpm_send, "_gpl", "");
KSYMTAB_FUNC(oiap, "_gpl", "");

SYMBOL_CRC(key_type_trusted, 0x3d23b23c, "_gpl");
SYMBOL_CRC(TSS_authhmac, 0x79470a2c, "_gpl");
SYMBOL_CRC(TSS_checkhmac1, 0xde6f1851, "_gpl");
SYMBOL_CRC(trusted_tpm_send, 0x755ae3c8, "_gpl");
SYMBOL_CRC(oiap, 0x73cc8631, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x86436029, "tpm_transmit_cmd" },
	{ 0x81a34416, "tee_client_invoke_func" },
	{ 0xa4c00324, "asn1_encode_octet_string" },
	{ 0xf05a52fe, "asn1_encode_oid" },
	{ 0x8180cede, "asn1_encode_sequence" },
	{ 0xa5c90893, "look_up_OID" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0xe8e235c8, "arch_static_call_transform" },
	{ 0x55c6a2a5, "unregister_key_type" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x94abb745, "sprint_oid" },
	{ 0x820a90dd, "tpm2_flush_context" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x18fb2caf, "cpus_read_unlock" },
	{ 0x71cec778, "tee_client_open_session" },
	{ 0x189803f8, "register_key_type" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x2fb8b1b2, "tee_bus_type" },
	{ 0x6f83fba8, "hex2bin" },
	{ 0xa513457f, "crypto_destroy_tfm" },
	{ 0xda2439d4, "tpm_try_get_ops" },
	{ 0x668b595, "_kstrtoul" },
	{ 0x7ad02a41, "asn1_encode_tag" },
	{ 0xf4ea8be6, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x55511d12, "put_device" },
	{ 0x701f0049, "tpm_get_random" },
	{ 0xc6cbbc89, "capable" },
	{ 0xa04f945a, "cpus_read_lock" },
	{ 0x37e2cfce, "tpm_default_chip" },
	{ 0x9c9cf598, "_dev_err" },
	{ 0x7608b0f7, "crypto_shash_setkey" },
	{ 0xb8ca9715, "user_describe" },
	{ 0x7854a1e4, "tee_shm_register_kernel_buf" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x3117310e, "crypto_shash_digest" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x878c572e, "driver_unregister" },
	{ 0xa8b92952, "tpm_pcr_extend" },
	{ 0xcd24e146, "hash_digest_size" },
	{ 0xd4c5a877, "crypto_shash_update" },
	{ 0xaa19e4aa, "_kstrtol" },
	{ 0x5152e605, "memcmp" },
	{ 0xd2a74b61, "param_ops_charp" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa41c168d, "tpm_send" },
	{ 0xc3c4c6cc, "hash_algo_name" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc7e64fc2, "asn1_encode_integer" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xe54add6, "tpm_is_tpm2" },
	{ 0x5f821b99, "crypto_shash_final" },
	{ 0x85df9b6c, "strsep" },
	{ 0x44e9a829, "match_token" },
	{ 0xaf97f9c5, "tee_client_close_context" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xf03163ee, "key_payload_reserve" },
	{ 0x56470118, "__warn_printk" },
	{ 0x8cd5eed2, "tee_shm_free" },
	{ 0x543a5564, "tpm_put_ops" },
	{ 0xa8861fb1, "__x86_indirect_thunk_eax" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x62c74286, "kmalloc_trace" },
	{ 0x10e76a9c, "tee_client_open_context" },
	{ 0xd0d8621b, "strlen" },
	{ 0x742578a5, "wait_for_random_bytes" },
	{ 0xb9176155, "asn1_ber_decoder" },
	{ 0xf0f87186, "crypto_alloc_shash" },
	{ 0x91ea8726, "asn1_encode_boolean" },
	{ 0x52b57bd3, "driver_register" },
	{ 0x7129e5f8, "hex_asc" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0x78fd1a50, "tee_client_close_session" },
	{ 0xbf24de84, "kmalloc_caches" },
	{ 0x762edfce, "module_layout" },
};

MODULE_INFO(depends, "tee,asn1_encoder");

MODULE_ALIAS("tee:f04a0fe7-1f5d-4b9b-abf7-619b85b4ce8c*");

MODULE_INFO(srcversion, "88ED47A9DCE4912592B68CA");
