#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(snd_pcm_format_name, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_new_stream, "", "");
KSYMTAB_FUNC(snd_pcm_new, "", "");
KSYMTAB_FUNC(snd_pcm_new_internal, "", "");
KSYMTAB_FUNC(snd_pcm_notify, "", "");
KSYMTAB_FUNC(snd_pcm_stream_lock, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_stream_unlock, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_stream_lock_irq, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_stream_unlock_irq, "_gpl", "");
KSYMTAB_FUNC(_snd_pcm_stream_lock_irqsave, "_gpl", "");
KSYMTAB_FUNC(_snd_pcm_stream_lock_irqsave_nested, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_stream_unlock_irqrestore, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_hw_refine, "", "");
KSYMTAB_FUNC(snd_pcm_stop, "", "");
KSYMTAB_FUNC(snd_pcm_stop_xrun, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_suspend_all, "", "");
KSYMTAB_FUNC(snd_pcm_release_substream, "", "");
KSYMTAB_FUNC(snd_pcm_open_substream, "", "");
KSYMTAB_FUNC(snd_pcm_kernel_ioctl, "", "");
KSYMTAB_FUNC(snd_pcm_lib_default_mmap, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_lib_mmap_iomem, "", "");
KSYMTAB_FUNC(snd_pcm_mmap_data, "", "");
KSYMTAB_FUNC(snd_pcm_debug_name, "", "");
KSYMTAB_FUNC(snd_pcm_set_ops, "", "");
KSYMTAB_FUNC(snd_pcm_set_sync, "", "");
KSYMTAB_FUNC(snd_interval_refine, "", "");
KSYMTAB_FUNC(snd_interval_ratnum, "", "");
KSYMTAB_FUNC(snd_interval_list, "", "");
KSYMTAB_FUNC(snd_interval_ranges, "", "");
KSYMTAB_FUNC(snd_pcm_hw_rule_add, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_mask64, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_integer, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_minmax, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_list, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_ranges, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_ratnums, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_ratdens, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_msbits, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_step, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_pow2, "", "");
KSYMTAB_FUNC(snd_pcm_hw_rule_noresample, "", "");
KSYMTAB_FUNC(_snd_pcm_hw_params_any, "", "");
KSYMTAB_FUNC(snd_pcm_hw_param_value, "", "");
KSYMTAB_FUNC(_snd_pcm_hw_param_setempty, "", "");
KSYMTAB_FUNC(snd_pcm_hw_param_first, "", "");
KSYMTAB_FUNC(snd_pcm_hw_param_last, "", "");
KSYMTAB_FUNC(snd_pcm_lib_ioctl, "", "");
KSYMTAB_FUNC(snd_pcm_period_elapsed_under_stream_lock, "", "");
KSYMTAB_FUNC(snd_pcm_period_elapsed, "", "");
KSYMTAB_FUNC(__snd_pcm_lib_xfer, "", "");
KSYMTAB_DATA(snd_pcm_std_chmaps, "_gpl", "");
KSYMTAB_DATA(snd_pcm_alt_chmaps, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_add_chmap_ctls, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_format_signed, "", "");
KSYMTAB_FUNC(snd_pcm_format_unsigned, "", "");
KSYMTAB_FUNC(snd_pcm_format_linear, "", "");
KSYMTAB_FUNC(snd_pcm_format_little_endian, "", "");
KSYMTAB_FUNC(snd_pcm_format_big_endian, "", "");
KSYMTAB_FUNC(snd_pcm_format_width, "", "");
KSYMTAB_FUNC(snd_pcm_format_physical_width, "", "");
KSYMTAB_FUNC(snd_pcm_format_size, "", "");
KSYMTAB_FUNC(snd_pcm_format_silence_64, "", "");
KSYMTAB_FUNC(snd_pcm_format_set_silence, "", "");
KSYMTAB_FUNC(snd_pcm_hw_limit_rates, "", "");
KSYMTAB_FUNC(snd_pcm_rate_to_rate_bit, "", "");
KSYMTAB_FUNC(snd_pcm_rate_bit_to_rate, "", "");
KSYMTAB_FUNC(snd_pcm_rate_mask_intersect, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_rate_range_to_bits, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_lib_preallocate_free_for_all, "", "");
KSYMTAB_FUNC(snd_pcm_lib_preallocate_pages, "", "");
KSYMTAB_FUNC(snd_pcm_lib_preallocate_pages_for_all, "", "");
KSYMTAB_FUNC(snd_pcm_set_managed_buffer, "", "");
KSYMTAB_FUNC(snd_pcm_set_managed_buffer_all, "", "");
KSYMTAB_FUNC(snd_pcm_lib_malloc_pages, "", "");
KSYMTAB_FUNC(snd_pcm_lib_free_pages, "", "");
KSYMTAB_FUNC(_snd_pcm_lib_alloc_vmalloc_buffer, "", "");
KSYMTAB_FUNC(snd_pcm_lib_free_vmalloc_buffer, "", "");
KSYMTAB_FUNC(snd_pcm_lib_get_vmalloc_page, "", "");
KSYMTAB_FUNC(snd_dma_alloc_dir_pages, "", "");
KSYMTAB_FUNC(snd_dma_alloc_pages_fallback, "", "");
KSYMTAB_FUNC(snd_dma_free_pages, "", "");
KSYMTAB_FUNC(snd_devm_alloc_dir_pages, "_gpl", "");
KSYMTAB_FUNC(snd_dma_buffer_mmap, "", "");
KSYMTAB_FUNC(snd_dma_buffer_sync, "_gpl", "");
KSYMTAB_FUNC(snd_sgbuf_get_addr, "", "");
KSYMTAB_FUNC(snd_sgbuf_get_page, "", "");
KSYMTAB_FUNC(snd_sgbuf_get_chunk_size, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_eld, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_create_iec958_consumer_default, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_fill_iec958_consumer, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_fill_iec958_consumer_hw_params, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_create_iec958_consumer, "", "");
KSYMTAB_FUNC(snd_pcm_create_iec958_consumer_hw_params, "", "");

SYMBOL_CRC(snd_pcm_format_name, 0xa286a234, "_gpl");
SYMBOL_CRC(snd_pcm_new_stream, 0xdab93945, "");
SYMBOL_CRC(snd_pcm_new, 0xfebd7328, "");
SYMBOL_CRC(snd_pcm_new_internal, 0xf2dc603d, "");
SYMBOL_CRC(snd_pcm_notify, 0xed6a0d5e, "");
SYMBOL_CRC(snd_pcm_stream_lock, 0x03cfeeb0, "_gpl");
SYMBOL_CRC(snd_pcm_stream_unlock, 0x6c3af1ad, "_gpl");
SYMBOL_CRC(snd_pcm_stream_lock_irq, 0x4269a8ae, "_gpl");
SYMBOL_CRC(snd_pcm_stream_unlock_irq, 0x43a6aa90, "_gpl");
SYMBOL_CRC(_snd_pcm_stream_lock_irqsave, 0x210f80d1, "_gpl");
SYMBOL_CRC(_snd_pcm_stream_lock_irqsave_nested, 0x151ad9ae, "_gpl");
SYMBOL_CRC(snd_pcm_stream_unlock_irqrestore, 0x2d2aae7d, "_gpl");
SYMBOL_CRC(snd_pcm_hw_refine, 0x95b1c737, "");
SYMBOL_CRC(snd_pcm_stop, 0x6db33f38, "");
SYMBOL_CRC(snd_pcm_stop_xrun, 0x93edcac1, "_gpl");
SYMBOL_CRC(snd_pcm_suspend_all, 0x3d604273, "");
SYMBOL_CRC(snd_pcm_release_substream, 0xc7d6d6b0, "");
SYMBOL_CRC(snd_pcm_open_substream, 0x7850356d, "");
SYMBOL_CRC(snd_pcm_kernel_ioctl, 0xb43f8305, "");
SYMBOL_CRC(snd_pcm_lib_default_mmap, 0xce1b9701, "_gpl");
SYMBOL_CRC(snd_pcm_lib_mmap_iomem, 0x93bb742f, "");
SYMBOL_CRC(snd_pcm_mmap_data, 0x786ebfce, "");
SYMBOL_CRC(snd_pcm_debug_name, 0xb2c5429f, "");
SYMBOL_CRC(snd_pcm_set_ops, 0x5551f656, "");
SYMBOL_CRC(snd_pcm_set_sync, 0x8a844559, "");
SYMBOL_CRC(snd_interval_refine, 0x04cda566, "");
SYMBOL_CRC(snd_interval_ratnum, 0xac437f7b, "");
SYMBOL_CRC(snd_interval_list, 0x94098ff8, "");
SYMBOL_CRC(snd_interval_ranges, 0x503bd137, "");
SYMBOL_CRC(snd_pcm_hw_rule_add, 0xda443267, "");
SYMBOL_CRC(snd_pcm_hw_constraint_mask64, 0x5325feb3, "");
SYMBOL_CRC(snd_pcm_hw_constraint_integer, 0x3e341da9, "");
SYMBOL_CRC(snd_pcm_hw_constraint_minmax, 0x793f4b3f, "");
SYMBOL_CRC(snd_pcm_hw_constraint_list, 0x1ca539f7, "");
SYMBOL_CRC(snd_pcm_hw_constraint_ranges, 0x071e2ede, "");
SYMBOL_CRC(snd_pcm_hw_constraint_ratnums, 0x55daf706, "");
SYMBOL_CRC(snd_pcm_hw_constraint_ratdens, 0x034b4751, "");
SYMBOL_CRC(snd_pcm_hw_constraint_msbits, 0x7a862585, "");
SYMBOL_CRC(snd_pcm_hw_constraint_step, 0x1c069638, "");
SYMBOL_CRC(snd_pcm_hw_constraint_pow2, 0x5e77e338, "");
SYMBOL_CRC(snd_pcm_hw_rule_noresample, 0x8dfde31e, "");
SYMBOL_CRC(_snd_pcm_hw_params_any, 0x0283dfe3, "");
SYMBOL_CRC(snd_pcm_hw_param_value, 0x52e3e4a5, "");
SYMBOL_CRC(_snd_pcm_hw_param_setempty, 0x39bf9301, "");
SYMBOL_CRC(snd_pcm_hw_param_first, 0xf4c99380, "");
SYMBOL_CRC(snd_pcm_hw_param_last, 0xb824af65, "");
SYMBOL_CRC(snd_pcm_lib_ioctl, 0xcdfe5c0b, "");
SYMBOL_CRC(snd_pcm_period_elapsed_under_stream_lock, 0xc4ffbdc6, "");
SYMBOL_CRC(snd_pcm_period_elapsed, 0x67eebb36, "");
SYMBOL_CRC(__snd_pcm_lib_xfer, 0x1dfd417b, "");
SYMBOL_CRC(snd_pcm_std_chmaps, 0x04e1b99f, "_gpl");
SYMBOL_CRC(snd_pcm_alt_chmaps, 0x09e913c1, "_gpl");
SYMBOL_CRC(snd_pcm_add_chmap_ctls, 0xd730c022, "_gpl");
SYMBOL_CRC(snd_pcm_format_signed, 0x1d027e4b, "");
SYMBOL_CRC(snd_pcm_format_unsigned, 0xa61aa028, "");
SYMBOL_CRC(snd_pcm_format_linear, 0x6ef8fcd8, "");
SYMBOL_CRC(snd_pcm_format_little_endian, 0x3796bdcc, "");
SYMBOL_CRC(snd_pcm_format_big_endian, 0x4f816e9b, "");
SYMBOL_CRC(snd_pcm_format_width, 0xe56a9336, "");
SYMBOL_CRC(snd_pcm_format_physical_width, 0x68a24153, "");
SYMBOL_CRC(snd_pcm_format_size, 0x4d9b6d35, "");
SYMBOL_CRC(snd_pcm_format_silence_64, 0x650f8603, "");
SYMBOL_CRC(snd_pcm_format_set_silence, 0x5e7f4920, "");
SYMBOL_CRC(snd_pcm_hw_limit_rates, 0xb71d986d, "");
SYMBOL_CRC(snd_pcm_rate_to_rate_bit, 0xb9638db4, "");
SYMBOL_CRC(snd_pcm_rate_bit_to_rate, 0xff6104d0, "");
SYMBOL_CRC(snd_pcm_rate_mask_intersect, 0xab8bc1a2, "_gpl");
SYMBOL_CRC(snd_pcm_rate_range_to_bits, 0x8d864069, "_gpl");
SYMBOL_CRC(snd_pcm_lib_preallocate_free_for_all, 0xa2960859, "");
SYMBOL_CRC(snd_pcm_lib_preallocate_pages, 0x648101a3, "");
SYMBOL_CRC(snd_pcm_lib_preallocate_pages_for_all, 0xb1b0170a, "");
SYMBOL_CRC(snd_pcm_set_managed_buffer, 0x311df6d6, "");
SYMBOL_CRC(snd_pcm_set_managed_buffer_all, 0x9eca134c, "");
SYMBOL_CRC(snd_pcm_lib_malloc_pages, 0x96014221, "");
SYMBOL_CRC(snd_pcm_lib_free_pages, 0xdadc4136, "");
SYMBOL_CRC(_snd_pcm_lib_alloc_vmalloc_buffer, 0xd15ee665, "");
SYMBOL_CRC(snd_pcm_lib_free_vmalloc_buffer, 0xc254d553, "");
SYMBOL_CRC(snd_pcm_lib_get_vmalloc_page, 0x8b5f2fa4, "");
SYMBOL_CRC(snd_dma_alloc_dir_pages, 0x6e19bd4b, "");
SYMBOL_CRC(snd_dma_alloc_pages_fallback, 0x4d082d91, "");
SYMBOL_CRC(snd_dma_free_pages, 0x4ebe7700, "");
SYMBOL_CRC(snd_devm_alloc_dir_pages, 0x9a48f4fb, "_gpl");
SYMBOL_CRC(snd_dma_buffer_mmap, 0xabb773d8, "");
SYMBOL_CRC(snd_dma_buffer_sync, 0x0f6bbc7c, "_gpl");
SYMBOL_CRC(snd_sgbuf_get_addr, 0xadefb070, "");
SYMBOL_CRC(snd_sgbuf_get_page, 0xe590a325, "");
SYMBOL_CRC(snd_sgbuf_get_chunk_size, 0x9fc07721, "");
SYMBOL_CRC(snd_pcm_hw_constraint_eld, 0x554767d0, "_gpl");
SYMBOL_CRC(snd_pcm_create_iec958_consumer_default, 0x9b746c56, "_gpl");
SYMBOL_CRC(snd_pcm_fill_iec958_consumer, 0xb229e492, "_gpl");
SYMBOL_CRC(snd_pcm_fill_iec958_consumer_hw_params, 0x6bdd680c, "_gpl");
SYMBOL_CRC(snd_pcm_create_iec958_consumer, 0x4c885f38, "");
SYMBOL_CRC(snd_pcm_create_iec958_consumer_hw_params, 0xf2ad80d9, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x42648a78, "cpu_latency_qos_remove_request" },
	{ 0xe914e41e, "strcpy" },
	{ 0x421d4dcf, "krealloc" },
	{ 0xd2f26bd1, "dma_can_mmap" },
	{ 0xf448a29f, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x278c5035, "dma_ops" },
	{ 0x88a5c84, "_copy_to_iter" },
	{ 0x516ef7c0, "snd_info_register" },
	{ 0xb5ea9258, "snd_info_create_module_entry" },
	{ 0x2c8a596, "param_ops_ulong" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0xcc644bb7, "dev_set_name" },
	{ 0xe5989f5, "snd_ctl_add" },
	{ 0x9e5e5206, "vmalloc_to_page" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xe2e8065e, "memdup_user" },
	{ 0x439641b1, "trace_raw_output_prep" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x4ea1669d, "vm_get_page_prot" },
	{ 0x17ae3059, "snd_timer_notify" },
	{ 0x2df5c984, "snd_ctl_get_preferred_subdevice" },
	{ 0xca4ab9e2, "dma_vunmap_noncontiguous" },
	{ 0xf310212a, "__trace_trigger_soft_disabled" },
	{ 0xceacc4d7, "gen_pool_dma_alloc_align" },
	{ 0xf388de86, "vm_iomap_memory" },
	{ 0x91607d95, "set_memory_wb" },
	{ 0xae9321f, "dma_mmap_pages" },
	{ 0xe9f30a6d, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x24f2ffb9, "dma_sync_sg_for_cpu" },
	{ 0xc952b4a9, "dma_free_pages" },
	{ 0xc4172d9a, "dma_sync_single_for_device" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0x399795cb, "snd_timer_interrupt" },
	{ 0x5bc51ef0, "snd_info_free_entry" },
	{ 0xcb6ef40a, "trace_event_raw_init" },
	{ 0xb0a3c5d2, "trace_print_symbols_seq" },
	{ 0xee77dd4a, "remap_pfn_range" },
	{ 0x596ff27b, "cpu_latency_qos_add_request" },
	{ 0x94961283, "vunmap" },
	{ 0x37a0cba, "kfree" },
	{ 0xae04012c, "__vmalloc" },
	{ 0x9e6d79f8, "snd_info_get_str" },
	{ 0xba07946c, "pcpu_hot" },
	{ 0xe3e35272, "cpu_latency_qos_request_active" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x3b103e34, "bpf_trace_run2" },
	{ 0xb2185781, "snd_fasync_helper" },
	{ 0xe2964344, "__wake_up" },
	{ 0x52f0b681, "import_ubuf" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x6fe1f77a, "__dynamic_dev_dbg" },
	{ 0xfe449984, "snd_ctl_remove" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5fd58f0, "devres_add" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x942bad80, "trace_event_buffer_commit" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xbc435770, "dump_stack" },
	{ 0xcd4bbe4b, "snd_ctl_new1" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x4292364c, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x870b7f59, "dma_alloc_pages" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x55511d12, "put_device" },
	{ 0x7ee59c06, "snd_ctl_register_ioctl" },
	{ 0x1585d62d, "snd_card_file_add" },
	{ 0x738803e6, "strnlen" },
	{ 0x37c122cf, "set_pages_array_wb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xbc0fcac6, "module_put" },
	{ 0x8dfefc0d, "kvmalloc_node" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0x583d9b6d, "perf_trace_run_bpf_submit" },
	{ 0x8dd82055, "fput" },
	{ 0x5af8e078, "down_write" },
	{ 0x9c9cf598, "_dev_err" },
	{ 0xaa173b39, "up_write" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xa60bcaa, "dma_vmap_noncontiguous" },
	{ 0x4cd6ed6b, "bpf_trace_run5" },
	{ 0x7ef4bddc, "__sg_page_iter_next" },
	{ 0x8f595b11, "snd_major" },
	{ 0xab06fd53, "mem_section" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x31e34643, "dma_alloc_attrs" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x11f5d7f7, "__devres_alloc_node" },
	{ 0x383bbf13, "trace_event_reg" },
	{ 0x105b1cb4, "dma_need_sync" },
	{ 0x2619891c, "iov_iter_kvec" },
	{ 0x2c5c87e0, "vmap" },
	{ 0xf23d2180, "snd_unregister_device" },
	{ 0x1edb69d6, "ktime_get_raw_ts64" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0xe7c8a6d2, "snd_device_alloc" },
	{ 0xfef216eb, "_raw_spin_trylock" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x9fe4ddb2, "snd_timer_new" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x968d339b, "bpf_trace_run1" },
	{ 0x5fb01358, "alloc_pages_exact" },
	{ 0xb16341a, "__default_kernel_pte_mask" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x55de0f3b, "snd_device_new" },
	{ 0x978c8944, "dma_sync_single_for_cpu" },
	{ 0xa58bf01a, "dma_sync_sg_for_device" },
	{ 0x2bc95bd4, "memset" },
	{ 0xecb55757, "_dev_warn" },
	{ 0xc9323d26, "pgprot_writecombine" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x5d308f67, "snd_ctl_unregister_ioctl" },
	{ 0xc9bba4b6, "down_read" },
	{ 0xc7f0b619, "mutex_trylock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xd0216079, "nonseekable_open" },
	{ 0x5af762f1, "snd_fasync_free" },
	{ 0x4fdce78a, "bpf_trace_run3" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xc9bea8dd, "dma_free_noncontiguous" },
	{ 0xeea0399, "strscpy" },
	{ 0xeebabdc, "dma_alloc_noncontiguous" },
	{ 0x8edfd7e4, "dma_mmap_noncontiguous" },
	{ 0xdb1b6897, "set_pages_array_wc" },
	{ 0xdb87a70e, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0xda2d92eb, "trace_event_buffer_reserve" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xc485ead1, "vm_map_pages" },
	{ 0xe93e49c3, "devres_free" },
	{ 0x89cd4952, "gen_pool_free_owner" },
	{ 0x562dc30, "__sg_page_iter_start" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3bf0d2e3, "of_gen_pool_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc2a4bc38, "seq_printf" },
	{ 0xb2e5ae4a, "snd_lookup_minor_data" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xda1f7b8c, "snd_info_create_card_entry" },
	{ 0x29848f3f, "_copy_from_iter" },
	{ 0x2ee26c1, "free_pages_exact" },
	{ 0xafb5deae, "snd_power_wait" },
	{ 0x6f3cad0f, "boot_cpu_data" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xad1f90a9, "dma_mmap_attrs" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xcf598caa, "pid_vnr" },
	{ 0xbb186bdd, "snd_device_free" },
	{ 0x32a40c44, "snd_card_file_remove" },
	{ 0xf8f2a4eb, "snd_kill_fasync" },
	{ 0x62c74286, "kmalloc_trace" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0x1f9dced8, "page_address" },
	{ 0xea124bd1, "gcd" },
	{ 0xccd6bdb5, "remap_vmalloc_range" },
	{ 0x46cf10eb, "cachemode2protval" },
	{ 0x767ddb02, "set_memory_wc" },
	{ 0xd0d8621b, "strlen" },
	{ 0x78d3716b, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x538c5168, "snd_device_register" },
	{ 0x97551732, "snd_register_device" },
	{ 0x4ae4635, "trace_handle_return" },
	{ 0x29f3a126, "up_read" },
	{ 0x81f2d010, "put_pid" },
	{ 0x24a94b26, "snd_info_get_line" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xbf24de84, "kmalloc_caches" },
	{ 0xe3ad3046, "__sg_page_iter_dma_next" },
	{ 0x762edfce, "module_layout" },
};

MODULE_INFO(depends, "snd,snd-timer");


MODULE_INFO(srcversion, "11BCF546B50C79F17E34EDF");
