#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xaf4432e1, "snd_hda_add_new_ctls" },
	{ 0x786f43fa, "snd_hda_gen_build_controls" },
	{ 0xdec5fcf6, "snd_hda_gen_mic_autoswitch" },
	{ 0x66aecd5f, "query_amp_caps" },
	{ 0x74d755ff, "snd_hda_mixer_amp_volume_info" },
	{ 0xd7cda05b, "snd_hdac_regmap_read_raw" },
	{ 0x53bf84e4, "snd_hda_jack_detect_state_mst" },
	{ 0x644c6d93, "snd_hda_gen_spec_init" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0xcdae8ef, "snd_hda_mixer_amp_switch_info" },
	{ 0x5eca1a1a, "hda_codec_driver_unregister" },
	{ 0xbb0a20e, "snd_hda_add_new_path" },
	{ 0xb134e477, "snd_hdac_codec_write" },
	{ 0xd73df8ab, "snd_hda_mixer_amp_switch_get_beep" },
	{ 0x476cc76d, "snd_hda_gen_add_kctl" },
	{ 0x6fe1f77a, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x85d620af, "snd_hda_mixer_amp_switch_put_beep" },
	{ 0x4bc9eef6, "_snd_hdac_read_parm" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf98bd3fa, "_dev_info" },
	{ 0x1e911e05, "snd_ctl_boolean_mono_info" },
	{ 0x1d41c012, "snd_hda_override_amp_caps" },
	{ 0x2f491644, "__hda_codec_driver_register" },
	{ 0x9172bb59, "snd_hda_jack_set_gating_jack" },
	{ 0x6dd6cb69, "snd_hda_parse_pin_defcfg" },
	{ 0x260305f0, "snd_hda_gen_init" },
	{ 0x2f97ab0e, "snd_hda_activate_path" },
	{ 0x1863e8f3, "snd_hda_gen_add_micmute_led_cdev" },
	{ 0xbc100df7, "snd_hdac_regmap_add_vendor_verb" },
	{ 0xf546affc, "snd_hda_codec_set_pin_target" },
	{ 0x9ba2fb8a, "snd_hda_gen_check_power_status" },
	{ 0x6d2a726, "snd_hdac_regmap_write_raw" },
	{ 0x1e45c14b, "snd_hda_mixer_amp_volume_get" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x38d14ae3, "snd_hda_get_path_from_idx" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x8786a189, "snd_hda_gen_update_outputs" },
	{ 0x141271bf, "acpi_dev_found" },
	{ 0x6782219c, "snd_hda_jack_unsol_event" },
	{ 0x2b90f4c2, "snd_hda_gen_build_pcms" },
	{ 0x3c6e420e, "snd_hda_mixer_amp_tlv" },
	{ 0xad5f3ec8, "snd_hda_pick_fixup" },
	{ 0xce18e79a, "snd_hda_apply_fixup" },
	{ 0x2b83eaa6, "snd_hda_gen_parse_auto_config" },
	{ 0x62c74286, "kmalloc_trace" },
	{ 0xbc81505a, "snd_hda_mixer_amp_volume_put" },
	{ 0xf8dc35ac, "snd_hda_input_mux_info" },
	{ 0xcff2b508, "snd_hda_codec_get_pin_target" },
	{ 0xfb017376, "snd_hda_gen_free" },
	{ 0x63b0456a, "snd_hda_gen_add_mute_led_cdev" },
	{ 0xbf24de84, "kmalloc_caches" },
	{ 0x762edfce, "module_layout" },
};

MODULE_INFO(depends, "snd-hda-codec,snd-hda-codec-generic,snd-hda-core,snd");

MODULE_ALIAS("hdaudio:v14F11F86r*a01*");
MODULE_ALIAS("hdaudio:v14F11F87r*a01*");
MODULE_ALIAS("hdaudio:v14F12008r*a01*");
MODULE_ALIAS("hdaudio:v14F120D0r*a01*");
MODULE_ALIAS("hdaudio:v14F120D1r*a01*");
MODULE_ALIAS("hdaudio:v14F15045r*a01*");
MODULE_ALIAS("hdaudio:v14F15047r*a01*");
MODULE_ALIAS("hdaudio:v14F15051r*a01*");
MODULE_ALIAS("hdaudio:v14F15066r*a01*");
MODULE_ALIAS("hdaudio:v14F15067r*a01*");
MODULE_ALIAS("hdaudio:v14F15068r*a01*");
MODULE_ALIAS("hdaudio:v14F15069r*a01*");
MODULE_ALIAS("hdaudio:v14F1506Cr*a01*");
MODULE_ALIAS("hdaudio:v14F1506Er*a01*");
MODULE_ALIAS("hdaudio:v14F15097r*a01*");
MODULE_ALIAS("hdaudio:v14F15098r*a01*");
MODULE_ALIAS("hdaudio:v14F150A1r*a01*");
MODULE_ALIAS("hdaudio:v14F150A2r*a01*");
MODULE_ALIAS("hdaudio:v14F150ABr*a01*");
MODULE_ALIAS("hdaudio:v14F150ACr*a01*");
MODULE_ALIAS("hdaudio:v14F150B8r*a01*");
MODULE_ALIAS("hdaudio:v14F150B9r*a01*");
MODULE_ALIAS("hdaudio:v14F150F1r*a01*");
MODULE_ALIAS("hdaudio:v14F150F2r*a01*");
MODULE_ALIAS("hdaudio:v14F150F3r*a01*");
MODULE_ALIAS("hdaudio:v14F150F4r*a01*");
MODULE_ALIAS("hdaudio:v14F1510Fr*a01*");
MODULE_ALIAS("hdaudio:v14F15110r*a01*");
MODULE_ALIAS("hdaudio:v14F15111r*a01*");
MODULE_ALIAS("hdaudio:v14F15113r*a01*");
MODULE_ALIAS("hdaudio:v14F15114r*a01*");
MODULE_ALIAS("hdaudio:v14F15115r*a01*");
MODULE_ALIAS("hdaudio:v14F151D7r*a01*");

MODULE_INFO(srcversion, "4AC39F5CEA7D671CC3636E1");
