#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc5418662, "crypto_alloc_ahash" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xcb0c3aae, "dmam_pool_create" },
	{ 0xf8cc07b, "devm_platform_ioremap_resource" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xa82325a4, "devm_request_threaded_irq" },
	{ 0xc4d55828, "param_ops_uint" },
	{ 0xea23c7d6, "devm_kmalloc" },
	{ 0xf7aa5bd8, "firmware_request_nowarn" },
	{ 0x216da694, "platform_driver_unregister" },
	{ 0x8235805b, "memmove" },
	{ 0x23d68370, "pci_alloc_irq_vectors" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x64fcb958, "dmam_alloc_attrs" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xdc765020, "dma_unmap_page_attrs" },
	{ 0xe6440223, "__pci_register_driver" },
	{ 0xc037c512, "crypto_ahash_setkey" },
	{ 0x2e60bace, "memcpy" },
	{ 0xde7b1809, "crypto_register_aead" },
	{ 0xf4cf6e7b, "crypto_unregister_aead" },
	{ 0x37a0cba, "kfree" },
	{ 0x43babd19, "sg_init_one" },
	{ 0xba07946c, "pcpu_hot" },
	{ 0x72480cab, "crypto_alloc_aead" },
	{ 0xb343a150, "crypto_aead_setauthsize" },
	{ 0x18c382be, "crypto_aead_decrypt" },
	{ 0xe2aa651a, "pci_irq_vector" },
	{ 0x6fe1f77a, "__dynamic_dev_dbg" },
	{ 0x558b281d, "aes_expandkey" },
	{ 0x27823b7b, "devm_clk_get" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xb07f5a7, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0xfdf82e27, "dev_driver_string" },
	{ 0x6b120ac5, "crypto_unregister_ahash" },
	{ 0xa513457f, "crypto_destroy_tfm" },
	{ 0xde8fce47, "dma_map_page_attrs" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x7b5a4926, "sha1_zero_message_hash" },
	{ 0x2479193e, "crypto_authenc_extractkeys" },
	{ 0x946dd559, "sha224_zero_message_hash" },
	{ 0xa846815b, "platform_get_irq_byname" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xf98bd3fa, "_dev_info" },
	{ 0xd7bb882f, "crypto_enqueue_request" },
	{ 0x83a05212, "pcim_iomap_regions" },
	{ 0xc8e7bbcf, "crypto_aead_setkey" },
	{ 0xc8a91f5b, "cpumask_local_spread" },
	{ 0x750938e8, "crypto_register_skcipher" },
	{ 0x5de5553b, "__irq_apply_affinity_hint" },
	{ 0x9c9cf598, "_dev_err" },
	{ 0xa8e458b, "crypto_req_done" },
	{ 0x499043d3, "crypto_init_queue" },
	{ 0x5b6f644b, "cpu_bit_bitmap" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x2313e218, "crypto_aead_encrypt" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xab06fd53, "mem_section" },
	{ 0xfc9a96a1, "crypto_register_ahash" },
	{ 0xbac8aeea, "sg_nents_for_len" },
	{ 0x3117310e, "crypto_shash_digest" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x31ac9fd9, "crypto_unregister_skcipher" },
	{ 0x5152e605, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x813a1ce3, "crypto_ahash_finup" },
	{ 0x2bc95bd4, "memset" },
	{ 0xecb55757, "_dev_warn" },
	{ 0x1a43eaf0, "pci_set_master" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7ae88358, "crypto_ahash_digest" },
	{ 0x14d2cdc7, "crypto_ahash_final" },
	{ 0x4c6b4c3, "__crypto_memneq" },
	{ 0x8be744b1, "__platform_driver_register" },
	{ 0xe6bd5ab1, "dma_set_coherent_mask" },
	{ 0xa8fb743d, "des_expand_key" },
	{ 0x1fa1d95c, "sha256_zero_message_hash" },
	{ 0x76eeeb0f, "sha384_zero_message_hash" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xb1b939e, "kmemdup" },
	{ 0x56470118, "__warn_printk" },
	{ 0x67da9f7c, "sha512_zero_message_hash" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0x40c2271d, "dma_set_mask" },
	{ 0xdc2b5524, "crypto_dequeue_request" },
	{ 0xdf9734a7, "sg_nents" },
	{ 0x6f3af43e, "dma_unmap_sg_attrs" },
	{ 0x7032e4ee, "pcim_iomap_table" },
	{ 0x62c74286, "kmalloc_trace" },
	{ 0x4a505dcf, "pcim_enable_device" },
	{ 0x19d32511, "of_device_get_match_data" },
	{ 0xf0f87186, "crypto_alloc_shash" },
	{ 0x815588a6, "clk_enable" },
	{ 0xf749debc, "md5_zero_message_hash" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xbf24de84, "kmalloc_caches" },
	{ 0x67dcd8fd, "sg_pcopy_to_buffer" },
	{ 0x90cb03d3, "dma_map_sg_attrs" },
	{ 0x77e9eb37, "aes_encrypt" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x762edfce, "module_layout" },
};

MODULE_INFO(depends, "authenc,libdes");

MODULE_ALIAS("pci:v000010EEd00009038sv000016AEsd0000C522bc*sc*i*");
MODULE_ALIAS("of:N*T*Cinside-secure,safexcel-eip97ies");
MODULE_ALIAS("of:N*T*Cinside-secure,safexcel-eip97iesC*");
MODULE_ALIAS("of:N*T*Cinside-secure,safexcel-eip197b");
MODULE_ALIAS("of:N*T*Cinside-secure,safexcel-eip197bC*");
MODULE_ALIAS("of:N*T*Cinside-secure,safexcel-eip197d");
MODULE_ALIAS("of:N*T*Cinside-secure,safexcel-eip197dC*");
MODULE_ALIAS("of:N*T*Cinside-secure,safexcel-eip197c-mxl");
MODULE_ALIAS("of:N*T*Cinside-secure,safexcel-eip197c-mxlC*");
MODULE_ALIAS("of:N*T*Cinside-secure,safexcel-eip97");
MODULE_ALIAS("of:N*T*Cinside-secure,safexcel-eip97C*");
MODULE_ALIAS("of:N*T*Cinside-secure,safexcel-eip197");
MODULE_ALIAS("of:N*T*Cinside-secure,safexcel-eip197C*");

MODULE_INFO(srcversion, "5C1FF5B32BB11B1A7E43B7B");
