#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(hid_is_usb, "_gpl", "");
KSYMTAB_FUNC(hiddev_hid_event, "_gpl", "");

SYMBOL_CRC(hid_is_usb, 0xb8bc6180, "_gpl");
SYMBOL_CRC(hiddev_hid_event, 0x43484fb4, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb2e71672, "hid_output_report" },
	{ 0xba207091, "hid_lookup_quirk" },
	{ 0x6de0c45e, "usb_alloc_urb" },
	{ 0x1d44bed5, "device_set_wakeup_enable" },
	{ 0x814e28cb, "usb_autopm_put_interface" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xd154bca9, "usb_free_urb" },
	{ 0xc4d55828, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x381bc25e, "usb_alloc_coherent" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x3342dbe2, "hid_driver_suspend" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x16a34297, "kill_fasync" },
	{ 0xdb1f485b, "usb_register_driver" },
	{ 0xec111f44, "hid_driver_reset_resume" },
	{ 0xcf2a6966, "up" },
	{ 0xaf543830, "param_array_ops" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xba07946c, "pcpu_hot" },
	{ 0xb895a34b, "hidinput_count_leds" },
	{ 0x8ce16cc1, "usb_autopm_put_interface_no_suspend" },
	{ 0xe1c0cf27, "hid_driver_resume" },
	{ 0xa7513a3f, "usb_autopm_get_interface_no_resume" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xaf9d7064, "hid_allocate_device" },
	{ 0x6fe1f77a, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x960d904f, "hid_destroy_device" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x563d59e9, "usb_interrupt_msg" },
	{ 0xb375c29, "usb_find_interface" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x9082ad73, "usb_clear_halt" },
	{ 0x4292364c, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0x7e279a80, "usb_autopm_get_interface_async" },
	{ 0x738803e6, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x40a9b349, "vzalloc" },
	{ 0xd3ff47b0, "usb_submit_urb" },
	{ 0xf98bd3fa, "_dev_info" },
	{ 0x52837bfd, "usb_queue_reset_device" },
	{ 0x1bf32051, "hid_alloc_report_buf" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x9c9cf598, "_dev_err" },
	{ 0xc3e78d55, "usb_free_coherent" },
	{ 0xc4b5d534, "hid_set_field" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x1156195e, "noop_llseek" },
	{ 0x6626afca, "down" },
	{ 0xc84f66ed, "hid_hw_request" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x13adcd01, "hid_hw_open" },
	{ 0xe1ff6e17, "usb_control_msg" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x31be44db, "usb_register_dev" },
	{ 0x4848990c, "hid_check_keys_pressed" },
	{ 0x747fc8f2, "fasync_helper" },
	{ 0x3d65acc7, "usb_unpoison_urb" },
	{ 0x972b8cd8, "usb_autopm_put_interface_async" },
	{ 0x41933402, "hid_hw_close" },
	{ 0x5152e605, "memcmp" },
	{ 0x19d52f1f, "hid_quirks_exit" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xf7b5a859, "mutex_lock_interruptible" },
	{ 0x6d6c66c7, "usb_deregister" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xee10215a, "usb_string" },
	{ 0x2bc95bd4, "memset" },
	{ 0xecb55757, "_dev_warn" },
	{ 0xd2a74b61, "param_ops_charp" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x44ebf6f7, "usb_block_urb" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x59a92b1, "hid_input_report" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe883cdd7, "usb_unlink_urb" },
	{ 0x20a79b5a, "_dev_notice" },
	{ 0xeea0399, "strscpy" },
	{ 0x999e8297, "vfree" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x48302be6, "usb_autopm_get_interface" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xf03a1da5, "input_ff_create" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x26e87e4d, "usb_deregister_dev" },
	{ 0x5aede44, "usb_kill_urb" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x5ca9ed37, "hid_parse_report" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x62c74286, "kmalloc_trace" },
	{ 0xd0d8621b, "strlen" },
	{ 0xfa355613, "hid_quirks_init" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x4cf24332, "__usb_get_extra_descriptor" },
	{ 0xf9a482f9, "msleep" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xbf24de84, "kmalloc_caches" },
	{ 0xb818c9c0, "hid_add_device" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x762edfce, "module_layout" },
};

MODULE_INFO(depends, "usbcore");

MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic03isc*ip*in*");

MODULE_INFO(srcversion, "5C801CA353FE643814115E3");
