#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(hid_sensor_power_state, "", "IIO_HID");
KSYMTAB_FUNC(hid_sensor_remove_trigger, "", "IIO_HID");
KSYMTAB_FUNC(hid_sensor_setup_trigger, "", "IIO_HID");
KSYMTAB_DATA(hid_sensor_pm_ops, "", "IIO_HID");

SYMBOL_CRC(hid_sensor_power_state, 0x2b306c0b, "");
SYMBOL_CRC(hid_sensor_remove_trigger, 0x5d0818f8, "");
SYMBOL_CRC(hid_sensor_setup_trigger, 0x27266c27, "");
SYMBOL_CRC(hid_sensor_pm_ops, 0xbb105b57, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7a51c369, "pm_runtime_enable" },
	{ 0x6193cf15, "__pm_runtime_resume" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xca6b6055, "__pm_runtime_use_autosuspend" },
	{ 0x529311d5, "__pm_runtime_suspend" },
	{ 0x284c2db9, "__pm_runtime_set_status" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0xe7f32d98, "iio_trigger_unregister" },
	{ 0x1e90d75, "iio_trigger_free" },
	{ 0x1b5928e3, "iio_triggered_buffer_cleanup" },
	{ 0x3e16d3a6, "__pm_runtime_disable" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x9d25edb9, "sensor_hub_device_close" },
	{ 0x431657b1, "hid_sensor_get_usage_index" },
	{ 0x332647d2, "sensor_hub_get_feature" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xfa0a1b0f, "sensor_hub_set_feature" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0x2b0bfeeb, "sensor_hub_device_open" },
	{ 0x73577a68, "hid_sensor_read_poll_value" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xeffe11ec, "hid_sensor_set_report_latency" },
	{ 0xb99ebfdb, "hid_sensor_get_report_latency" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x26f6b499, "iio_str_to_fixpoint" },
	{ 0xf8fa540c, "hid_sensor_batch_mode_supported" },
	{ 0xdf76bbeb, "iio_pollfunc_store_time" },
	{ 0xa950618f, "iio_triggered_buffer_setup_ext" },
	{ 0x9158f4f1, "iio_device_id" },
	{ 0x6008d335, "__iio_trigger_alloc" },
	{ 0x9cd25b3b, "iio_trigger_register" },
	{ 0xf11f8655, "get_device" },
	{ 0x2a64c62a, "__module_get" },
	{ 0x6ebf0d27, "pm_runtime_set_autosuspend_delay" },
	{ 0x9c9cf598, "_dev_err" },
	{ 0x56470118, "__warn_printk" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x762edfce, "module_layout" },
};

MODULE_INFO(depends, "industrialio,industrialio-triggered-buffer,hid-sensor-hub,hid-sensor-iio-common");


MODULE_INFO(srcversion, "0EB44A75BE2083122A79893");
