#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rtrs_srv_resp_rdma, "", "");
KSYMTAB_FUNC(rtrs_srv_set_sess_priv, "", "");
KSYMTAB_FUNC(rtrs_srv_get_path_name, "", "");
KSYMTAB_FUNC(rtrs_srv_get_queue_depth, "", "");
KSYMTAB_FUNC(rtrs_srv_open, "", "");
KSYMTAB_FUNC(rtrs_srv_close, "", "");

SYMBOL_CRC(rtrs_srv_resp_rdma, 0xe62bc614, "");
SYMBOL_CRC(rtrs_srv_set_sess_priv, 0xe8551ea6, "");
SYMBOL_CRC(rtrs_srv_get_path_name, 0x3d3cf1f0, "");
SYMBOL_CRC(rtrs_srv_get_queue_depth, 0x55cd7079, "");
SYMBOL_CRC(rtrs_srv_open, 0xe46337dc, "");
SYMBOL_CRC(rtrs_srv_close, 0x91a08eee, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x926b41e5, "rtrs_addr_to_str" },
	{ 0x554a7e35, "ib_unregister_client" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x41ba6c9c, "bpf_trace_run4" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x907df803, "rdma_event_msg" },
	{ 0xcc644bb7, "dev_set_name" },
	{ 0xa6257a2f, "complete" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xbdf4b96f, "percpu_ref_init" },
	{ 0x439641b1, "trace_raw_output_prep" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xf310212a, "__trace_trigger_soft_disabled" },
	{ 0xe9f30a6d, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xc4172d9a, "dma_sync_single_for_device" },
	{ 0x262e6c9f, "device_initialize" },
	{ 0xcb6ef40a, "trace_event_raw_init" },
	{ 0xb0a3c5d2, "trace_print_symbols_seq" },
	{ 0x37a0cba, "kfree" },
	{ 0xf24d0a03, "rtrs_post_recv_empty" },
	{ 0xba07946c, "pcpu_hot" },
	{ 0x5371e0d5, "ib_dereg_mr_user" },
	{ 0xb5477fbc, "rtrs_iu_post_send" },
	{ 0xf11f8655, "get_device" },
	{ 0xdc3d1cf6, "rdma_reject" },
	{ 0xc5844fb8, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xd499c42e, "percpu_ref_kill_and_confirm" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xedaf9213, "rdma_disconnect" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x942bad80, "trace_event_buffer_commit" },
	{ 0x2a7f3acf, "rtrs_rdma_dev_pd_init" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x11104680, "rtrs_ib_dev_find_or_add" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x10889fe0, "__rdma_create_kernel_id" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x55511d12, "put_device" },
	{ 0x928f1dff, "rtrs_rdma_dev_pd_deinit" },
	{ 0x738803e6, "strnlen" },
	{ 0x15f549f7, "__free_pages" },
	{ 0x892a15da, "rdma_bind_addr" },
	{ 0x84971a7b, "ib_register_client" },
	{ 0xb3f985a8, "sg_alloc_table" },
	{ 0xb5162488, "rtrs_iu_free" },
	{ 0x93463849, "ib_map_mr_sg" },
	{ 0x6e635087, "percpu_ref_exit" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0x583d9b6d, "perf_trace_run_bpf_submit" },
	{ 0xab6dbc1a, "init_net" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xc235de73, "device_add" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x4ca2441d, "kobj_sysfs_ops" },
	{ 0xc50a82a, "rtrs_cq_qp_destroy" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x383bbf13, "trace_event_reg" },
	{ 0x5825be07, "rtrs_iu_post_recv" },
	{ 0x4b23707e, "kobject_init_and_add" },
	{ 0x6622000, "rdma_listen" },
	{ 0x96ccdef, "class_unregister" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x144989f, "sysfs_create_group" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x54b92ec4, "sysfs_remove_file_self" },
	{ 0xf22c33e6, "device_del" },
	{ 0xed81bdcb, "__cpu_possible_mask" },
	{ 0x978c8944, "dma_sync_single_for_cpu" },
	{ 0x779ee64c, "ib_alloc_mr" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xc0e3a121, "kobject_create_and_add" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xe0f9c582, "sockaddr_to_str" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x1d4e9285, "sysfs_remove_group" },
	{ 0xe5840ec6, "ib_wc_status_msg" },
	{ 0xeea0399, "strscpy" },
	{ 0x6be9a7ed, "kobject_del" },
	{ 0xda2d92eb, "trace_event_buffer_reserve" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xb0a7be08, "param_ops_bool" },
	{ 0xf6238bea, "rdma_destroy_id" },
	{ 0x50c89f23, "__alloc_percpu" },
	{ 0x5f736b78, "alloc_pages" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x2620bee3, "rdma_accept" },
	{ 0x3bb01963, "rtrs_start_hb" },
	{ 0x2aeff168, "kobject_uevent" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x85522d86, "ib_drain_qp" },
	{ 0x6f3af43e, "dma_unmap_sg_attrs" },
	{ 0x62c74286, "kmalloc_trace" },
	{ 0x1f9dced8, "page_address" },
	{ 0x8113cedc, "rtrs_cq_qp_create" },
	{ 0xeb32809c, "rtrs_ib_dev_put" },
	{ 0x78d3716b, "param_ops_int" },
	{ 0x8c88047a, "rtrs_init_hb" },
	{ 0xfef0622a, "rtrs_stop_hb" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x349cba85, "strchr" },
	{ 0x82bcd3f1, "rtrs_send_hb_ack" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x4ae4635, "trace_handle_return" },
	{ 0xf56a9dcc, "rtrs_iu_alloc" },
	{ 0xcf5a4424, "class_register" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0x248fcc1d, "kobject_get" },
	{ 0xbf24de84, "kmalloc_caches" },
	{ 0x90cb03d3, "dma_map_sg_attrs" },
	{ 0xc0741527, "kobject_put" },
	{ 0x762edfce, "module_layout" },
};

MODULE_INFO(depends, "rtrs-core,ib_core,rdma_cm");


MODULE_INFO(srcversion, "28233FF9FF026775F281429");
