#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(raid5_set_cache_size, "", "");
KSYMTAB_FUNC(r5c_journal_mode_set, "", "");

SYMBOL_CRC(raid5_set_cache_size, 0x3eec27a7, "");
SYMBOL_CRC(r5c_journal_mode_set, 0x6ef257a0, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x273aff5c, "__SCT__tp_func_block_bio_remap" },
	{ 0xa6d6f6f3, "set_disk_ro" },
	{ 0xad819c99, "register_md_personality" },
	{ 0xc9825415, "percpu_ref_is_zero" },
	{ 0x625e621e, "__bio_add_page" },
	{ 0xd3c1a80e, "blk_start_plug" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x8d58dc70, "md_bitmap_resize" },
	{ 0x6fbc6a00, "radix_tree_insert" },
	{ 0x9ddd788e, "mddev_init_writes_pending" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xf3ecc976, "md_find_rdev_rcu" },
	{ 0x786c534b, "mddev_resume" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x12189359, "__SCT__tp_func_block_unplug" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x7d143743, "md_bitmap_start_sync" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x70ad75fb, "radix_tree_lookup" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x67be5521, "md_bitmap_cond_end_sync" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xaf4b6548, "md_error" },
	{ 0x37aa96b5, "async_xor_val_offs" },
	{ 0x4f6b4a24, "__cpu_present_mask" },
	{ 0x15c85de3, "mempool_init" },
	{ 0x60439b5c, "register_shrinker" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0xa286b654, "md_bitmap_startwrite" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xeed038e9, "md_finish_reshape" },
	{ 0xba07946c, "pcpu_hot" },
	{ 0xc2ca04c0, "async_gen_syndrome" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xf0fa763a, "md_unregister_thread" },
	{ 0x458148b7, "sync_page_io" },
	{ 0xeda62852, "md_bitmap_close_sync" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x18fb2caf, "cpus_read_unlock" },
	{ 0xfc5586ec, "kmem_cache_create" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x38a078b3, "kthread_park" },
	{ 0xc5844fb8, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xa897e3e7, "mempool_free" },
	{ 0xb8f75a3, "node_states" },
	{ 0x88bb5958, "kernfs_notify" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x12c87481, "md_wakeup_thread" },
	{ 0x668b595, "_kstrtoul" },
	{ 0xb898b474, "__cpuhp_state_remove_instance" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x8c489ecb, "md_set_array_sectors" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x4292364c, "schedule" },
	{ 0xc88ca059, "md_allow_write" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x750c98a8, "rdev_clear_badblocks" },
	{ 0x41efdeaf, "radix_tree_lookup_slot" },
	{ 0x66681687, "async_tx_quiesce" },
	{ 0x8871fada, "md_write_start" },
	{ 0xaa667f5b, "blk_queue_flag_set" },
	{ 0xddb1cd7, "llist_reverse_order" },
	{ 0xc3762aec, "mempool_alloc" },
	{ 0x854baf83, "unregister_shrinker" },
	{ 0x69049cd2, "radix_tree_replace_slot" },
	{ 0x618911fc, "numa_node" },
	{ 0xaac5ab27, "async_xor" },
	{ 0x15f549f7, "__free_pages" },
	{ 0xc5216731, "kmem_cache_alloc" },
	{ 0x5c9614f4, "async_xor_offs" },
	{ 0xa5752b32, "blk_finish_plug" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xf8570cbe, "submit_bio" },
	{ 0x278ad134, "blk_queue_flag_clear" },
	{ 0x95cbdffe, "sysfs_create_link" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x8dfefc0d, "kvmalloc_node" },
	{ 0x6cdc6712, "kthread_unpark" },
	{ 0xbf81325f, "bioset_exit" },
	{ 0xbbd8463c, "__kmap_local_page_prot" },
	{ 0xb62903e7, "md_done_sync" },
	{ 0x87006c0b, "bio_put" },
	{ 0x4e6e4b41, "radix_tree_delete" },
	{ 0x29cd9d90, "bio_endio" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xa04f945a, "cpus_read_lock" },
	{ 0xb6b2dde5, "md_wait_for_blocked_rdev" },
	{ 0x37e96074, "__cpuhp_setup_state" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x9781adc4, "async_memcpy" },
	{ 0x8b3796d2, "submit_bio_noacct" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xddb2ef79, "kmem_cache_free" },
	{ 0xd985dc99, "mempool_free_pages" },
	{ 0x6c2e3320, "strncmp" },
	{ 0xf2ff8ae7, "mddev_unlock" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x5d85bb62, "__tracepoint_block_unplug" },
	{ 0x68211b70, "bio_chain" },
	{ 0x50cf33d7, "__blk_trace_note_message" },
	{ 0x87165b92, "blkdev_issue_zeroout" },
	{ 0xd6510e05, "disk_stack_limits" },
	{ 0xb1e60bfd, "__cpuhp_state_add_instance" },
	{ 0xe48f34d3, "async_trigger_callback" },
	{ 0x32aee0be, "md_do_sync" },
	{ 0xb21cf114, "async_raid6_2data_recov" },
	{ 0x1f067734, "bio_add_page" },
	{ 0x9967335, "md_bitmap_end_sync" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xb1feb5cb, "md_update_sb" },
	{ 0x105394b1, "blk_queue_max_discard_sectors" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x96603250, "kmalloc_large" },
	{ 0x144989f, "sysfs_create_group" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xf7b5a859, "mutex_lock_interruptible" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x48c093fb, "_atomic_dec_and_lock_irqsave" },
	{ 0xb16341a, "__default_kernel_pte_mask" },
	{ 0xf434e750, "md_flush_request" },
	{ 0x592f2455, "bio_init" },
	{ 0x214d4035, "md_register_thread" },
	{ 0x16db3212, "bio_alloc_clone" },
	{ 0x39a7ce3a, "raid6_call" },
	{ 0xd27b25dd, "blk_check_plugged" },
	{ 0xe21d6bf1, "blk_queue_max_segments" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xfb5fe470, "md_account_bio" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xc7f0b619, "mutex_trylock" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xcf538c23, "md_write_inc" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb15b4109, "crc32c" },
	{ 0xd6622ae3, "unregister_md_personality" },
	{ 0xc84531eb, "atomic64_add_return_cx8" },
	{ 0x7ef49b51, "blk_queue_max_write_zeroes_sectors" },
	{ 0xc3d2ab68, "md_bitmap_unplug" },
	{ 0xf2b7f595, "bio_uninit" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xb0a7be08, "param_ops_bool" },
	{ 0x1d5c6f2f, "bioset_init" },
	{ 0xe6e6b684, "md_new_event" },
	{ 0xed0bc893, "async_syndrome_val" },
	{ 0x50c89f23, "__alloc_percpu" },
	{ 0xe091c977, "list_sort" },
	{ 0x5f736b78, "alloc_pages" },
	{ 0xbe133003, "__folio_put" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xacf7679, "dma_issue_pending_all" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc2a4bc38, "seq_printf" },
	{ 0x326357f8, "md_write_end" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x706c78ff, "blk_queue_io_min" },
	{ 0x8934b15a, "md_check_recovery" },
	{ 0xe8e1e389, "md_bitmap_endwrite" },
	{ 0xe00db6dc, "__tracepoint_block_bio_remap" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xc7954e8f, "blkdev_issue_flush" },
	{ 0x808c7a33, "mddev_suspend" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x6bc7ce34, "badblocks_check" },
	{ 0x62c74286, "kmalloc_trace" },
	{ 0x399af90, "blk_queue_max_hw_sectors" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0x1f9dced8, "page_address" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x8917f414, "kunmap_local_indexed" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xec234908, "rdev_set_badblocks" },
	{ 0xbfa9839c, "bio_alloc_bioset" },
	{ 0x60eb2d40, "blk_queue_io_opt" },
	{ 0x1f544515, "async_raid6_datap_recov" },
	{ 0x60125662, "submit_bio_wait" },
	{ 0xacce98df, "__cpuhp_remove_state" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0x6776093b, "atomic64_set_cx8" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xbf24de84, "kmalloc_caches" },
	{ 0x38e46431, "mempool_exit" },
	{ 0xca368c3f, "kmem_cache_destroy" },
	{ 0x973c42c0, "bio_split" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x766a0927, "mempool_alloc_pages" },
	{ 0x92b57248, "flush_work" },
	{ 0x8d208c3c, "blkdev_issue_discard" },
	{ 0x762edfce, "module_layout" },
};

MODULE_INFO(depends, "md-mod,async_xor,async_pq,async_tx,async_memcpy,async_raid6_recov,raid6_pq,libcrc32c");


MODULE_INFO(srcversion, "3883D75708BE79142BD0D2F");
