#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(t3_l2t_send_slow, "", "");
KSYMTAB_FUNC(t3_l2t_send_event, "", "");
KSYMTAB_FUNC(t3_l2e_free, "", "");
KSYMTAB_FUNC(t3_l2t_get, "", "");
KSYMTAB_FUNC(cxgb3_register_client, "", "");
KSYMTAB_FUNC(cxgb3_unregister_client, "", "");
KSYMTAB_FUNC(cxgb3_free_atid, "", "");
KSYMTAB_FUNC(cxgb3_free_stid, "", "");
KSYMTAB_FUNC(cxgb3_insert_tid, "", "");
KSYMTAB_FUNC(cxgb3_queue_tid_release, "", "");
KSYMTAB_FUNC(cxgb3_remove_tid, "", "");
KSYMTAB_FUNC(cxgb3_alloc_atid, "", "");
KSYMTAB_FUNC(cxgb3_alloc_stid, "", "");
KSYMTAB_FUNC(dev2t3cdev, "", "");
KSYMTAB_FUNC(t3_register_cpl_handler, "", "");
KSYMTAB_FUNC(cxgb3_ofld_send, "", "");

SYMBOL_CRC(t3_l2t_send_slow, 0x4ee93ffb, "");
SYMBOL_CRC(t3_l2t_send_event, 0xced4a6dc, "");
SYMBOL_CRC(t3_l2e_free, 0x2836df4f, "");
SYMBOL_CRC(t3_l2t_get, 0xd6d74192, "");
SYMBOL_CRC(cxgb3_register_client, 0x62f0d867, "");
SYMBOL_CRC(cxgb3_unregister_client, 0x9e501721, "");
SYMBOL_CRC(cxgb3_free_atid, 0x790088d9, "");
SYMBOL_CRC(cxgb3_free_stid, 0xc0e8ee66, "");
SYMBOL_CRC(cxgb3_insert_tid, 0x7a2674fc, "");
SYMBOL_CRC(cxgb3_queue_tid_release, 0x4040d195, "");
SYMBOL_CRC(cxgb3_remove_tid, 0xaaabf3fb, "");
SYMBOL_CRC(cxgb3_alloc_atid, 0x78fd51d4, "");
SYMBOL_CRC(cxgb3_alloc_stid, 0x3938d9f9, "");
SYMBOL_CRC(dev2t3cdev, 0x31a7c8c0, "");
SYMBOL_CRC(t3_register_cpl_handler, 0xc147a93d, "");
SYMBOL_CRC(cxgb3_ofld_send, 0xbf200cd0, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4f7118ed, "alloc_etherdev_mqs" },
	{ 0x924da947, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x56c65140, "pcie_capability_read_word" },
	{ 0x2f8020a6, "napi_gro_frags" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x2a375068, "pcie_capability_write_word" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xefd31008, "skb_copy_bits" },
	{ 0xa67781c6, "pci_read_vpd" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xccbb08b, "pci_enable_device" },
	{ 0xe96f3c18, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0x77bc13a0, "strim" },
	{ 0x1e4edaeb, "netdev_update_features" },
	{ 0x2a39f0b7, "consume_skb" },
	{ 0x1eeba360, "netif_napi_add_weight" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xe2e8065e, "memdup_user" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0xe6aa0f1b, "unregister_netdev" },
	{ 0x1e65560a, "napi_get_frags" },
	{ 0xdc765020, "dma_unmap_page_attrs" },
	{ 0xfb125902, "request_firmware" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0xe6440223, "__pci_register_driver" },
	{ 0xc4172d9a, "dma_sync_single_for_device" },
	{ 0xedc03953, "iounmap" },
	{ 0x7dc2ee3b, "pci_disable_msi" },
	{ 0xd1d86f65, "pci_request_regions" },
	{ 0x2e60bace, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0xba07946c, "pcpu_hot" },
	{ 0xb31aca29, "eth_validate_addr" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x6fe1f77a, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xb07f5a7, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x6f83fba8, "hex2bin" },
	{ 0xfdf82e27, "dev_driver_string" },
	{ 0xe81fe252, "dev_addr_mod" },
	{ 0x9bbd194e, "eth_type_trans" },
	{ 0xde8fce47, "dma_map_page_attrs" },
	{ 0xbd3e120b, "napi_complete_done" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x3e17f466, "mdio_set_flag" },
	{ 0xf3cbe708, "__napi_schedule" },
	{ 0x80346f19, "pci_enable_msix_range" },
	{ 0xb9abf318, "pci_write_vpd_any" },
	{ 0x738803e6, "strnlen" },
	{ 0xf093aa98, "__alloc_skb" },
	{ 0x15f549f7, "__free_pages" },
	{ 0xf98bd3fa, "_dev_info" },
	{ 0xa58e8766, "napi_gro_receive" },
	{ 0xc6cbbc89, "capable" },
	{ 0x55e31703, "ethtool_convert_link_mode_to_legacy_u32" },
	{ 0x8dfefc0d, "kvmalloc_node" },
	{ 0xfde47b9d, "pci_find_capability" },
	{ 0xab796aab, "_dev_alert" },
	{ 0x8c6559bb, "pci_enable_msi" },
	{ 0x9c9cf598, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x443915de, "skb_pull" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x5c16df9b, "netif_set_real_num_tx_queues" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0xcf107015, "netif_set_real_num_rx_queues" },
	{ 0xe776f47e, "arp_send" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x744a7cd6, "kfree_skb_reason" },
	{ 0x73ed666b, "pci_write_vpd" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xab06fd53, "mem_section" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x31e34643, "dma_alloc_attrs" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0xc1b65801, "pci_read_config_word" },
	{ 0xd122a144, "napi_enable" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x15293eef, "netif_receive_skb" },
	{ 0xc5ff468e, "register_netdev" },
	{ 0x504e87b, "free_netdev" },
	{ 0xde80cd09, "ioremap" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x5152e605, "memcmp" },
	{ 0x96603250, "kmalloc_large" },
	{ 0x144989f, "sysfs_create_group" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xfef216eb, "_raw_spin_trylock" },
	{ 0x90038ae, "ethtool_op_get_link" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xc69529de, "netif_tx_stop_all_queues" },
	{ 0x8c701a8f, "pci_restore_state" },
	{ 0x4bd2073b, "netif_tx_wake_queue" },
	{ 0x978c8944, "dma_sync_single_for_cpu" },
	{ 0xecb55757, "_dev_warn" },
	{ 0x1a43eaf0, "pci_set_master" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xfdac7e82, "netif_rx" },
	{ 0x342a22fd, "__neigh_event_send" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe6bd5ab1, "dma_set_coherent_mask" },
	{ 0x1d4e9285, "sysfs_remove_group" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x274dc2b, "netif_get_num_default_rss_queues" },
	{ 0xeea0399, "strscpy" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xaf94630b, "neigh_destroy" },
	{ 0xdb87a70e, "dma_free_attrs" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x1b599a7a, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x5f736b78, "alloc_pages" },
	{ 0xdaceb7a6, "mdio_mii_ioctl" },
	{ 0x6faec629, "netdev_master_upper_dev_get_rcu" },
	{ 0xbe133003, "__folio_put" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xef60d161, "netif_carrier_off" },
	{ 0xf5ba9d39, "__vlan_find_dev_deep_rcu" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xab6d5b3b, "hex_to_bin" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xa7fe9cb2, "netif_carrier_on" },
	{ 0x84b8036c, "pci_disable_msix" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xca30e426, "pci_disable_device" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x40c2271d, "dma_set_mask" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x18d3815b, "vlan_dev_vlan_id" },
	{ 0x8f996a30, "ethtool_convert_legacy_u32_to_link_mode" },
	{ 0x62c74286, "kmalloc_trace" },
	{ 0x1f9dced8, "page_address" },
	{ 0xa1a2785f, "napi_schedule_prep" },
	{ 0xdb0d626d, "napi_disable" },
	{ 0xc4f94d57, "dev_kfree_skb_any_reason" },
	{ 0x78d3716b, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x348b08a5, "__kfree_skb" },
	{ 0xf9a482f9, "msleep" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xbf24de84, "kmalloc_caches" },
	{ 0xe360141, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x92b57248, "flush_work" },
	{ 0x762edfce, "module_layout" },
};

MODULE_INFO(depends, "mdio");

MODULE_ALIAS("pci:v00001425d00000020sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000021sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000022sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000023sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000024sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000025sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000026sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000030sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000031sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000032sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000035sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000036sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000037sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "1F807ECE6BFA35D3988931B");
