#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ocelot_mact_learn, "", "");
KSYMTAB_FUNC(ocelot_mact_forget, "", "");
KSYMTAB_FUNC(ocelot_mact_lookup, "", "");
KSYMTAB_FUNC(ocelot_mact_learn_streamdata, "", "");
KSYMTAB_FUNC(ocelot_pll5_init, "", "");
KSYMTAB_FUNC(ocelot_bridge_num_find, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_vlan_filtering, "", "");
KSYMTAB_FUNC(ocelot_vlan_prepare, "", "");
KSYMTAB_FUNC(ocelot_vlan_add, "", "");
KSYMTAB_FUNC(ocelot_vlan_del, "", "");
KSYMTAB_FUNC(ocelot_port_configure_serdes, "_gpl", "");
KSYMTAB_FUNC(ocelot_phylink_mac_config, "_gpl", "");
KSYMTAB_FUNC(ocelot_phylink_mac_link_down, "_gpl", "");
KSYMTAB_FUNC(ocelot_phylink_mac_link_up, "_gpl", "");
KSYMTAB_FUNC(ocelot_ptp_rx_timestamp, "", "");
KSYMTAB_FUNC(ocelot_xtr_poll_frame, "", "");
KSYMTAB_FUNC(ocelot_can_inject, "", "");
KSYMTAB_FUNC(ocelot_ifh_port_set, "", "");
KSYMTAB_FUNC(ocelot_port_inject_frame, "", "");
KSYMTAB_FUNC(ocelot_drain_cpu_queue, "", "");
KSYMTAB_FUNC(ocelot_fdb_add, "", "");
KSYMTAB_FUNC(ocelot_fdb_del, "", "");
KSYMTAB_FUNC(ocelot_mact_flush, "_gpl", "");
KSYMTAB_FUNC(ocelot_fdb_dump, "", "");
KSYMTAB_FUNC(ocelot_bond_get_id, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_assigned_dsa_8021q_cpu_mask, "_gpl", "");
KSYMTAB_FUNC(ocelot_get_bridge_fwd_mask, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_setup_dsa_8021q_cpu, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_teardown_dsa_8021q_cpu, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_assign_dsa_8021q_cpu, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_unassign_dsa_8021q_cpu, "_gpl", "");
KSYMTAB_FUNC(ocelot_bridge_stp_state_set, "", "");
KSYMTAB_FUNC(ocelot_set_ageing_time, "", "");
KSYMTAB_FUNC(ocelot_port_mdb_add, "", "");
KSYMTAB_FUNC(ocelot_port_mdb_del, "", "");
KSYMTAB_FUNC(ocelot_port_bridge_join, "", "");
KSYMTAB_FUNC(ocelot_port_bridge_leave, "", "");
KSYMTAB_FUNC(ocelot_migrate_mdbs, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_lag_join, "", "");
KSYMTAB_FUNC(ocelot_port_lag_leave, "", "");
KSYMTAB_FUNC(ocelot_port_lag_change, "", "");
KSYMTAB_FUNC(ocelot_lag_fdb_add, "_gpl", "");
KSYMTAB_FUNC(ocelot_lag_fdb_del, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_set_maxlen, "", "");
KSYMTAB_FUNC(ocelot_get_max_mtu, "", "");
KSYMTAB_FUNC(ocelot_port_pre_bridge_flags, "", "");
KSYMTAB_FUNC(ocelot_port_bridge_flags, "", "");
KSYMTAB_FUNC(ocelot_port_get_default_prio, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_set_default_prio, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_get_dscp_prio, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_add_dscp_prio, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_del_dscp_prio, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_mirror_add, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_mirror_del, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_mqprio, "_gpl", "");
KSYMTAB_FUNC(ocelot_init_port, "", "");
KSYMTAB_FUNC(ocelot_reset, "", "");
KSYMTAB_FUNC(ocelot_init, "", "");
KSYMTAB_FUNC(ocelot_deinit, "", "");
KSYMTAB_FUNC(ocelot_deinit_port, "", "");
KSYMTAB_FUNC(ocelot_wm_enc, "", "");
KSYMTAB_FUNC(ocelot_wm_dec, "", "");
KSYMTAB_FUNC(ocelot_wm_stat, "", "");
KSYMTAB_FUNC(ocelot_sb_pool_get, "", "");
KSYMTAB_FUNC(ocelot_sb_pool_set, "", "");
KSYMTAB_FUNC(ocelot_sb_port_pool_get, "", "");
KSYMTAB_FUNC(ocelot_sb_port_pool_set, "", "");
KSYMTAB_FUNC(ocelot_sb_tc_pool_bind_get, "", "");
KSYMTAB_FUNC(ocelot_sb_tc_pool_bind_set, "", "");
KSYMTAB_FUNC(ocelot_sb_occ_snapshot, "", "");
KSYMTAB_FUNC(ocelot_sb_occ_max_clear, "", "");
KSYMTAB_FUNC(ocelot_sb_occ_port_pool_get, "", "");
KSYMTAB_FUNC(ocelot_sb_occ_tc_port_bind_get, "", "");
KSYMTAB_FUNC(ocelot_devlink_sb_register, "", "");
KSYMTAB_FUNC(ocelot_devlink_sb_unregister, "", "");
KSYMTAB_FUNC(ocelot_cls_flower_replace, "_gpl", "");
KSYMTAB_FUNC(ocelot_cls_flower_destroy, "_gpl", "");
KSYMTAB_FUNC(ocelot_cls_flower_stats, "_gpl", "");
KSYMTAB_FUNC(__ocelot_bulk_read_ix, "_gpl", "");
KSYMTAB_FUNC(__ocelot_read_ix, "_gpl", "");
KSYMTAB_FUNC(__ocelot_write_ix, "_gpl", "");
KSYMTAB_FUNC(__ocelot_rmw_ix, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_readl, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_writel, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_rmwl, "_gpl", "");
KSYMTAB_FUNC(ocelot_regfields_init, "_gpl", "");
KSYMTAB_FUNC(ocelot_regmap_init, "_gpl", "");
KSYMTAB_FUNC(ocelot_mm_irq, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_set_mm, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_get_mm, "_gpl", "");
KSYMTAB_FUNC(ocelot_policer_validate, "", "");
KSYMTAB_FUNC(ocelot_port_policer_add, "", "");
KSYMTAB_FUNC(ocelot_port_policer_del, "", "");
KSYMTAB_FUNC(ocelot_ptp_gettime64, "", "");
KSYMTAB_FUNC(ocelot_ptp_settime64, "", "");
KSYMTAB_FUNC(ocelot_ptp_adjtime, "", "");
KSYMTAB_FUNC(ocelot_ptp_adjfine, "", "");
KSYMTAB_FUNC(ocelot_ptp_verify, "", "");
KSYMTAB_FUNC(ocelot_ptp_enable, "", "");
KSYMTAB_FUNC(ocelot_hwstamp_get, "", "");
KSYMTAB_FUNC(ocelot_hwstamp_set, "", "");
KSYMTAB_FUNC(ocelot_get_ts_info, "", "");
KSYMTAB_FUNC(ocelot_port_txtstamp_request, "", "");
KSYMTAB_FUNC(ocelot_get_txtstamp, "", "");
KSYMTAB_FUNC(ocelot_init_timestamp, "", "");
KSYMTAB_FUNC(ocelot_deinit_timestamp, "", "");
KSYMTAB_FUNC(ocelot_get_strings, "", "");
KSYMTAB_FUNC(ocelot_get_sset_count, "", "");
KSYMTAB_FUNC(ocelot_get_ethtool_stats, "", "");
KSYMTAB_FUNC(ocelot_port_get_pause_stats, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_get_mm_stats, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_get_rmon_stats, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_get_eth_ctrl_stats, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_get_eth_mac_stats, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_get_eth_phy_stats, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_get_stats64, "", "");
KSYMTAB_FUNC(ocelot_vcap_policer_add, "", "");
KSYMTAB_FUNC(ocelot_vcap_policer_del, "", "");
KSYMTAB_FUNC(ocelot_vcap_block_find_filter_by_id, "", "");
KSYMTAB_FUNC(ocelot_vcap_filter_add, "", "");
KSYMTAB_FUNC(ocelot_vcap_filter_del, "", "");
KSYMTAB_FUNC(ocelot_vcap_filter_replace, "", "");
KSYMTAB_DATA(vsc7514_regfields, "", "");
KSYMTAB_DATA(vsc7514_regmap, "", "");
KSYMTAB_DATA(vsc7514_vcap_props, "", "");
KSYMTAB_FUNC(ocelot_mrp_add, "", "");
KSYMTAB_FUNC(ocelot_mrp_del, "", "");
KSYMTAB_FUNC(ocelot_mrp_add_ring_role, "", "");
KSYMTAB_FUNC(ocelot_mrp_del_ring_role, "", "");

SYMBOL_CRC(ocelot_mact_learn, 0xcba6da56, "");
SYMBOL_CRC(ocelot_mact_forget, 0x003cf069, "");
SYMBOL_CRC(ocelot_mact_lookup, 0xf94cf5c2, "");
SYMBOL_CRC(ocelot_mact_learn_streamdata, 0xef68d9e7, "");
SYMBOL_CRC(ocelot_pll5_init, 0xcd0697ea, "");
SYMBOL_CRC(ocelot_bridge_num_find, 0xb975dd6e, "_gpl");
SYMBOL_CRC(ocelot_port_vlan_filtering, 0xf87f26e7, "");
SYMBOL_CRC(ocelot_vlan_prepare, 0xb92425a1, "");
SYMBOL_CRC(ocelot_vlan_add, 0x100a03c9, "");
SYMBOL_CRC(ocelot_vlan_del, 0xc5f41c5c, "");
SYMBOL_CRC(ocelot_port_configure_serdes, 0xd2e300a0, "_gpl");
SYMBOL_CRC(ocelot_phylink_mac_config, 0xcb0a558d, "_gpl");
SYMBOL_CRC(ocelot_phylink_mac_link_down, 0xeece447e, "_gpl");
SYMBOL_CRC(ocelot_phylink_mac_link_up, 0xef6a26d6, "_gpl");
SYMBOL_CRC(ocelot_ptp_rx_timestamp, 0x3d00c111, "");
SYMBOL_CRC(ocelot_xtr_poll_frame, 0xdf95af16, "");
SYMBOL_CRC(ocelot_can_inject, 0xb8e368d2, "");
SYMBOL_CRC(ocelot_ifh_port_set, 0xd0ebefd9, "");
SYMBOL_CRC(ocelot_port_inject_frame, 0x3ae402e8, "");
SYMBOL_CRC(ocelot_drain_cpu_queue, 0x2bf86233, "");
SYMBOL_CRC(ocelot_fdb_add, 0xc39be620, "");
SYMBOL_CRC(ocelot_fdb_del, 0xc894299f, "");
SYMBOL_CRC(ocelot_mact_flush, 0xf37a6b6d, "_gpl");
SYMBOL_CRC(ocelot_fdb_dump, 0xe45e5a74, "");
SYMBOL_CRC(ocelot_bond_get_id, 0xe8182a42, "_gpl");
SYMBOL_CRC(ocelot_port_assigned_dsa_8021q_cpu_mask, 0x9797dd1f, "_gpl");
SYMBOL_CRC(ocelot_get_bridge_fwd_mask, 0xf8e69b25, "_gpl");
SYMBOL_CRC(ocelot_port_setup_dsa_8021q_cpu, 0xf17cf2f2, "_gpl");
SYMBOL_CRC(ocelot_port_teardown_dsa_8021q_cpu, 0x4bf7b847, "_gpl");
SYMBOL_CRC(ocelot_port_assign_dsa_8021q_cpu, 0xd77c2d84, "_gpl");
SYMBOL_CRC(ocelot_port_unassign_dsa_8021q_cpu, 0x84127035, "_gpl");
SYMBOL_CRC(ocelot_bridge_stp_state_set, 0xb027d683, "");
SYMBOL_CRC(ocelot_set_ageing_time, 0x6be5b00c, "");
SYMBOL_CRC(ocelot_port_mdb_add, 0xc6ae7bfd, "");
SYMBOL_CRC(ocelot_port_mdb_del, 0xa8482477, "");
SYMBOL_CRC(ocelot_port_bridge_join, 0x509ce389, "");
SYMBOL_CRC(ocelot_port_bridge_leave, 0xcaa80c52, "");
SYMBOL_CRC(ocelot_migrate_mdbs, 0x2b756f14, "_gpl");
SYMBOL_CRC(ocelot_port_lag_join, 0x2d5fbeb0, "");
SYMBOL_CRC(ocelot_port_lag_leave, 0x0fc1802b, "");
SYMBOL_CRC(ocelot_port_lag_change, 0x651c7e0a, "");
SYMBOL_CRC(ocelot_lag_fdb_add, 0xc512ed14, "_gpl");
SYMBOL_CRC(ocelot_lag_fdb_del, 0x87b46137, "_gpl");
SYMBOL_CRC(ocelot_port_set_maxlen, 0xaca6ce5d, "");
SYMBOL_CRC(ocelot_get_max_mtu, 0x739fe22e, "");
SYMBOL_CRC(ocelot_port_pre_bridge_flags, 0x7907bc8d, "");
SYMBOL_CRC(ocelot_port_bridge_flags, 0xfafe1559, "");
SYMBOL_CRC(ocelot_port_get_default_prio, 0xfb15f435, "_gpl");
SYMBOL_CRC(ocelot_port_set_default_prio, 0xe10cf3b4, "_gpl");
SYMBOL_CRC(ocelot_port_get_dscp_prio, 0x3912ea99, "_gpl");
SYMBOL_CRC(ocelot_port_add_dscp_prio, 0x6ac61932, "_gpl");
SYMBOL_CRC(ocelot_port_del_dscp_prio, 0x3bb2bc1d, "_gpl");
SYMBOL_CRC(ocelot_port_mirror_add, 0xf96a74b7, "_gpl");
SYMBOL_CRC(ocelot_port_mirror_del, 0x824ddbd7, "_gpl");
SYMBOL_CRC(ocelot_port_mqprio, 0xa9fb6f4b, "_gpl");
SYMBOL_CRC(ocelot_init_port, 0x1a901c87, "");
SYMBOL_CRC(ocelot_reset, 0x5bf19822, "");
SYMBOL_CRC(ocelot_init, 0xa2d6ce7d, "");
SYMBOL_CRC(ocelot_deinit, 0x791e0ca1, "");
SYMBOL_CRC(ocelot_deinit_port, 0xbe7014d2, "");
SYMBOL_CRC(ocelot_wm_enc, 0x08791cd6, "");
SYMBOL_CRC(ocelot_wm_dec, 0xb0fdd7fd, "");
SYMBOL_CRC(ocelot_wm_stat, 0xe30fc619, "");
SYMBOL_CRC(ocelot_sb_pool_get, 0x0703242e, "");
SYMBOL_CRC(ocelot_sb_pool_set, 0x381288ee, "");
SYMBOL_CRC(ocelot_sb_port_pool_get, 0xee796c4f, "");
SYMBOL_CRC(ocelot_sb_port_pool_set, 0x5e5e595a, "");
SYMBOL_CRC(ocelot_sb_tc_pool_bind_get, 0xaddba3d8, "");
SYMBOL_CRC(ocelot_sb_tc_pool_bind_set, 0x98fed738, "");
SYMBOL_CRC(ocelot_sb_occ_snapshot, 0x54ef1e9b, "");
SYMBOL_CRC(ocelot_sb_occ_max_clear, 0xdee052fa, "");
SYMBOL_CRC(ocelot_sb_occ_port_pool_get, 0x208ac99f, "");
SYMBOL_CRC(ocelot_sb_occ_tc_port_bind_get, 0x5ccd68c9, "");
SYMBOL_CRC(ocelot_devlink_sb_register, 0x5fb379f4, "");
SYMBOL_CRC(ocelot_devlink_sb_unregister, 0x69a754d0, "");
SYMBOL_CRC(ocelot_cls_flower_replace, 0x3fec2552, "_gpl");
SYMBOL_CRC(ocelot_cls_flower_destroy, 0x831d2201, "_gpl");
SYMBOL_CRC(ocelot_cls_flower_stats, 0x2a345621, "_gpl");
SYMBOL_CRC(__ocelot_bulk_read_ix, 0x01d72ab8, "_gpl");
SYMBOL_CRC(__ocelot_read_ix, 0xfb5eea43, "_gpl");
SYMBOL_CRC(__ocelot_write_ix, 0x15dd60aa, "_gpl");
SYMBOL_CRC(__ocelot_rmw_ix, 0x62e981d3, "_gpl");
SYMBOL_CRC(ocelot_port_readl, 0x460d6f2e, "_gpl");
SYMBOL_CRC(ocelot_port_writel, 0x7cf8d383, "_gpl");
SYMBOL_CRC(ocelot_port_rmwl, 0x7081de67, "_gpl");
SYMBOL_CRC(ocelot_regfields_init, 0x581d1f9d, "_gpl");
SYMBOL_CRC(ocelot_regmap_init, 0xcf18ca82, "_gpl");
SYMBOL_CRC(ocelot_mm_irq, 0x6a9f4868, "_gpl");
SYMBOL_CRC(ocelot_port_set_mm, 0x4f351b26, "_gpl");
SYMBOL_CRC(ocelot_port_get_mm, 0x41038745, "_gpl");
SYMBOL_CRC(ocelot_policer_validate, 0x1d45bf5b, "");
SYMBOL_CRC(ocelot_port_policer_add, 0x86a3f08a, "");
SYMBOL_CRC(ocelot_port_policer_del, 0xe94a0dbf, "");
SYMBOL_CRC(ocelot_ptp_gettime64, 0xb3930e18, "");
SYMBOL_CRC(ocelot_ptp_settime64, 0xd8ba5cc0, "");
SYMBOL_CRC(ocelot_ptp_adjtime, 0x2d56bdc4, "");
SYMBOL_CRC(ocelot_ptp_adjfine, 0xcab7a514, "");
SYMBOL_CRC(ocelot_ptp_verify, 0xe94174ca, "");
SYMBOL_CRC(ocelot_ptp_enable, 0xa53ef556, "");
SYMBOL_CRC(ocelot_hwstamp_get, 0x62a27a97, "");
SYMBOL_CRC(ocelot_hwstamp_set, 0xaf16fc69, "");
SYMBOL_CRC(ocelot_get_ts_info, 0xb375509d, "");
SYMBOL_CRC(ocelot_port_txtstamp_request, 0x0e3d7f9e, "");
SYMBOL_CRC(ocelot_get_txtstamp, 0xc2c49450, "");
SYMBOL_CRC(ocelot_init_timestamp, 0x9c8a0d53, "");
SYMBOL_CRC(ocelot_deinit_timestamp, 0x056e4a97, "");
SYMBOL_CRC(ocelot_get_strings, 0xe71e8eda, "");
SYMBOL_CRC(ocelot_get_sset_count, 0x90fe7e65, "");
SYMBOL_CRC(ocelot_get_ethtool_stats, 0x216648ff, "");
SYMBOL_CRC(ocelot_port_get_pause_stats, 0x700949fa, "_gpl");
SYMBOL_CRC(ocelot_port_get_mm_stats, 0xdc83e7d9, "_gpl");
SYMBOL_CRC(ocelot_port_get_rmon_stats, 0x3aa5925c, "_gpl");
SYMBOL_CRC(ocelot_port_get_eth_ctrl_stats, 0x795d7728, "_gpl");
SYMBOL_CRC(ocelot_port_get_eth_mac_stats, 0x63c8cf3b, "_gpl");
SYMBOL_CRC(ocelot_port_get_eth_phy_stats, 0xd88b1feb, "_gpl");
SYMBOL_CRC(ocelot_port_get_stats64, 0xae8281ce, "");
SYMBOL_CRC(ocelot_vcap_policer_add, 0x0a840e86, "");
SYMBOL_CRC(ocelot_vcap_policer_del, 0x10b86851, "");
SYMBOL_CRC(ocelot_vcap_block_find_filter_by_id, 0x2ee2eeab, "");
SYMBOL_CRC(ocelot_vcap_filter_add, 0xa2fe53f6, "");
SYMBOL_CRC(ocelot_vcap_filter_del, 0x3feb0e9d, "");
SYMBOL_CRC(ocelot_vcap_filter_replace, 0xf82d9e29, "");
SYMBOL_CRC(vsc7514_regfields, 0x7e5aec55, "");
SYMBOL_CRC(vsc7514_regmap, 0xf80fc88d, "");
SYMBOL_CRC(vsc7514_vcap_props, 0x6ce19e2a, "");
SYMBOL_CRC(ocelot_mrp_add, 0x2714c9f5, "");
SYMBOL_CRC(ocelot_mrp_del, 0x0f8e4b0a, "");
SYMBOL_CRC(ocelot_mrp_add_ring_role, 0x39859817, "");
SYMBOL_CRC(ocelot_mrp_del_ring_role, 0x8ea1a66a, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x36e27ad4, "br_vlan_enabled" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x668fb763, "regmap_write" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xea23c7d6, "devm_kmalloc" },
	{ 0xe96f3c18, "skb_put" },
	{ 0xacf0738a, "skb_tstamp_tx" },
	{ 0xe1d4887b, "of_phy_put" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xaf77dafe, "skb_clone_sk" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x1e50d212, "regmap_fields_update_bits_base" },
	{ 0x151ead1f, "flow_rule_match_eth_addrs" },
	{ 0xeac5f50d, "ptp_clock_index" },
	{ 0x2ecbcece, "devlink_sb_register" },
	{ 0x37a0cba, "kfree" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x211559f8, "flow_rule_match_ipv4_addrs" },
	{ 0xa5b611a3, "regmap_field_update_bits_base" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x6fe1f77a, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xe7e797fc, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x1560fd3b, "ethtool_aggregate_ctrl_stats" },
	{ 0xe4b818c3, "phy_speed_to_str" },
	{ 0x9fe87efb, "skb_queue_purge_reason" },
	{ 0xebc99754, "ptp_find_pin" },
	{ 0x9bbd194e, "eth_type_trans" },
	{ 0x212f90f2, "ethtool_aggregate_pause_stats" },
	{ 0xbdc6f963, "ptp_parse_header" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xcd4d2d09, "regmap_fields_read" },
	{ 0xc2da70e4, "skb_queue_tail" },
	{ 0xe62ee92f, "regmap_field_read" },
	{ 0x88c7d07b, "devm_regmap_field_alloc" },
	{ 0xb572578c, "ptp_classify_raw" },
	{ 0x928991bf, "flow_rule_match_basic" },
	{ 0xbf2aa2cd, "__dev_get_by_index" },
	{ 0xcde807b1, "devm_kfree" },
	{ 0x9c9cf598, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x1582e7cd, "ptp_clock_register" },
	{ 0x5c16df9b, "netif_set_real_num_tx_queues" },
	{ 0x744a7cd6, "kfree_skb_reason" },
	{ 0xbccc51c6, "skb_complete_tx_timestamp" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x6af7b21a, "packing" },
	{ 0x365acda7, "set_normalized_timespec64" },
	{ 0x153a9c7d, "ethtool_aggregate_phy_stats" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xa15d0131, "cancel_delayed_work" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0xecb55757, "_dev_warn" },
	{ 0xab357e8d, "flow_rule_match_ports" },
	{ 0x31e049d7, "__devm_regmap_init_mmio_clk" },
	{ 0x336ae053, "ethtool_aggregate_mac_stats" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb0a2eb69, "netdev_set_tc_queue" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x80f959c0, "ptp_clock_unregister" },
	{ 0x537dc765, "__netdev_alloc_skb" },
	{ 0x74b2368e, "of_phy_get" },
	{ 0x6930035e, "phy_set_mode_ext" },
	{ 0x9f07a477, "netdev_reset_tc" },
	{ 0xd03be2e5, "regmap_read" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xa6a7a2ad, "div_s64_rem" },
	{ 0x7658fb34, "devm_ioremap_resource" },
	{ 0x4e59bd, "ethtool_aggregate_rmon_stats" },
	{ 0x342e219b, "flow_rule_match_vlan" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x308bcda4, "regmap_bulk_read" },
	{ 0x56470118, "__warn_printk" },
	{ 0x3f48fbf7, "flow_rule_match_meta" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb274727f, "netdev_set_num_tc" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x692209e4, "regmap_update_bits_base" },
	{ 0xf6e719f6, "dev_err_probe" },
	{ 0x62c74286, "kmalloc_trace" },
	{ 0xc4f94d57, "dev_kfree_skb_any_reason" },
	{ 0x5c266c1c, "devlink_sb_unregister" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xc597a8dd, "flow_rule_match_control" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xbf24de84, "kmalloc_caches" },
	{ 0x762edfce, "module_layout" },
};

MODULE_INFO(depends, "bridge,ptp,libphy");


MODULE_INFO(srcversion, "39AE575F5BE9190A6E769E6");
