#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(hostap_80211_rx, "", "");
KSYMTAB_FUNC(hostap_master_start_xmit, "", "");
KSYMTAB_FUNC(hostap_init_data, "", "");
KSYMTAB_FUNC(hostap_init_ap_proc, "", "");
KSYMTAB_FUNC(hostap_free_data, "", "");
KSYMTAB_FUNC(hostap_check_sta_fw_version, "", "");
KSYMTAB_FUNC(hostap_handle_sta_tx_exc, "", "");
KSYMTAB_FUNC(hostap_info_init, "", "");
KSYMTAB_FUNC(hostap_info_process, "", "");
KSYMTAB_DATA(hostap_80211_ops, "", "");
KSYMTAB_FUNC(hostap_set_word, "", "");
KSYMTAB_FUNC(hostap_set_string, "", "");
KSYMTAB_FUNC(hostap_get_porttype, "", "");
KSYMTAB_FUNC(hostap_set_encryption, "", "");
KSYMTAB_FUNC(hostap_set_antsel, "", "");
KSYMTAB_FUNC(hostap_set_roaming, "", "");
KSYMTAB_FUNC(hostap_set_auth_algs, "", "");
KSYMTAB_FUNC(hostap_dump_rx_header, "", "");
KSYMTAB_FUNC(hostap_dump_tx_header, "", "");
KSYMTAB_FUNC(hostap_80211_get_hdrlen, "", "");
KSYMTAB_FUNC(hostap_setup_dev, "", "");
KSYMTAB_FUNC(hostap_set_multicast_list_queue, "", "");
KSYMTAB_FUNC(hostap_set_hostapd, "", "");
KSYMTAB_FUNC(hostap_set_hostapd_sta, "", "");
KSYMTAB_FUNC(hostap_add_interface, "", "");
KSYMTAB_FUNC(hostap_remove_interface, "", "");
KSYMTAB_FUNC(prism2_update_comms_qual, "", "");
KSYMTAB_FUNC(hostap_init_proc, "", "");
KSYMTAB_FUNC(hostap_remove_proc, "", "");

SYMBOL_CRC(hostap_80211_rx, 0xd608ebe9, "");
SYMBOL_CRC(hostap_master_start_xmit, 0xdda46b50, "");
SYMBOL_CRC(hostap_init_data, 0x2d18190d, "");
SYMBOL_CRC(hostap_init_ap_proc, 0x77718926, "");
SYMBOL_CRC(hostap_free_data, 0x69570d12, "");
SYMBOL_CRC(hostap_check_sta_fw_version, 0x9a3499cd, "");
SYMBOL_CRC(hostap_handle_sta_tx_exc, 0x2be1a1d8, "");
SYMBOL_CRC(hostap_info_init, 0x46dc1bc2, "");
SYMBOL_CRC(hostap_info_process, 0xa405510f, "");
SYMBOL_CRC(hostap_80211_ops, 0x77b2b955, "");
SYMBOL_CRC(hostap_set_word, 0xbd5265a1, "");
SYMBOL_CRC(hostap_set_string, 0x8f1a8084, "");
SYMBOL_CRC(hostap_get_porttype, 0x12642a20, "");
SYMBOL_CRC(hostap_set_encryption, 0x291ee167, "");
SYMBOL_CRC(hostap_set_antsel, 0x33ccd5ba, "");
SYMBOL_CRC(hostap_set_roaming, 0xa148fd94, "");
SYMBOL_CRC(hostap_set_auth_algs, 0xe056bb21, "");
SYMBOL_CRC(hostap_dump_rx_header, 0x7fb75891, "");
SYMBOL_CRC(hostap_dump_tx_header, 0xf91c03e2, "");
SYMBOL_CRC(hostap_80211_get_hdrlen, 0xb4b77c8b, "");
SYMBOL_CRC(hostap_setup_dev, 0x142f2198, "");
SYMBOL_CRC(hostap_set_multicast_list_queue, 0x0ad69602, "");
SYMBOL_CRC(hostap_set_hostapd, 0x725d19b5, "");
SYMBOL_CRC(hostap_set_hostapd_sta, 0x8c72dfa7, "");
SYMBOL_CRC(hostap_add_interface, 0xd3f8ce38, "");
SYMBOL_CRC(hostap_remove_interface, 0x32fe078d, "");
SYMBOL_CRC(prism2_update_comms_qual, 0x2a9552ec, "");
SYMBOL_CRC(hostap_init_proc, 0xda5bdbb9, "");
SYMBOL_CRC(hostap_remove_proc, 0xbe59bfa2, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4f7118ed, "alloc_etherdev_mqs" },
	{ 0xf448a29f, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x7670bcbc, "eth_header" },
	{ 0x4b401817, "iwe_stream_add_value" },
	{ 0xe96f3c18, "skb_put" },
	{ 0x92c856a3, "iwe_stream_add_event" },
	{ 0x2a39f0b7, "consume_skb" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xe2e8065e, "memdup_user" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0xe6aa0f1b, "unregister_netdev" },
	{ 0xf346231f, "seq_list_start_head" },
	{ 0x1a469d3, "skb_dequeue" },
	{ 0xaf543830, "param_array_ops" },
	{ 0x14a74a98, "eth_header_cache" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0xba07946c, "pcpu_hot" },
	{ 0x755d3c23, "iw_handler_set_spy" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xb31aca29, "eth_validate_addr" },
	{ 0xb9944c3c, "proc_create_data" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xff1e9dd8, "seq_list_start" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xe2964344, "__wake_up" },
	{ 0x5bf861f4, "unregister_netdevice_queue" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x28e521a7, "ether_setup" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x2a2a8661, "pskb_expand_head" },
	{ 0x9fe87efb, "skb_queue_purge_reason" },
	{ 0xe81fe252, "dev_addr_mod" },
	{ 0x9bbd194e, "eth_type_trans" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x34fd5de9, "iw_handler_get_thrspy" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xe2e2995b, "eth_header_cache_update" },
	{ 0x738803e6, "strnlen" },
	{ 0xa096d68a, "netif_device_detach" },
	{ 0x2f3a21e7, "netif_device_attach" },
	{ 0xc6cbbc89, "capable" },
	{ 0xc2da70e4, "skb_queue_tail" },
	{ 0xe2dfa498, "lib80211_get_crypto_ops" },
	{ 0xbc0fcac6, "module_put" },
	{ 0xaf5bb1d9, "dev_open" },
	{ 0xab6dbc1a, "init_net" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x443915de, "skb_pull" },
	{ 0x24d273d1, "add_timer" },
	{ 0x744a7cd6, "kfree_skb_reason" },
	{ 0xb4d324f, "dev_close" },
	{ 0xa3fbbe1d, "skb_push" },
	{ 0x10904504, "wireless_send_event" },
	{ 0x2766cd51, "seq_putc" },
	{ 0x504e87b, "free_netdev" },
	{ 0x71360029, "iw_handler_get_spy" },
	{ 0x5152e605, "memcmp" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x25250adc, "default_llseek" },
	{ 0xf6a7c01d, "proc_mkdir" },
	{ 0x2bc95bd4, "memset" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4d24402, "iwe_stream_add_point" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x8654fbf5, "wireless_spy_update" },
	{ 0xfdac7e82, "netif_rx" },
	{ 0x537dc765, "__netdev_alloc_skb" },
	{ 0x72fda537, "proc_remove" },
	{ 0xeb078aee, "_raw_write_unlock_irqrestore" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xb45df6ff, "skb_trim" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x63439808, "skb_realloc_headroom" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xeea0399, "strscpy" },
	{ 0xa3ea6a55, "__dev_queue_xmit" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x20a2389c, "remove_proc_entry" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xef60d161, "netif_carrier_off" },
	{ 0xc2a4bc38, "seq_printf" },
	{ 0xe2e6fe58, "lib80211_crypt_delayed_deinit" },
	{ 0xf6c6bece, "skb_copy" },
	{ 0x590dd2f1, "skb_clone" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xa7fe9cb2, "netif_carrier_on" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x1cefcaf1, "seq_puts" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0xb8dab2f7, "proc_create_single_data" },
	{ 0x62c74286, "kmalloc_trace" },
	{ 0x5021bd81, "_raw_write_lock_irqsave" },
	{ 0xd0d8621b, "strlen" },
	{ 0xc4f94d57, "dev_kfree_skb_any_reason" },
	{ 0x78d3716b, "param_ops_int" },
	{ 0x28271ba3, "proc_create_seq_private" },
	{ 0x99ea88cb, "generic_file_llseek" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xbf24de84, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x90f91914, "iw_handler_set_thrspy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x92b57248, "flush_work" },
	{ 0x671ab50d, "register_netdevice" },
	{ 0x762edfce, "module_layout" },
};

MODULE_INFO(depends, "lib80211");


MODULE_INFO(srcversion, "738E2A588FCE8C9B211B82A");
