#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xdb1f485b, "usb_register_driver" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x56470118, "__warn_printk" },
	{ 0x2e60bace, "memcpy" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x6d6c66c7, "usb_deregister" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x21ef374c, "try_wait_for_completion" },
	{ 0xbf24de84, "kmalloc_caches" },
	{ 0x62c74286, "kmalloc_trace" },
	{ 0x6de0c45e, "usb_alloc_urb" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x37a0cba, "kfree" },
	{ 0xd154bca9, "usb_free_urb" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xd3ff47b0, "usb_submit_urb" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x4bd2073b, "netif_tx_wake_queue" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x20539717, "__dynamic_netdev_dbg" },
	{ 0xe883cdd7, "usb_unlink_urb" },
	{ 0x6a86bc1, "iowrite16" },
	{ 0xe10be243, "__orinoco_ev_info" },
	{ 0xd04da124, "__orinoco_ev_rx" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x5aede44, "usb_kill_urb" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xc6b2e37a, "orinoco_if_del" },
	{ 0x82a47f2a, "wiphy_unregister" },
	{ 0x1896748d, "free_orinocodev" },
	{ 0x6fe1f77a, "__dynamic_dev_dbg" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x2a39f0b7, "consume_skb" },
	{ 0x616ea0d4, "orinoco_process_xmit_skb" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xe1ff6e17, "usb_control_msg" },
	{ 0xb0a8a6e3, "alloc_orinocodev" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xfb125902, "request_firmware" },
	{ 0xe6fdb154, "orinoco_init" },
	{ 0xe986a053, "orinoco_if_add" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0x310544a5, "orinoco_open" },
	{ 0xd8c1453a, "orinoco_stop" },
	{ 0x156940a9, "orinoco_set_multicast_list" },
	{ 0xabe15c0, "eth_mac_addr" },
	{ 0xb31aca29, "eth_validate_addr" },
	{ 0xb4095c7, "orinoco_change_mtu" },
	{ 0x11384dc1, "orinoco_tx_timeout" },
	{ 0x762edfce, "module_layout" },
};

MODULE_INFO(depends, "usbcore,orinoco,cfg80211");

MODULE_ALIAS("usb:v049Fp001Fd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v049Fp0082d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v049Fp0076d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p0006d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p000Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p000Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v047Ep0300d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0D98p0300d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0D9Ep0300d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0D4Ep1000d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0D4Ep1001d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v05CCp3100d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0E7Cp0300d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04E8p5002d0000dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04E8p5B11d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04E8p7011d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0681p0012d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BF8p1002d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1630pFF81d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0D4Ep047Ad*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "8B0CAA56D0E75A0204F7E13");
