#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(scsi_logging_level, "", "");
KSYMTAB_FUNC(scsi_change_queue_depth, "", "");
KSYMTAB_FUNC(scsi_track_queue_full, "", "");
KSYMTAB_FUNC(scsi_get_vpd_page, "_gpl", "");
KSYMTAB_FUNC(scsi_report_opcode, "", "");
KSYMTAB_FUNC(scsi_device_get, "", "");
KSYMTAB_FUNC(scsi_device_put, "", "");
KSYMTAB_FUNC(__scsi_iterate_devices, "", "");
KSYMTAB_FUNC(starget_for_each_device, "", "");
KSYMTAB_FUNC(__starget_for_each_device, "", "");
KSYMTAB_FUNC(__scsi_device_lookup_by_target, "", "");
KSYMTAB_FUNC(scsi_device_lookup_by_target, "", "");
KSYMTAB_FUNC(__scsi_device_lookup, "", "");
KSYMTAB_FUNC(scsi_device_lookup, "", "");
KSYMTAB_FUNC(scsi_remove_host, "", "");
KSYMTAB_FUNC(scsi_add_host_with_dma, "", "");
KSYMTAB_FUNC(scsi_host_alloc, "", "");
KSYMTAB_FUNC(scsi_host_lookup, "", "");
KSYMTAB_FUNC(scsi_host_get, "", "");
KSYMTAB_FUNC(scsi_host_busy, "", "");
KSYMTAB_FUNC(scsi_host_put, "", "");
KSYMTAB_FUNC(scsi_is_host_device, "", "");
KSYMTAB_FUNC(scsi_queue_work, "_gpl", "");
KSYMTAB_FUNC(scsi_flush_work, "_gpl", "");
KSYMTAB_FUNC(scsi_host_complete_all_commands, "_gpl", "");
KSYMTAB_FUNC(scsi_host_busy_iter, "_gpl", "");
KSYMTAB_FUNC(scsi_set_medium_removal, "", "");
KSYMTAB_FUNC(scsi_cmd_allowed, "", "");
KSYMTAB_FUNC(put_sg_io_hdr, "", "");
KSYMTAB_FUNC(get_sg_io_hdr, "", "");
KSYMTAB_FUNC(scsi_ioctl, "", "");
KSYMTAB_FUNC(scsi_ioctl_block_when_processing_errors, "_gpl", "");
KSYMTAB_FUNC(scsi_bios_ptable, "", "");
KSYMTAB_FUNC(scsi_partsize, "", "");
KSYMTAB_FUNC(scsicam_bios_param, "", "");
KSYMTAB_FUNC(scsi_schedule_eh, "_gpl", "");
KSYMTAB_FUNC(scsi_block_when_processing_errors, "", "");
KSYMTAB_FUNC(scsi_check_sense, "_gpl", "");
KSYMTAB_FUNC(scsi_eh_prep_cmnd, "", "");
KSYMTAB_FUNC(scsi_eh_restore_cmnd, "", "");
KSYMTAB_FUNC(scsi_eh_finish_cmd, "", "");
KSYMTAB_FUNC(scsi_eh_get_sense, "_gpl", "");
KSYMTAB_FUNC(scsi_eh_ready_devs, "_gpl", "");
KSYMTAB_FUNC(scsi_eh_flush_done_q, "", "");
KSYMTAB_FUNC(scsi_report_bus_reset, "", "");
KSYMTAB_FUNC(scsi_report_device_reset, "", "");
KSYMTAB_FUNC(scsi_command_normalize_sense, "", "");
KSYMTAB_FUNC(scsi_get_sense_info_fld, "", "");
KSYMTAB_FUNC(scsi_execute_cmd, "", "");
KSYMTAB_FUNC(scsi_free_sgtables, "_gpl", "");
KSYMTAB_FUNC(scsi_alloc_sgtables, "", "");
KSYMTAB_FUNC(scsi_alloc_request, "_gpl", "");
KSYMTAB_FUNC(scsi_done, "", "");
KSYMTAB_FUNC(scsi_done_direct, "", "");
KSYMTAB_FUNC(__scsi_init_queue, "_gpl", "");
KSYMTAB_FUNC(scsi_device_from_queue, "_gpl", "");
KSYMTAB_FUNC(scsi_block_requests, "", "");
KSYMTAB_FUNC(scsi_unblock_requests, "", "");
KSYMTAB_FUNC(scsi_mode_select, "_gpl", "");
KSYMTAB_FUNC(scsi_mode_sense, "", "");
KSYMTAB_FUNC(scsi_test_unit_ready, "", "");
KSYMTAB_FUNC(scsi_device_set_state, "", "");
KSYMTAB_FUNC(sdev_evt_send, "_gpl", "");
KSYMTAB_FUNC(sdev_evt_alloc, "_gpl", "");
KSYMTAB_FUNC(sdev_evt_send_simple, "_gpl", "");
KSYMTAB_FUNC(scsi_device_quiesce, "", "");
KSYMTAB_FUNC(scsi_device_resume, "", "");
KSYMTAB_FUNC(scsi_target_quiesce, "", "");
KSYMTAB_FUNC(scsi_target_resume, "", "");
KSYMTAB_FUNC(scsi_internal_device_block_nowait, "_gpl", "");
KSYMTAB_FUNC(scsi_internal_device_unblock_nowait, "_gpl", "");
KSYMTAB_FUNC(scsi_block_targets, "_gpl", "");
KSYMTAB_FUNC(scsi_target_unblock, "_gpl", "");
KSYMTAB_FUNC(scsi_host_block, "_gpl", "");
KSYMTAB_FUNC(scsi_host_unblock, "_gpl", "");
KSYMTAB_FUNC(scsi_kmap_atomic_sg, "", "");
KSYMTAB_FUNC(scsi_kunmap_atomic_sg, "", "");
KSYMTAB_FUNC(sdev_disable_disk_events, "", "");
KSYMTAB_FUNC(sdev_enable_disk_events, "", "");
KSYMTAB_FUNC(scsi_vpd_lun_id, "", "");
KSYMTAB_FUNC(scsi_vpd_tpg_id, "", "");
KSYMTAB_FUNC(scsi_build_sense, "_gpl", "");
KSYMTAB_FUNC(scsi_sense_key_string, "", "");
KSYMTAB_FUNC(scsi_extd_sense_format, "", "");
KSYMTAB_FUNC(scsi_hostbyte_string, "", "");
KSYMTAB_FUNC(scsi_mlreturn_string, "", "");
KSYMTAB_FUNC(scsi_dma_map, "", "");
KSYMTAB_FUNC(scsi_dma_unmap, "", "");
KSYMTAB_FUNC(scsi_is_target_device, "", "");
KSYMTAB_FUNC(scsi_sanitize_inquiry_string, "", "");
KSYMTAB_FUNC(__scsi_add_device, "", "");
KSYMTAB_FUNC(scsi_add_device, "", "");
KSYMTAB_FUNC(scsi_rescan_device, "", "");
KSYMTAB_FUNC(scsi_scan_target, "", "");
KSYMTAB_FUNC(scsi_scan_host, "", "");
KSYMTAB_FUNC(scsi_remove_device, "", "");
KSYMTAB_FUNC(scsi_remove_target, "", "");
KSYMTAB_FUNC(scsi_register_driver, "", "");
KSYMTAB_FUNC(scsi_register_interface, "", "");
KSYMTAB_FUNC(scsi_is_sdev_device, "", "");
KSYMTAB_FUNC(scsi_dev_info_list_add_keyed, "", "");
KSYMTAB_FUNC(scsi_dev_info_list_del_keyed, "", "");
KSYMTAB_FUNC(scsi_get_device_flags_keyed, "", "");
KSYMTAB_FUNC(scsi_dev_info_add_list, "", "");
KSYMTAB_FUNC(scsi_dev_info_remove_list, "", "");
KSYMTAB_DATA(scsi_nl_sock, "_gpl", "");
KSYMTAB_FUNC(scsi_template_proc_dir, "_gpl", "");
KSYMTAB_FUNC(sdev_prefix_printk, "", "");
KSYMTAB_FUNC(scmd_printk, "", "");
KSYMTAB_FUNC(__scsi_format_command, "", "");
KSYMTAB_FUNC(scsi_print_command, "", "");
KSYMTAB_FUNC(scsi_print_sense_hdr, "", "");
KSYMTAB_FUNC(__scsi_print_sense, "", "");
KSYMTAB_FUNC(scsi_print_sense, "", "");
KSYMTAB_FUNC(scsi_print_result, "", "");
KSYMTAB_FUNC(scsi_autopm_get_device, "_gpl", "");
KSYMTAB_FUNC(scsi_autopm_put_device, "_gpl", "");
KSYMTAB_FUNC(scsi_register_device_handler, "_gpl", "");
KSYMTAB_FUNC(scsi_unregister_device_handler, "_gpl", "");
KSYMTAB_FUNC(scsi_dh_activate, "_gpl", "");
KSYMTAB_FUNC(scsi_dh_set_params, "_gpl", "");
KSYMTAB_FUNC(scsi_dh_attach, "_gpl", "");
KSYMTAB_FUNC(scsi_dh_attached_handler_name, "_gpl", "");

SYMBOL_CRC(scsi_logging_level, 0xaf3dd7dc, "");
SYMBOL_CRC(scsi_change_queue_depth, 0xd99f9582, "");
SYMBOL_CRC(scsi_track_queue_full, 0xe1dd906a, "");
SYMBOL_CRC(scsi_get_vpd_page, 0x3c1a7d6c, "_gpl");
SYMBOL_CRC(scsi_report_opcode, 0xca632873, "");
SYMBOL_CRC(scsi_device_get, 0xc5d8cb22, "");
SYMBOL_CRC(scsi_device_put, 0xb7ff82c8, "");
SYMBOL_CRC(__scsi_iterate_devices, 0xc4887bea, "");
SYMBOL_CRC(starget_for_each_device, 0xc647ba4b, "");
SYMBOL_CRC(__starget_for_each_device, 0x9dd6c808, "");
SYMBOL_CRC(__scsi_device_lookup_by_target, 0xa7a92dec, "");
SYMBOL_CRC(scsi_device_lookup_by_target, 0x72a1ad83, "");
SYMBOL_CRC(__scsi_device_lookup, 0x2e2b7271, "");
SYMBOL_CRC(scsi_device_lookup, 0xa05e6fe8, "");
SYMBOL_CRC(scsi_remove_host, 0x3d1c6345, "");
SYMBOL_CRC(scsi_add_host_with_dma, 0xf2fad68a, "");
SYMBOL_CRC(scsi_host_alloc, 0x0ae08212, "");
SYMBOL_CRC(scsi_host_lookup, 0x6574d9e2, "");
SYMBOL_CRC(scsi_host_get, 0x3dbffcfa, "");
SYMBOL_CRC(scsi_host_busy, 0x8e3ce7fb, "");
SYMBOL_CRC(scsi_host_put, 0xa2a22e68, "");
SYMBOL_CRC(scsi_is_host_device, 0x4edc6353, "");
SYMBOL_CRC(scsi_queue_work, 0x8f11b02d, "_gpl");
SYMBOL_CRC(scsi_flush_work, 0x7109b109, "_gpl");
SYMBOL_CRC(scsi_host_complete_all_commands, 0xd5d1a2ac, "_gpl");
SYMBOL_CRC(scsi_host_busy_iter, 0x1212921c, "_gpl");
SYMBOL_CRC(scsi_set_medium_removal, 0x20e7380c, "");
SYMBOL_CRC(scsi_cmd_allowed, 0xeda2e038, "");
SYMBOL_CRC(put_sg_io_hdr, 0x5ec4aee6, "");
SYMBOL_CRC(get_sg_io_hdr, 0x1de4ccb2, "");
SYMBOL_CRC(scsi_ioctl, 0x5ce8c2d9, "");
SYMBOL_CRC(scsi_ioctl_block_when_processing_errors, 0xeec07312, "_gpl");
SYMBOL_CRC(scsi_bios_ptable, 0x0f69b540, "");
SYMBOL_CRC(scsi_partsize, 0xe103b74e, "");
SYMBOL_CRC(scsicam_bios_param, 0x1c5f8b9d, "");
SYMBOL_CRC(scsi_schedule_eh, 0xc7e72f14, "_gpl");
SYMBOL_CRC(scsi_block_when_processing_errors, 0x9b349f56, "");
SYMBOL_CRC(scsi_check_sense, 0xec6682ad, "_gpl");
SYMBOL_CRC(scsi_eh_prep_cmnd, 0x80170170, "");
SYMBOL_CRC(scsi_eh_restore_cmnd, 0x72dd5459, "");
SYMBOL_CRC(scsi_eh_finish_cmd, 0xcc4d36ad, "");
SYMBOL_CRC(scsi_eh_get_sense, 0x26c90ea4, "_gpl");
SYMBOL_CRC(scsi_eh_ready_devs, 0x2c35487d, "_gpl");
SYMBOL_CRC(scsi_eh_flush_done_q, 0xf811e69d, "");
SYMBOL_CRC(scsi_report_bus_reset, 0x59a4fcf5, "");
SYMBOL_CRC(scsi_report_device_reset, 0x93f2f5e3, "");
SYMBOL_CRC(scsi_command_normalize_sense, 0x7f86f624, "");
SYMBOL_CRC(scsi_get_sense_info_fld, 0xdd849d51, "");
SYMBOL_CRC(scsi_execute_cmd, 0x25ec3326, "");
SYMBOL_CRC(scsi_free_sgtables, 0x50307d8a, "_gpl");
SYMBOL_CRC(scsi_alloc_sgtables, 0xefef26ea, "");
SYMBOL_CRC(scsi_alloc_request, 0x039eaa60, "_gpl");
SYMBOL_CRC(scsi_done, 0x6c320320, "");
SYMBOL_CRC(scsi_done_direct, 0x29161269, "");
SYMBOL_CRC(__scsi_init_queue, 0x75998229, "_gpl");
SYMBOL_CRC(scsi_device_from_queue, 0x3604e768, "_gpl");
SYMBOL_CRC(scsi_block_requests, 0xfe4c6eb3, "");
SYMBOL_CRC(scsi_unblock_requests, 0x9852b39c, "");
SYMBOL_CRC(scsi_mode_select, 0x78cedc6a, "_gpl");
SYMBOL_CRC(scsi_mode_sense, 0x6263fc5d, "");
SYMBOL_CRC(scsi_test_unit_ready, 0x8da0e134, "");
SYMBOL_CRC(scsi_device_set_state, 0xed8c50b1, "");
SYMBOL_CRC(sdev_evt_send, 0xf482535e, "_gpl");
SYMBOL_CRC(sdev_evt_alloc, 0x13ed8784, "_gpl");
SYMBOL_CRC(sdev_evt_send_simple, 0x62660c32, "_gpl");
SYMBOL_CRC(scsi_device_quiesce, 0x0bac4ab6, "");
SYMBOL_CRC(scsi_device_resume, 0x6dab989b, "");
SYMBOL_CRC(scsi_target_quiesce, 0xd3ce452a, "");
SYMBOL_CRC(scsi_target_resume, 0xbe569527, "");
SYMBOL_CRC(scsi_internal_device_block_nowait, 0x4e7de50a, "_gpl");
SYMBOL_CRC(scsi_internal_device_unblock_nowait, 0xe04ff408, "_gpl");
SYMBOL_CRC(scsi_block_targets, 0xd85bd8d0, "_gpl");
SYMBOL_CRC(scsi_target_unblock, 0x66952785, "_gpl");
SYMBOL_CRC(scsi_host_block, 0x9cb6a56a, "_gpl");
SYMBOL_CRC(scsi_host_unblock, 0xbc944bb8, "_gpl");
SYMBOL_CRC(scsi_kmap_atomic_sg, 0xa5bd05c8, "");
SYMBOL_CRC(scsi_kunmap_atomic_sg, 0x56c8799d, "");
SYMBOL_CRC(sdev_disable_disk_events, 0x767aad47, "");
SYMBOL_CRC(sdev_enable_disk_events, 0xdb1ecff5, "");
SYMBOL_CRC(scsi_vpd_lun_id, 0x1b93b4fe, "");
SYMBOL_CRC(scsi_vpd_tpg_id, 0x2bd08246, "");
SYMBOL_CRC(scsi_build_sense, 0x4ec55eca, "_gpl");
SYMBOL_CRC(scsi_sense_key_string, 0x96cd2b04, "");
SYMBOL_CRC(scsi_extd_sense_format, 0xd8a994eb, "");
SYMBOL_CRC(scsi_hostbyte_string, 0xb3d2c76d, "");
SYMBOL_CRC(scsi_mlreturn_string, 0xd1d87e92, "");
SYMBOL_CRC(scsi_dma_map, 0x0e528078, "");
SYMBOL_CRC(scsi_dma_unmap, 0xab49905a, "");
SYMBOL_CRC(scsi_is_target_device, 0x84e43a40, "");
SYMBOL_CRC(scsi_sanitize_inquiry_string, 0x27756bc8, "");
SYMBOL_CRC(__scsi_add_device, 0xec28e1bf, "");
SYMBOL_CRC(scsi_add_device, 0x87e465ea, "");
SYMBOL_CRC(scsi_rescan_device, 0xf5d26a9b, "");
SYMBOL_CRC(scsi_scan_target, 0xa0d9c286, "");
SYMBOL_CRC(scsi_scan_host, 0x5596cdb2, "");
SYMBOL_CRC(scsi_remove_device, 0xdd7498ec, "");
SYMBOL_CRC(scsi_remove_target, 0xf522020b, "");
SYMBOL_CRC(scsi_register_driver, 0x22d25d4b, "");
SYMBOL_CRC(scsi_register_interface, 0x0286505b, "");
SYMBOL_CRC(scsi_is_sdev_device, 0xbaa0974b, "");
SYMBOL_CRC(scsi_dev_info_list_add_keyed, 0x2733eaf7, "");
SYMBOL_CRC(scsi_dev_info_list_del_keyed, 0xccfd2ebc, "");
SYMBOL_CRC(scsi_get_device_flags_keyed, 0x61f6fc1c, "");
SYMBOL_CRC(scsi_dev_info_add_list, 0x204c5067, "");
SYMBOL_CRC(scsi_dev_info_remove_list, 0x97bdfa60, "");
SYMBOL_CRC(scsi_nl_sock, 0xc278a38d, "_gpl");
SYMBOL_CRC(scsi_template_proc_dir, 0x304773a8, "_gpl");
SYMBOL_CRC(sdev_prefix_printk, 0x5bd76b21, "");
SYMBOL_CRC(scmd_printk, 0xb8fec5bf, "");
SYMBOL_CRC(__scsi_format_command, 0x418a5367, "");
SYMBOL_CRC(scsi_print_command, 0xd69c30fb, "");
SYMBOL_CRC(scsi_print_sense_hdr, 0xae03a308, "");
SYMBOL_CRC(__scsi_print_sense, 0xa6d0e315, "");
SYMBOL_CRC(scsi_print_sense, 0xb6962d93, "");
SYMBOL_CRC(scsi_print_result, 0x98f549e2, "");
SYMBOL_CRC(scsi_autopm_get_device, 0x956b08b0, "_gpl");
SYMBOL_CRC(scsi_autopm_put_device, 0x58787ed2, "_gpl");
SYMBOL_CRC(scsi_register_device_handler, 0xb94cb9ee, "_gpl");
SYMBOL_CRC(scsi_unregister_device_handler, 0x9d91ea5f, "_gpl");
SYMBOL_CRC(scsi_dh_activate, 0xc8f930eb, "_gpl");
SYMBOL_CRC(scsi_dh_set_params, 0x24ada7c9, "_gpl");
SYMBOL_CRC(scsi_dh_attach, 0x7438e60e, "_gpl");
SYMBOL_CRC(scsi_dh_attached_handler_name, 0x2ea62360, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xbff7ce69, "param_ops_ullong" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xd76f6099, "vscnprintf" },
	{ 0xf448a29f, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x2b07253, "add_disk_randomness" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0xc4d55828, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xcc644bb7, "dev_set_name" },
	{ 0x3afc4a8f, "sbitmap_resize" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x408efcb2, "proc_create" },
	{ 0xb39c7cf9, "trace_seq_printf" },
	{ 0xf54c7e34, "seq_release" },
	{ 0xe1694ce4, "blk_queue_max_segment_size" },
	{ 0xf3084de, "blk_pre_runtime_resume" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x439641b1, "trace_raw_output_prep" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x7de1dc52, "transport_remove_device" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x4297cd1d, "device_unregister" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xf310212a, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xe9f30a6d, "trace_event_printf" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x6b71646f, "read_cache_folio" },
	{ 0x4d206d8f, "sysfs_unbreak_active_protection" },
	{ 0x262e6c9f, "device_initialize" },
	{ 0x4cc15fcb, "blk_mq_unquiesce_queue" },
	{ 0x773445fc, "blk_queue_dma_alignment" },
	{ 0x1cff8eab, "sbitmap_init_node" },
	{ 0xcb6ef40a, "trace_event_raw_init" },
	{ 0xb0a3c5d2, "trace_print_symbols_seq" },
	{ 0x2e60bace, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x10d9f885, "scsi_sense_desc_find" },
	{ 0x43babd19, "sg_init_one" },
	{ 0xba07946c, "pcpu_hot" },
	{ 0xa5d3066f, "seq_lseek" },
	{ 0x8f8950bb, "__netlink_kernel_create" },
	{ 0xa56e1a52, "sg_free_table_chained" },
	{ 0x93b944a7, "blk_mq_kick_requeue_list" },
	{ 0xb9944c3c, "proc_create_data" },
	{ 0x563952a3, "kblockd_schedule_work" },
	{ 0x4bdbf081, "device_for_each_child" },
	{ 0x3b103e34, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xf11f8655, "get_device" },
	{ 0x2f9ad44, "blk_set_queue_depth" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x6fe1f77a, "__dynamic_dev_dbg" },
	{ 0x9e9a9cb4, "trace_print_hex_seq" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x1e4f3f0f, "netlink_ack" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x9cd284fd, "single_open_size" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd5360be6, "blk_mq_delay_kick_requeue_list" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x82c49ce4, "platform_bus" },
	{ 0xaf0d9d92, "blk_mq_alloc_tag_set" },
	{ 0x2d4d583, "wake_up_process" },
	{ 0x1104c4d5, "trace_seq_puts" },
	{ 0x942bad80, "trace_event_buffer_commit" },
	{ 0x6f3e6bd1, "blk_rq_init" },
	{ 0xdbba2156, "blk_rq_count_integrity_sg" },
	{ 0x41b9a6e6, "bsg_unregister_queue" },
	{ 0x37013b0a, "transport_setup_device" },
	{ 0x284c2db9, "__pm_runtime_set_status" },
	{ 0xf5f370e0, "async_schedule_node" },
	{ 0x45ff8535, "trace_seq_putc" },
	{ 0x668b595, "_kstrtoul" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xbc435770, "dump_stack" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x4292364c, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xd4609393, "blk_execute_rq" },
	{ 0x14c9be9e, "unregister_sysctl_table" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0xbc63c88d, "blk_set_pm_only" },
	{ 0xd3d7781a, "dma_max_mapping_size" },
	{ 0x55511d12, "put_device" },
	{ 0x7a51c369, "pm_runtime_enable" },
	{ 0xc2acc033, "hex_dump_to_buffer" },
	{ 0x738803e6, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xc6f2b80f, "blk_mq_free_request" },
	{ 0xce6847c1, "netlink_capable" },
	{ 0x406c86bc, "blk_rq_map_kern" },
	{ 0xc6cbbc89, "capable" },
	{ 0xbc0fcac6, "module_put" },
	{ 0x75916e84, "blk_get_queue" },
	{ 0xbbd8463c, "__kmap_local_page_prot" },
	{ 0x74ecbc3a, "kobject_uevent_env" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0xa8d7ccd8, "blk_rq_map_user" },
	{ 0x583d9b6d, "perf_trace_run_bpf_submit" },
	{ 0x176adec5, "bus_unregister" },
	{ 0x9c9cf598, "_dev_err" },
	{ 0xab6dbc1a, "init_net" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x9d87a0ee, "blk_update_request" },
	{ 0x443915de, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xa75005c7, "bus_find_device" },
	{ 0xc235de73, "device_add" },
	{ 0x173e13ff, "blk_rq_map_user_io" },
	{ 0x2d445836, "blk_execute_rq_nowait" },
	{ 0x8abefc77, "kmem_cache_create_usercopy" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x9a2cee17, "blk_mq_delay_run_hw_queues" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xab06fd53, "mem_section" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xddb2ef79, "kmem_cache_free" },
	{ 0x250113b4, "memory_read_from_buffer" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x2766cd51, "seq_putc" },
	{ 0x66f5e0b4, "__blk_rq_map_sg" },
	{ 0x383bbf13, "trace_event_reg" },
	{ 0xb6ed1e53, "strncpy" },
	{ 0x852be383, "blk_mq_alloc_request" },
	{ 0xffb7c514, "ida_free" },
	{ 0x167e070d, "blk_queue_segment_boundary" },
	{ 0xa9506058, "transport_configure_device" },
	{ 0x80fc52f7, "bsg_register_queue" },
	{ 0xd4f1e89d, "netlink_kernel_release" },
	{ 0x96ccdef, "class_unregister" },
	{ 0x8b91b682, "blk_mq_free_tag_set" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x334da4e, "scsi_command_size_tbl" },
	{ 0x5152e605, "memcmp" },
	{ 0x6585e638, "class_interface_register" },
	{ 0x72ea7b2d, "scsi_device_type" },
	{ 0xb4ba0639, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x55bea036, "transport_add_device" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x745a16b1, "blk_put_queue" },
	{ 0x968d339b, "bpf_trace_run1" },
	{ 0xf22c33e6, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xf6a7c01d, "proc_mkdir" },
	{ 0xb16341a, "__default_kernel_pte_mask" },
	{ 0x21f7e610, "register_sysctl_sz" },
	{ 0x2bc95bd4, "memset" },
	{ 0xecb55757, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x50011e42, "blk_mq_wait_quiesce_done" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xe21d6bf1, "blk_queue_max_segments" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xcfca5bff, "blk_mq_init_queue" },
	{ 0x16c65078, "blk_post_runtime_resume" },
	{ 0xe6014c5a, "blk_rq_unmap_user" },
	{ 0xc9190d9a, "param_ops_string" },
	{ 0x8c91cb62, "blk_clear_pm_only" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x6a87bf7d, "kthread_create_on_node" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x2a625738, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xaabca9d7, "blk_queue_virt_boundary" },
	{ 0xef6f61ed, "blk_mq_complete_request" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xe8fd12b2, "pm_runtime_forbid" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x167e7f9d, "__get_user_1" },
	{ 0x59f5b4b4, "blk_mq_freeze_queue" },
	{ 0xda2d92eb, "trace_event_buffer_reserve" },
	{ 0xea3c8e4e, "scsilun_to_int" },
	{ 0x6193cf15, "__pm_runtime_resume" },
	{ 0x85df9b6c, "strsep" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x1342d562, "blk_mq_destroy_queue" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x8c26ca02, "sysfs_break_active_protection" },
	{ 0xb1b939e, "kmemdup" },
	{ 0xbe133003, "__folio_put" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x77cf5951, "blk_rq_map_integrity_sg" },
	{ 0xb3faf99c, "transport_destroy_device" },
	{ 0x20a2389c, "remove_proc_entry" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc2a4bc38, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb2fa093e, "blk_mq_map_queues" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x8112b3d2, "scsi_build_sense_buffer" },
	{ 0x2b9efca4, "device_match_any" },
	{ 0x66d4e8c2, "blk_mq_unfreeze_queue" },
	{ 0xf640f101, "blk_mq_start_request" },
	{ 0x9e8c98ba, "blk_mq_tagset_busy_iter" },
	{ 0xe542948, "proc_dointvec" },
	{ 0x1cefcaf1, "seq_puts" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x3762a917, "single_release" },
	{ 0xc4c501e8, "blk_mq_quiesce_queue_nowait" },
	{ 0x65acf90c, "sbitmap_weight" },
	{ 0x6f3af43e, "dma_unmap_sg_attrs" },
	{ 0x7b8850ea, "seq_open" },
	{ 0x484a1da6, "blk_pre_runtime_suspend" },
	{ 0x62c74286, "kmalloc_trace" },
	{ 0x529311d5, "__pm_runtime_suspend" },
	{ 0x399af90, "blk_queue_max_hw_sectors" },
	{ 0x1f9dced8, "page_address" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xd0d8621b, "strlen" },
	{ 0x8917f414, "kunmap_local_indexed" },
	{ 0x78d3716b, "param_ops_int" },
	{ 0xc8b237c4, "_dev_printk" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x7f692915, "blk_mq_run_hw_queues" },
	{ 0xfbad3cf0, "scsi_normalize_sense" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x3e16d3a6, "__pm_runtime_disable" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x9e229c49, "sg_alloc_table_chained" },
	{ 0x403eac60, "sbitmap_get" },
	{ 0x4ae4635, "trace_handle_return" },
	{ 0xe7b4f9d1, "blk_post_runtime_suspend" },
	{ 0x35b4c1f9, "blk_mq_requeue_request" },
	{ 0x52b57bd3, "driver_register" },
	{ 0xcf5a4424, "class_register" },
	{ 0xc6778dbf, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xa14a9458, "blk_queue_rq_timeout" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xbf24de84, "kmalloc_caches" },
	{ 0xb593b3a8, "kmem_cache_alloc_node" },
	{ 0xe486612e, "device_remove_file" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x26e6d188, "bus_register" },
	{ 0xca368c3f, "kmem_cache_destroy" },
	{ 0x90cb03d3, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x97486175, "class_find_device" },
	{ 0xf2ee2810, "__blk_mq_end_request" },
	{ 0x61b7b126, "simple_strtoull" },
	{ 0x762edfce, "module_layout" },
};

MODULE_INFO(depends, "scsi_common");


MODULE_INFO(srcversion, "8B56BA6764C56AEC4DFBFBE");
