#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3a73ec0c, "inet_bhash2_reset_saddr" },
	{ 0xb8cb6b3a, "inet6_csk_addr2sockaddr" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xb3e94c8e, "inet6_lookup_reuseport" },
	{ 0x43996819, "dccp_v4_connect" },
	{ 0xffb307fa, "ip_queue_xmit" },
	{ 0x67e5c5b6, "__fl6_sock_lookup" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x423d35dd, "dccp_shutdown" },
	{ 0x6b37e639, "inet_bhash2_update_saddr" },
	{ 0x9d48071a, "dccp_connect" },
	{ 0x2a39f0b7, "consume_skb" },
	{ 0x23f87dfa, "dccp_rcv_state_process" },
	{ 0xb8420423, "dccp_reqsk_send_ack" },
	{ 0xc429e520, "inet6_bind" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x2f404349, "inet_csk_accept" },
	{ 0xbd2c5279, "inet6_unregister_protosw" },
	{ 0xbe4eb6ed, "secure_dccpv6_sequence_number" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x186bf3d9, "sock_common_getsockopt" },
	{ 0x9234f97b, "__inet_inherit_port" },
	{ 0xe6c047d2, "inet_dccp_listen" },
	{ 0xd4592578, "security_inet_conn_request" },
	{ 0x37a0cba, "kfree" },
	{ 0x5f2ba55e, "security_req_classify_flow" },
	{ 0xba07946c, "pcpu_hot" },
	{ 0x45cb0ab3, "__xfrm_policy_check" },
	{ 0x74330cbd, "inet6_sk_rebuild_header" },
	{ 0x98696f28, "sock_common_setsockopt" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x95af98ce, "__sk_mem_schedule" },
	{ 0x6c7980c7, "ipv6_setsockopt" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x5e74d404, "inet_csk_reqsk_queue_hash_add" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x90bbe1b8, "dccp_syn_ack_timeout" },
	{ 0x4cdd391d, "dccp_feat_list_purge" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x78e6cd73, "sk_error_report" },
	{ 0xc8246473, "register_pernet_subsys" },
	{ 0x73ed695e, "inet_ehash_nolisten" },
	{ 0x235e4ba9, "inet6_del_protocol" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x4e22ac00, "dccp_invalid_packet" },
	{ 0xef7d1f82, "inet_stream_connect" },
	{ 0x7fa93ad0, "proto_unregister" },
	{ 0xa2e1f66d, "dccp_v4_send_check" },
	{ 0xc46463f4, "inet_reqsk_alloc" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x2290148f, "inet_twsk_purge" },
	{ 0xd52a0792, "dccp_done" },
	{ 0xb1cf9bcf, "__sk_dst_check" },
	{ 0x72ecc66a, "dccp_disconnect" },
	{ 0xd7fc993a, "proto_register" },
	{ 0x1a55b18, "dccp_destruct_common" },
	{ 0xa5797942, "__sk_receive_skb" },
	{ 0xf056acf5, "dccp_poll" },
	{ 0xc9ce8b75, "inet_ctl_sock_create" },
	{ 0x8171199a, "dccp_death_row" },
	{ 0x7b593a19, "inet_csk_get_port" },
	{ 0x45d54786, "sk_filter_trim_cap" },
	{ 0x530af55b, "inet_csk_reqsk_queue_drop_and_put" },
	{ 0x86ce3bf0, "inet6_hash" },
	{ 0xbbe2f4fb, "inet_accept" },
	{ 0xf6fbef51, "inet6_hash_connect" },
	{ 0xb71dbebf, "dccp_sync_mss" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xfc6e89b2, "ip6_mtu" },
	{ 0xd75b7072, "dccp_orphan_count" },
	{ 0xe02dad5e, "inet_shutdown" },
	{ 0xf5a8638f, "sk_free" },
	{ 0x85b91575, "dccp_close" },
	{ 0x744a7cd6, "kfree_skb_reason" },
	{ 0xfadc5786, "dccp_reqsk_init" },
	{ 0xddb2ef79, "kmem_cache_free" },
	{ 0x4904c8a9, "fl6_update_dst" },
	{ 0x3c266589, "inet6_csk_route_req" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xedd3730f, "inet6_ioctl" },
	{ 0x61336eb, "security_sk_classify_flow" },
	{ 0xa8b389be, "dccp_getsockopt" },
	{ 0xd5efd408, "dccp_parse_options" },
	{ 0xc41f8296, "dccp_v4_request_recv_sock" },
	{ 0x6d60fd9e, "__inet6_lookup_established" },
	{ 0xf9bb7bd3, "unregister_pernet_subsys" },
	{ 0xc8da7b49, "ip6_dst_lookup_flow" },
	{ 0xb4a65258, "skb_checksum" },
	{ 0x982fd98f, "sock_no_socketpair" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xccdc75d9, "sock_no_mmap" },
	{ 0x1e72f41b, "__pskb_pull_tail" },
	{ 0x680855fa, "dccp_child_process" },
	{ 0x67ed4a06, "sock_common_recvmsg" },
	{ 0x280bcb66, "dccp_setsockopt" },
	{ 0x192cb596, "dccp_ioctl" },
	{ 0xf3addea2, "inet6_csk_xmit" },
	{ 0xac4fad1a, "sock_rfree" },
	{ 0x33c55cf2, "inet6_getname" },
	{ 0x336cee06, "inet6_sock_destruct" },
	{ 0x5bdc2aa3, "inet_sk_rebuild_header" },
	{ 0xcb452f3b, "ip6_xmit" },
	{ 0xad61ca05, "ipv4_mtu" },
	{ 0xcda27eb3, "dccp_recvmsg" },
	{ 0x30351e3b, "inet6_register_protosw" },
	{ 0xae316c11, "icmpv6_err_convert" },
	{ 0x3a9cb897, "inet6_release" },
	{ 0x98b7633d, "inet_sendmsg" },
	{ 0x8414c866, "dccp_check_req" },
	{ 0x6655a5d6, "ipv6_dup_options" },
	{ 0xdd2d4d3f, "dccp_create_openreq_child" },
	{ 0xc47b31b3, "inet_csk_prepare_forced_close" },
	{ 0xcbb795c1, "dccp_v4_conn_request" },
	{ 0x2f4ab576, "security_skb_classify_flow" },
	{ 0x85191ace, "dccp_req_err" },
	{ 0x5fed7fee, "sock_pfree" },
	{ 0xdeb5e60, "dccp_rcv_established" },
	{ 0x590dd2f1, "skb_clone" },
	{ 0x2e94cf8a, "dst_release" },
	{ 0x37eb6c93, "sock_release" },
	{ 0x9b785bb5, "dccp_make_response" },
	{ 0x2f4b50f, "dccp_destroy_sock" },
	{ 0x57ae47c4, "dccp_ctl_make_reset" },
	{ 0xb73ce790, "sock_gettstamp" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x5bd4e2f4, "sk_setup_caps" },
	{ 0x37a134f7, "ipv6_opt_accepted" },
	{ 0xda8aab84, "dccp_sendmsg" },
	{ 0xeb6e3c70, "inet6_lookup_listener" },
	{ 0x90520f7e, "inet6_add_protocol" },
	{ 0xc2788d42, "ipv6_flowlabel_exclusive" },
	{ 0xd7cdb975, "dccp_hashinfo" },
	{ 0xdda05abf, "inet_twsk_put" },
	{ 0x8dffb337, "inet_unhash" },
	{ 0x6560e5e8, "ipv6_getsockopt" },
	{ 0x507949a8, "dccp_set_state" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xb4341daf, "inet6_csk_update_pmtu" },
	{ 0xd3db351b, "dccp_v4_do_rcv" },
	{ 0x348b08a5, "__kfree_skb" },
	{ 0xd10800f2, "inet6_ehashfn" },
	{ 0xb7eabd3, "dccp_init_sock" },
	{ 0x59814a84, "dccp_statistics" },
	{ 0x762edfce, "module_layout" },
};

MODULE_INFO(depends, "dccp_ipv4,dccp");


MODULE_INFO(srcversion, "87362003F04278E34A49566");
