#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(l2tp_sk_to_tunnel, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_inc_refcount, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_dec_refcount, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_inc_refcount, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_dec_refcount, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_get, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_get_nth, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_get_session, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_get, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_get_nth, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_get_by_ifname, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_register, "_gpl", "");
KSYMTAB_FUNC(l2tp_recv_common, "_gpl", "");
KSYMTAB_FUNC(l2tp_udp_encap_recv, "_gpl", "");
KSYMTAB_FUNC(l2tp_xmit_skb, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_create, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_register, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_delete, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_delete, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_set_header_len, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_create, "_gpl", "");

SYMBOL_CRC(l2tp_sk_to_tunnel, 0xdb169cea, "_gpl");
SYMBOL_CRC(l2tp_tunnel_inc_refcount, 0x80f61d3e, "_gpl");
SYMBOL_CRC(l2tp_tunnel_dec_refcount, 0x7569fabf, "_gpl");
SYMBOL_CRC(l2tp_session_inc_refcount, 0xbfb26963, "_gpl");
SYMBOL_CRC(l2tp_session_dec_refcount, 0x99dc68ee, "_gpl");
SYMBOL_CRC(l2tp_tunnel_get, 0x515a301c, "_gpl");
SYMBOL_CRC(l2tp_tunnel_get_nth, 0x94ce7ab0, "_gpl");
SYMBOL_CRC(l2tp_tunnel_get_session, 0x00ce5078, "_gpl");
SYMBOL_CRC(l2tp_session_get, 0x15242108, "_gpl");
SYMBOL_CRC(l2tp_session_get_nth, 0xcf165dd2, "_gpl");
SYMBOL_CRC(l2tp_session_get_by_ifname, 0x28f73cf6, "_gpl");
SYMBOL_CRC(l2tp_session_register, 0x1a913015, "_gpl");
SYMBOL_CRC(l2tp_recv_common, 0xc55e4f88, "_gpl");
SYMBOL_CRC(l2tp_udp_encap_recv, 0x5d31137c, "_gpl");
SYMBOL_CRC(l2tp_xmit_skb, 0x267f4bf6, "_gpl");
SYMBOL_CRC(l2tp_tunnel_create, 0x1d32e658, "_gpl");
SYMBOL_CRC(l2tp_tunnel_register, 0x8121cfdd, "_gpl");
SYMBOL_CRC(l2tp_tunnel_delete, 0x7edabd47, "_gpl");
SYMBOL_CRC(l2tp_session_delete, 0x9e87835f, "_gpl");
SYMBOL_CRC(l2tp_session_set_header_len, 0xc21dbf0c, "_gpl");
SYMBOL_CRC(l2tp_session_create, 0xb0501174, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0x583d9b6d, "perf_trace_run_bpf_submit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xda2d92eb, "trace_event_buffer_reserve" },
	{ 0x942bad80, "trace_event_buffer_commit" },
	{ 0xf310212a, "__trace_trigger_soft_disabled" },
	{ 0x439641b1, "trace_raw_output_prep" },
	{ 0xb0a3c5d2, "trace_print_symbols_seq" },
	{ 0xe9f30a6d, "trace_event_printf" },
	{ 0x4ae4635, "trace_handle_return" },
	{ 0x968d339b, "bpf_trace_run1" },
	{ 0x3b103e34, "bpf_trace_run2" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xf0ea1149, "register_pernet_device" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xf4ea8be6, "_printk" },
	{ 0xc1750ee9, "unregister_pernet_device" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x9674f396, "sock_create_kern" },
	{ 0x15ce28d7, "kernel_bind" },
	{ 0x8a2d5b59, "udp_sock_create6" },
	{ 0x9f580fa9, "kernel_sock_shutdown" },
	{ 0x37eb6c93, "sock_release" },
	{ 0x52b9fccf, "kernel_connect" },
	{ 0x490d958f, "udp_sock_create4" },
	{ 0xbf24de84, "kmalloc_caches" },
	{ 0x62c74286, "kmalloc_trace" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xba07946c, "pcpu_hot" },
	{ 0x20978fb9, "idr_find" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xcc1b882a, "idr_get_next_ul" },
	{ 0xf5a8638f, "sk_free" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x37a0cba, "kfree" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x744a7cd6, "kfree_skb_reason" },
	{ 0x1a469d3, "skb_dequeue" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0x2e60bace, "memcpy" },
	{ 0x56470118, "__warn_printk" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x143ffe1c, "udp_set_csum" },
	{ 0xffb307fa, "ip_queue_xmit" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x2a2a8661, "pskb_expand_head" },
	{ 0x519818c5, "udp6_set_csum" },
	{ 0xf3addea2, "inet6_csk_xmit" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x2e94cf8a, "dst_release" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0xd9916c3a, "idr_alloc_u32" },
	{ 0x6e131fbf, "sockfd_lookup" },
	{ 0x68c9b3f6, "lock_sock_nested" },
	{ 0xb8d76ee3, "release_sock" },
	{ 0x7b82b9a1, "idr_replace" },
	{ 0x8dd82055, "fput" },
	{ 0xc93882e1, "setup_udp_tunnel_sock" },
	{ 0x5152e605, "memcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc2da70e4, "skb_queue_tail" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x1e72f41b, "__pskb_pull_tail" },
	{ 0x383bbf13, "trace_event_reg" },
	{ 0xcb6ef40a, "trace_event_raw_init" },
	{ 0x762edfce, "module_layout" },
};

MODULE_INFO(depends, "ip6_udp_tunnel,udp_tunnel");


MODULE_INFO(srcversion, "7512B1DCD48B8760E388269");
