#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ip_vs_conn_in_get_proto, "_gpl", "");
KSYMTAB_FUNC(ip_vs_conn_out_get_proto, "_gpl", "");
KSYMTAB_FUNC(register_ip_vs_scheduler, "", "");
KSYMTAB_FUNC(unregister_ip_vs_scheduler, "", "");
KSYMTAB_FUNC(ip_vs_proto_name, "", "");
KSYMTAB_FUNC(ip_vs_conn_new, "", "");
KSYMTAB_FUNC(ip_vs_conn_in_get, "", "");
KSYMTAB_FUNC(ip_vs_conn_out_get, "", "");
KSYMTAB_FUNC(ip_vs_tcp_conn_listen, "", "");
KSYMTAB_FUNC(ip_vs_conn_put, "", "");
KSYMTAB_FUNC(ip_vs_new_conn_out, "", "");
KSYMTAB_FUNC(ip_vs_scheduler_err, "", "");
KSYMTAB_FUNC(register_ip_vs_app, "", "");
KSYMTAB_FUNC(unregister_ip_vs_app, "", "");
KSYMTAB_FUNC(register_ip_vs_app_inc, "", "");
KSYMTAB_FUNC(ip_vs_proto_get, "", "");
KSYMTAB_FUNC(ip_vs_proto_data_get, "", "");
KSYMTAB_FUNC(register_ip_vs_pe, "_gpl", "");
KSYMTAB_FUNC(unregister_ip_vs_pe, "_gpl", "");
KSYMTAB_FUNC(ip_vs_nfct_expect_related, "", "");

SYMBOL_CRC(ip_vs_conn_in_get_proto, 0xbe05441b, "_gpl");
SYMBOL_CRC(ip_vs_conn_out_get_proto, 0x404fcb74, "_gpl");
SYMBOL_CRC(register_ip_vs_scheduler, 0xcc1a8f7a, "");
SYMBOL_CRC(unregister_ip_vs_scheduler, 0x0654fa8c, "");
SYMBOL_CRC(ip_vs_proto_name, 0xd831a1a2, "");
SYMBOL_CRC(ip_vs_conn_new, 0xd95e9579, "");
SYMBOL_CRC(ip_vs_conn_in_get, 0x7faad57e, "");
SYMBOL_CRC(ip_vs_conn_out_get, 0x97643a24, "");
SYMBOL_CRC(ip_vs_tcp_conn_listen, 0x2fd8218e, "");
SYMBOL_CRC(ip_vs_conn_put, 0xa74c2572, "");
SYMBOL_CRC(ip_vs_new_conn_out, 0x29274f41, "");
SYMBOL_CRC(ip_vs_scheduler_err, 0x1c8e8c2d, "");
SYMBOL_CRC(register_ip_vs_app, 0xea64c98a, "");
SYMBOL_CRC(unregister_ip_vs_app, 0x6f2d2a98, "");
SYMBOL_CRC(register_ip_vs_app_inc, 0xc81d850d, "");
SYMBOL_CRC(ip_vs_proto_get, 0x6e804e11, "");
SYMBOL_CRC(ip_vs_proto_data_get, 0x9d53f9ee, "");
SYMBOL_CRC(register_ip_vs_pe, 0x72317540, "_gpl");
SYMBOL_CRC(unregister_ip_vs_pe, 0xfb0805d9, "_gpl");
SYMBOL_CRC(ip_vs_nfct_expect_related, 0xc9259b73, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5e9f3b9, "nf_ct_ext_add" },
	{ 0x1b015d25, "bitmap_parselist" },
	{ 0x4cb611db, "nf_conntrack_find_get" },
	{ 0x421d4dcf, "krealloc" },
	{ 0xf448a29f, "try_module_get" },
	{ 0xbcdf7b2b, "__ip_select_ident" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x6ce2c078, "inet_get_local_port_range" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x8eccaa04, "icmp6_send" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0xefd31008, "skb_copy_bits" },
	{ 0xfea84ef5, "xfrm_lookup" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x9fc43743, "proc_dointvec_jiffies" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x52d4e744, "housekeeping_cpumask" },
	{ 0x2a39f0b7, "consume_skb" },
	{ 0x17fd7b72, "ip6_local_out" },
	{ 0x7d50a24, "csum_partial" },
	{ 0x1e0a0c24, "mod_timer_pending" },
	{ 0x78668503, "ip_output" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xef1b1b9f, "nf_register_sockopt" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x1a622e96, "nla_put_64bit" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x53966b77, "nf_ct_netns_get" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x15ce28d7, "kernel_bind" },
	{ 0x579f06e8, "set_user_nice" },
	{ 0xe99c77cf, "genlmsg_put" },
	{ 0x143ffe1c, "udp_set_csum" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x8739f996, "ip6_output" },
	{ 0xac1faf4e, "ip6_route_me_harder" },
	{ 0xba07946c, "pcpu_hot" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x2a64c62a, "__module_get" },
	{ 0xa821bcba, "ip_route_output_flow" },
	{ 0xfc5586ec, "kmem_cache_create" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xc5844fb8, "__per_cpu_offset" },
	{ 0xcd2505b2, "iptunnel_handle_offloads" },
	{ 0xac3201b0, "udp_flow_hashrnd" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x68a4d6c6, "__dev_get_by_name" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0xbc67abb2, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x2a2a8661, "pskb_expand_head" },
	{ 0xc8246473, "register_pernet_subsys" },
	{ 0x2d4d583, "wake_up_process" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0x512468d2, "register_net_sysctl_sz" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf4ea8be6, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x4292364c, "schedule" },
	{ 0x32c982cf, "nf_unregister_sockopt" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xcf522ac3, "nf_register_net_hooks" },
	{ 0x854bc93a, "ip6_route_output_flags" },
	{ 0x738803e6, "strnlen" },
	{ 0xf093aa98, "__alloc_skb" },
	{ 0xc5216731, "kmem_cache_alloc" },
	{ 0x92d313a2, "ipv6_sock_mc_join" },
	{ 0xbc0fcac6, "module_put" },
	{ 0x437eb1df, "ipv6_mod_enabled" },
	{ 0x8dfefc0d, "kvmalloc_node" },
	{ 0xfac8865f, "sysctl_wmem_max" },
	{ 0xb05fc310, "sysctl_rmem_max" },
	{ 0x89c79fa3, "ipv6_dev_get_saddr" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x6538312e, "__skb_get_hash" },
	{ 0xab6dbc1a, "init_net" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xfc6e89b2, "ip6_mtu" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0xea11575e, "netlink_unicast" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x409f3ed9, "nf_ct_expect_related_report" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x8065220e, "nf_conntrack_alter_reply" },
	{ 0xdc03711, "ip_route_me_harder" },
	{ 0x744a7cd6, "kfree_skb_reason" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xa3fbbe1d, "skb_push" },
	{ 0xddb2ef79, "kmem_cache_free" },
	{ 0x8a0f6f4, "set_cpus_allowed_ptr" },
	{ 0x2766cd51, "seq_putc" },
	{ 0xa589d9d0, "nla_put" },
	{ 0x1659547, "proc_doulongvec_minmax" },
	{ 0xc60bd28b, "nf_ct_expect_alloc" },
	{ 0x36e6d1ba, "skb_ensure_writable" },
	{ 0x2619891c, "iov_iter_kvec" },
	{ 0x4a2a0728, "ip_mc_join_group" },
	{ 0xaa193ea, "nf_ct_expect_put" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xd2751b28, "ns_capable" },
	{ 0x944c6c81, "nf_unregister_net_hooks" },
	{ 0x23f7826d, "inet_select_addr" },
	{ 0xc1750ee9, "unregister_pernet_device" },
	{ 0x68c9b3f6, "lock_sock_nested" },
	{ 0xb93bb39d, "inet_addr_type" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x8039b3fd, "_totalram_pages" },
	{ 0xb4ba0639, "kthread_stop" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xed61d2e9, "__nf_conntrack_confirm" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xf9bb7bd3, "unregister_pernet_subsys" },
	{ 0xed81bdcb, "__cpu_possible_mask" },
	{ 0x52b9fccf, "kernel_connect" },
	{ 0xb4a65258, "skb_checksum" },
	{ 0x246ac7b7, "ip_defrag" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x1e72f41b, "__pskb_pull_tail" },
	{ 0x88247961, "nf_ct_delete" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xb45df6ff, "skb_trim" },
	{ 0x325477bf, "nf_hook_slow" },
	{ 0xc7f0b619, "mutex_trylock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x6a87bf7d, "kthread_create_on_node" },
	{ 0x40c7247c, "si_meminfo" },
	{ 0xd83898d5, "nf_hooks_needed" },
	{ 0xe5a69b56, "nf_ct_deliver_cached_events" },
	{ 0x63439808, "skb_realloc_headroom" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x6f88307, "ipv6_find_hdr" },
	{ 0xb15b4109, "crc32c" },
	{ 0xeea0399, "strscpy" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x8abba1c4, "__icmp_send" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xad61ca05, "ipv4_mtu" },
	{ 0xb2905394, "skb_set_owner_w" },
	{ 0x8a0e97dc, "__skb_checksum" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0x9674f396, "sock_create_kern" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x4aed611, "init_user_ns" },
	{ 0xbd02b4e8, "nf_ct_expect_init" },
	{ 0x50c89f23, "__alloc_percpu" },
	{ 0xb1b939e, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x20a2389c, "remove_proc_entry" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xc2a4bc38, "seq_printf" },
	{ 0x60d070e0, "sock_recvmsg" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x2315ee4c, "proc_create_net_single" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb9892ffd, "ipv4_update_pmtu" },
	{ 0xe06338df, "nf_defrag_ipv6_enable" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x2e94cf8a, "dst_release" },
	{ 0x37eb6c93, "sock_release" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xe542948, "proc_dointvec" },
	{ 0x1cefcaf1, "seq_puts" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0x493cde7d, "unregister_net_sysctl_table" },
	{ 0x11cf073c, "ip_local_out" },
	{ 0x7ce663d6, "genl_unregister_family" },
	{ 0x62c74286, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xd0d8621b, "strlen" },
	{ 0x519818c5, "udp6_set_csum" },
	{ 0xfa4d2f03, "__nla_parse" },
	{ 0x78d3716b, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x5babac40, "genl_register_family" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x74187596, "kernel_sendmsg" },
	{ 0x7b17c8ac, "nf_ct_netns_put" },
	{ 0xf0ea1149, "register_pernet_device" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x711b8a9b, "__crc32c_le_shift" },
	{ 0xbf24de84, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xca368c3f, "kmem_cache_destroy" },
	{ 0xb8d76ee3, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xac6e47b2, "proc_dointvec_minmax" },
	{ 0x762edfce, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,libcrc32c,nf_defrag_ipv6");


MODULE_INFO(srcversion, "3EE75B06035435FAB28B7EE");
