#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(snd_usbmidi_disconnect, "", "");
KSYMTAB_FUNC(snd_usbmidi_input_stop, "", "");
KSYMTAB_FUNC(snd_usbmidi_input_start, "", "");
KSYMTAB_FUNC(snd_usbmidi_suspend, "", "");
KSYMTAB_FUNC(snd_usbmidi_resume, "", "");
KSYMTAB_FUNC(__snd_usbmidi_create, "", "");

SYMBOL_CRC(snd_usbmidi_disconnect, 0xd9d2bb03, "");
SYMBOL_CRC(snd_usbmidi_input_stop, 0x63343b1d, "");
SYMBOL_CRC(snd_usbmidi_input_start, 0x16756dc0, "");
SYMBOL_CRC(snd_usbmidi_suspend, 0xbed43a41, "");
SYMBOL_CRC(snd_usbmidi_resume, 0xb2af19e1, "");
SYMBOL_CRC(__snd_usbmidi_create, 0xc049b9d3, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6de0c45e, "usb_alloc_urb" },
	{ 0xa8688f30, "snd_rawmidi_receive" },
	{ 0xc75375a4, "__init_rwsem" },
	{ 0xd154bca9, "usb_free_urb" },
	{ 0x5e3e5533, "snd_rawmidi_transmit" },
	{ 0xe5989f5, "snd_ctl_add" },
	{ 0x381bc25e, "usb_alloc_coherent" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x37a0cba, "kfree" },
	{ 0xba07946c, "pcpu_hot" },
	{ 0xa7513a3f, "usb_autopm_get_interface_no_resume" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0xcd91b127, "system_highpri_wq" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x6fe1f77a, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xcd4bbe4b, "snd_ctl_new1" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xde39de26, "usb_bulk_msg" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x738803e6, "strnlen" },
	{ 0x744a5c2, "snd_rawmidi_transmit_ack" },
	{ 0xd3ff47b0, "usb_submit_urb" },
	{ 0xcc6a729f, "snd_ctl_enum_info" },
	{ 0x9d2a7e8f, "usb_urb_ep_type_check" },
	{ 0x5af8e078, "down_write" },
	{ 0x9c9cf598, "_dev_err" },
	{ 0xaa173b39, "up_write" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xc3e78d55, "usb_free_coherent" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x1f0cd73e, "snd_rawmidi_transmit_peek" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xe1ff6e17, "usb_control_msg" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x1df0b2bc, "snd_ctl_notify" },
	{ 0xcb99f9f, "usb_set_interface" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xee10215a, "usb_string" },
	{ 0x2bc95bd4, "memset" },
	{ 0xecb55757, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xc9bba4b6, "down_read" },
	{ 0x70c65cb2, "snd_rawmidi_new" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xfc0ce903, "snd_rawmidi_set_ops" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xb1b939e, "kmemdup" },
	{ 0x5aede44, "usb_kill_urb" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x62c74286, "kmalloc_trace" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x29f3a126, "up_read" },
	{ 0xbf24de84, "kmalloc_caches" },
	{ 0x1a11e601, "snd_rawmidi_proceed" },
	{ 0x762edfce, "module_layout" },
};

MODULE_INFO(depends, "usbcore,snd-rawmidi,snd");


MODULE_INFO(srcversion, "9A35C5E1F10001F095EAEDC");
